import{S as Fc,i as qc,s as zc,e as a,k as h,w as b,t as n,M as jc,c as r,d as t,m as u,a as i,x as k,h as s,b as f,N as Ec,G as e,g,y as w,q as C,o as $,B as L,v as xc,L as Tt}from"../../chunks/vendor-hf-doc-builder.js";import{T as Wt}from"../../chunks/Tip-hf-doc-builder.js";import{D as Be}from"../../chunks/Docstring-hf-doc-builder.js";import{C as yt}from"../../chunks/CodeBlock-hf-doc-builder.js";import{I as Lt}from"../../chunks/IconCopyLink-hf-doc-builder.js";import{E as _t}from"../../chunks/ExampleCodeBlock-hf-doc-builder.js";function Pc(F){let d,y,c,m,v;return m=new yt({props:{code:`from transformers import CTRLConfig, CTRLModel

# Initializing a CTRL configuration
configuration = CTRLConfig()

# Initializing a model (with random weights) from the configuration
model = CTRLModel(configuration)

# Accessing the model configuration
configuration = model.config`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> CTRLConfig, CTRLModel

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a CTRL configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = CTRLConfig()

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a model (with random weights) from the configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model = CTRLModel(configuration)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Accessing the model configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = model.config`}}),{c(){d=a("p"),y=n("Examples:"),c=h(),b(m.$$.fragment)},l(l){d=r(l,"P",{});var p=i(d);y=s(p,"Examples:"),p.forEach(t),c=u(l),k(m.$$.fragment,l)},m(l,p){g(l,d,p),e(d,y),g(l,c,p),w(m,l,p),v=!0},p:Tt,i(l){v||(C(m.$$.fragment,l),v=!0)},o(l){$(m.$$.fragment,l),v=!1},d(l){l&&t(d),l&&t(c),L(m,l)}}}function Sc(F){let d,y,c,m,v;return{c(){d=a("p"),y=n("Although the recipe for forward pass needs to be defined within this function, one should call the "),c=a("code"),m=n("Module"),v=n(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=r(l,"P",{});var p=i(d);y=s(p,"Although the recipe for forward pass needs to be defined within this function, one should call the "),c=r(p,"CODE",{});var q=i(c);m=s(q,"Module"),q.forEach(t),v=s(p,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),p.forEach(t)},m(l,p){g(l,d,p),e(d,y),e(d,c),e(c,m),e(d,v)},d(l){l&&t(d)}}}function Oc(F){let d,y,c,m,v;return m=new yt({props:{code:`from transformers import AutoTokenizer, CTRLModel
import torch

tokenizer = AutoTokenizer.from_pretrained("ctrl")
model = CTRLModel.from_pretrained("ctrl")

# CTRL was trained with control codes as the first token
inputs = tokenizer("Opinion My dog is cute", return_tensors="pt")
assert inputs["input_ids"][0, 0].item() in tokenizer.control_codes.values()

outputs = model(**inputs)

last_hidden_states = outputs.last_hidden_state
list(last_hidden_states.shape)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, CTRLModel
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;ctrl&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = CTRLModel.from_pretrained(<span class="hljs-string">&quot;ctrl&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># CTRL was trained with control codes as the first token</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Opinion My dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">assert</span> inputs[<span class="hljs-string">&quot;input_ids&quot;</span>][<span class="hljs-number">0</span>, <span class="hljs-number">0</span>].item() <span class="hljs-keyword">in</span> tokenizer.control_codes.values()

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">list</span>(last_hidden_states.shape)
[<span class="hljs-number">1</span>, <span class="hljs-number">5</span>, <span class="hljs-number">1280</span>]`}}),{c(){d=a("p"),y=n("Example:"),c=h(),b(m.$$.fragment)},l(l){d=r(l,"P",{});var p=i(d);y=s(p,"Example:"),p.forEach(t),c=u(l),k(m.$$.fragment,l)},m(l,p){g(l,d,p),e(d,y),g(l,c,p),w(m,l,p),v=!0},p:Tt,i(l){v||(C(m.$$.fragment,l),v=!0)},o(l){$(m.$$.fragment,l),v=!1},d(l){l&&t(d),l&&t(c),L(m,l)}}}function Nc(F){let d,y,c,m,v;return{c(){d=a("p"),y=n("Although the recipe for forward pass needs to be defined within this function, one should call the "),c=a("code"),m=n("Module"),v=n(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=r(l,"P",{});var p=i(d);y=s(p,"Although the recipe for forward pass needs to be defined within this function, one should call the "),c=r(p,"CODE",{});var q=i(c);m=s(q,"Module"),q.forEach(t),v=s(p,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),p.forEach(t)},m(l,p){g(l,d,p),e(d,y),e(d,c),e(c,m),e(d,v)},d(l){l&&t(d)}}}function Ac(F){let d,y,c,m,v;return m=new yt({props:{code:`import torch
from transformers import AutoTokenizer, CTRLLMHeadModel

tokenizer = AutoTokenizer.from_pretrained("ctrl")
model = CTRLLMHeadModel.from_pretrained("ctrl")

# CTRL was trained with control codes as the first token
inputs = tokenizer("Wikipedia The llama is", return_tensors="pt")
assert inputs["input_ids"][0, 0].item() in tokenizer.control_codes.values()

sequence_ids = model.generate(inputs["input_ids"])
sequences = tokenizer.batch_decode(sequence_ids)
sequences

outputs = model(**inputs, labels=inputs["input_ids"])
round(outputs.loss.item(), 2)

list(outputs.logits.shape)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, CTRLLMHeadModel

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;ctrl&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = CTRLLMHeadModel.from_pretrained(<span class="hljs-string">&quot;ctrl&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># CTRL was trained with control codes as the first token</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Wikipedia The llama is&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">assert</span> inputs[<span class="hljs-string">&quot;input_ids&quot;</span>][<span class="hljs-number">0</span>, <span class="hljs-number">0</span>].item() <span class="hljs-keyword">in</span> tokenizer.control_codes.values()

<span class="hljs-meta">&gt;&gt;&gt; </span>sequence_ids = model.generate(inputs[<span class="hljs-string">&quot;input_ids&quot;</span>])
<span class="hljs-meta">&gt;&gt;&gt; </span>sequences = tokenizer.batch_decode(sequence_ids)
<span class="hljs-meta">&gt;&gt;&gt; </span>sequences
[<span class="hljs-string">&#x27;Wikipedia The llama is a member of the family Bovidae. It is native to the Andes of Peru,&#x27;</span>]

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs, labels=inputs[<span class="hljs-string">&quot;input_ids&quot;</span>])
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">round</span>(outputs.loss.item(), <span class="hljs-number">2</span>)
<span class="hljs-number">9.21</span>

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">list</span>(outputs.logits.shape)
[<span class="hljs-number">1</span>, <span class="hljs-number">5</span>, <span class="hljs-number">246534</span>]`}}),{c(){d=a("p"),y=n("Example:"),c=h(),b(m.$$.fragment)},l(l){d=r(l,"P",{});var p=i(d);y=s(p,"Example:"),p.forEach(t),c=u(l),k(m.$$.fragment,l)},m(l,p){g(l,d,p),e(d,y),g(l,c,p),w(m,l,p),v=!0},p:Tt,i(l){v||(C(m.$$.fragment,l),v=!0)},o(l){$(m.$$.fragment,l),v=!1},d(l){l&&t(d),l&&t(c),L(m,l)}}}function Ic(F){let d,y,c,m,v;return{c(){d=a("p"),y=n("Although the recipe for forward pass needs to be defined within this function, one should call the "),c=a("code"),m=n("Module"),v=n(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=r(l,"P",{});var p=i(d);y=s(p,"Although the recipe for forward pass needs to be defined within this function, one should call the "),c=r(p,"CODE",{});var q=i(c);m=s(q,"Module"),q.forEach(t),v=s(p,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),p.forEach(t)},m(l,p){g(l,d,p),e(d,y),e(d,c),e(c,m),e(d,v)},d(l){l&&t(d)}}}function Dc(F){let d,y,c,m,v;return m=new yt({props:{code:`import torch
from transformers import AutoTokenizer, CTRLForSequenceClassification

tokenizer = AutoTokenizer.from_pretrained("ctrl")
model = CTRLForSequenceClassification.from_pretrained("ctrl")

# CTRL was trained with control codes as the first token
inputs = tokenizer("Opinion My dog is cute", return_tensors="pt")
assert inputs["input_ids"][0, 0].item() in tokenizer.control_codes.values()

with torch.no_grad():
    logits = model(**inputs).logits

predicted_class_id = logits.argmax().item()
model.config.id2label[predicted_class_id]`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, CTRLForSequenceClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;ctrl&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = CTRLForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;ctrl&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># CTRL was trained with control codes as the first token</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Opinion My dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">assert</span> inputs[<span class="hljs-string">&quot;input_ids&quot;</span>][<span class="hljs-number">0</span>, <span class="hljs-number">0</span>].item() <span class="hljs-keyword">in</span> tokenizer.control_codes.values()

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_class_id = logits.argmax().item()
<span class="hljs-meta">&gt;&gt;&gt; </span>model.config.id2label[predicted_class_id]
<span class="hljs-string">&#x27;LABEL_0&#x27;</span>`}}),{c(){d=a("p"),y=n("Example of single-label classification:"),c=h(),b(m.$$.fragment)},l(l){d=r(l,"P",{});var p=i(d);y=s(p,"Example of single-label classification:"),p.forEach(t),c=u(l),k(m.$$.fragment,l)},m(l,p){g(l,d,p),e(d,y),g(l,c,p),w(m,l,p),v=!0},p:Tt,i(l){v||(C(m.$$.fragment,l),v=!0)},o(l){$(m.$$.fragment,l),v=!1},d(l){l&&t(d),l&&t(c),L(m,l)}}}function Hc(F){let d,y;return d=new yt({props:{code:`import torch

torch.manual_seed(42)
# To train a model on \`num_labels\` classes, you can pass \`num_labels=num_labels\` to \`.from_pretrained(...)\`
num_labels = len(model.config.id2label)
model = CTRLForSequenceClassification.from_pretrained("ctrl", num_labels=num_labels)

labels = torch.tensor(1)
loss = model(**inputs, labels=labels).loss
round(loss.item(), 2)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>torch.manual_seed(<span class="hljs-number">42</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># To train a model on \`num_labels\` classes, you can pass \`num_labels=num_labels\` to \`.from_pretrained(...)\`</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>num_labels = <span class="hljs-built_in">len</span>(model.config.id2label)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = CTRLForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;ctrl&quot;</span>, num_labels=num_labels)

<span class="hljs-meta">&gt;&gt;&gt; </span>labels = torch.tensor(<span class="hljs-number">1</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = model(**inputs, labels=labels).loss
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">round</span>(loss.item(), <span class="hljs-number">2</span>)
<span class="hljs-number">0.35</span>`}}),{c(){b(d.$$.fragment)},l(c){k(d.$$.fragment,c)},m(c,m){w(d,c,m),y=!0},p:Tt,i(c){y||(C(d.$$.fragment,c),y=!0)},o(c){$(d.$$.fragment,c),y=!1},d(c){L(d,c)}}}function Wc(F){let d,y,c,m,v;return m=new yt({props:{code:`import torch
from transformers import AutoTokenizer, CTRLForSequenceClassification

tokenizer = AutoTokenizer.from_pretrained("ctrl")
model = CTRLForSequenceClassification.from_pretrained("ctrl", problem_type="multi_label_classification")

# CTRL was trained with control codes as the first token
inputs = tokenizer("Opinion My dog is cute", return_tensors="pt")
assert inputs["input_ids"][0, 0].item() in tokenizer.control_codes.values()

with torch.no_grad():
    logits = model(**inputs).logits

predicted_class_id = logits.argmax().item()
model.config.id2label[predicted_class_id]`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, CTRLForSequenceClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;ctrl&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = CTRLForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;ctrl&quot;</span>, problem_type=<span class="hljs-string">&quot;multi_label_classification&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># CTRL was trained with control codes as the first token</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Opinion My dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">assert</span> inputs[<span class="hljs-string">&quot;input_ids&quot;</span>][<span class="hljs-number">0</span>, <span class="hljs-number">0</span>].item() <span class="hljs-keyword">in</span> tokenizer.control_codes.values()

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_class_id = logits.argmax().item()
<span class="hljs-meta">&gt;&gt;&gt; </span>model.config.id2label[predicted_class_id]
<span class="hljs-string">&#x27;LABEL_0&#x27;</span>`}}),{c(){d=a("p"),y=n("Example of multi-label classification:"),c=h(),b(m.$$.fragment)},l(l){d=r(l,"P",{});var p=i(d);y=s(p,"Example of multi-label classification:"),p.forEach(t),c=u(l),k(m.$$.fragment,l)},m(l,p){g(l,d,p),e(d,y),g(l,c,p),w(m,l,p),v=!0},p:Tt,i(l){v||(C(m.$$.fragment,l),v=!0)},o(l){$(m.$$.fragment,l),v=!1},d(l){l&&t(d),l&&t(c),L(m,l)}}}function Uc(F){let d,y;return d=new yt({props:{code:`# To train a model on \`num_labels\` classes, you can pass \`num_labels=num_labels\` to \`.from_pretrained(...)\`
num_labels = len(model.config.id2label)
model = CTRLForSequenceClassification.from_pretrained("ctrl", num_labels=num_labels)

num_labels = len(model.config.id2label)
labels = torch.nn.functional.one_hot(torch.tensor([predicted_class_id]), num_classes=num_labels).to(
    torch.float
)
loss = model(**inputs, labels=labels).loss
loss.backward()`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># To train a model on \`num_labels\` classes, you can pass \`num_labels=num_labels\` to \`.from_pretrained(...)\`</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>num_labels = <span class="hljs-built_in">len</span>(model.config.id2label)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = CTRLForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;ctrl&quot;</span>, num_labels=num_labels)

<span class="hljs-meta">&gt;&gt;&gt; </span>num_labels = <span class="hljs-built_in">len</span>(model.config.id2label)
<span class="hljs-meta">&gt;&gt;&gt; </span>labels = torch.nn.functional.one_hot(torch.tensor([predicted_class_id]), num_classes=num_labels).to(
<span class="hljs-meta">... </span>    torch.<span class="hljs-built_in">float</span>
<span class="hljs-meta">... </span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = model(**inputs, labels=labels).loss
<span class="hljs-meta">&gt;&gt;&gt; </span>loss.backward()`}}),{c(){b(d.$$.fragment)},l(c){k(d.$$.fragment,c)},m(c,m){w(d,c,m),y=!0},p:Tt,i(c){y||(C(d.$$.fragment,c),y=!0)},o(c){$(d.$$.fragment,c),y=!1},d(c){L(d,c)}}}function Bc(F){let d,y,c,m,v,l,p,q,Ee,ke,O,ce,J,M,Fe,I,pe,Ke,K,Q,ne,W,se,qe,U,ze,we,S,je,ae,he,z,j,xe,Y,Ce,ue,Z,$e,me,x,Pe,V,fe,Se,G,D,re,H,ie,ee,Oe,ge,P,Ne,N,le,Ae;return{c(){d=a("p"),y=n("TensorFlow models and layers in "),c=a("code"),m=n("transformers"),v=n(" accept two formats as input:"),l=h(),p=a("ul"),q=a("li"),Ee=n("having all inputs as keyword arguments (like PyTorch models), or"),ke=h(),O=a("li"),ce=n("having all inputs as a list, tuple or dict in the first positional argument."),J=h(),M=a("p"),Fe=n(`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),I=a("code"),pe=n("model.fit()"),Ke=n(` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),K=a("code"),Q=n("model.fit()"),ne=n(` supports! If, however, you want to use the second
format outside of Keras methods like `),W=a("code"),se=n("fit()"),qe=n(" and "),U=a("code"),ze=n("predict()"),we=n(`, such as when creating your own layers or models with
the Keras `),S=a("code"),je=n("Functional"),ae=n(` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),he=h(),z=a("ul"),j=a("li"),xe=n("a single Tensor with "),Y=a("code"),Ce=n("input_ids"),ue=n(" only and nothing else: "),Z=a("code"),$e=n("model(input_ids)"),me=h(),x=a("li"),Pe=n(`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),V=a("code"),fe=n("model([input_ids, attention_mask])"),Se=n(" or "),G=a("code"),D=n("model([input_ids, attention_mask, token_type_ids])"),re=h(),H=a("li"),ie=n(`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),ee=a("code"),Oe=n('model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),ge=h(),P=a("p"),Ne=n(`Note that when creating models and layers with
`),N=a("a"),le=n("subclassing"),Ae=n(` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),this.h()},l(_){d=r(_,"P",{});var R=i(d);y=s(R,"TensorFlow models and layers in "),c=r(R,"CODE",{});var Ze=i(c);m=s(Ze,"transformers"),Ze.forEach(t),v=s(R," accept two formats as input:"),R.forEach(t),l=u(_),p=r(_,"UL",{});var _e=i(p);q=r(_e,"LI",{});var X=i(q);Ee=s(X,"having all inputs as keyword arguments (like PyTorch models), or"),X.forEach(t),ke=u(_e),O=r(_e,"LI",{});var et=i(O);ce=s(et,"having all inputs as a list, tuple or dict in the first positional argument."),et.forEach(t),_e.forEach(t),J=u(_),M=r(_,"P",{});var E=i(M);Fe=s(E,`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),I=r(E,"CODE",{});var tt=i(I);pe=s(tt,"model.fit()"),tt.forEach(t),Ke=s(E,` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),K=r(E,"CODE",{});var ot=i(K);Q=s(ot,"model.fit()"),ot.forEach(t),ne=s(E,` supports! If, however, you want to use the second
format outside of Keras methods like `),W=r(E,"CODE",{});var Ve=i(W);se=s(Ve,"fit()"),Ve.forEach(t),qe=s(E," and "),U=r(E,"CODE",{});var nt=i(U);ze=s(nt,"predict()"),nt.forEach(t),we=s(E,`, such as when creating your own layers or models with
the Keras `),S=r(E,"CODE",{});var st=i(S);je=s(st,"Functional"),st.forEach(t),ae=s(E,` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),E.forEach(t),he=u(_),z=r(_,"UL",{});var A=i(z);j=r(A,"LI",{});var te=i(j);xe=s(te,"a single Tensor with "),Y=r(te,"CODE",{});var at=i(Y);Ce=s(at,"input_ids"),at.forEach(t),ue=s(te," only and nothing else: "),Z=r(te,"CODE",{});var Ie=i(Z);$e=s(Ie,"model(input_ids)"),Ie.forEach(t),te.forEach(t),me=u(A),x=r(A,"LI",{});var B=i(x);Pe=s(B,`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),V=r(B,"CODE",{});var rt=i(V);fe=s(rt,"model([input_ids, attention_mask])"),rt.forEach(t),Se=s(B," or "),G=r(B,"CODE",{});var it=i(G);D=s(it,"model([input_ids, attention_mask, token_type_ids])"),it.forEach(t),B.forEach(t),re=u(A),H=r(A,"LI",{});var Le=i(H);ie=s(Le,`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),ee=r(Le,"CODE",{});var de=i(ee);Oe=s(de,'model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),de.forEach(t),Le.forEach(t),A.forEach(t),ge=u(_),P=r(_,"P",{});var Te=i(P);Ne=s(Te,`Note that when creating models and layers with
`),N=r(Te,"A",{href:!0,rel:!0});var Me=i(N);le=s(Me,"subclassing"),Me.forEach(t),Ae=s(Te,` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),Te.forEach(t),this.h()},h(){f(N,"href","https://keras.io/guides/making_new_layers_and_models_via_subclassing/"),f(N,"rel","nofollow")},m(_,R){g(_,d,R),e(d,y),e(d,c),e(c,m),e(d,v),g(_,l,R),g(_,p,R),e(p,q),e(q,Ee),e(p,ke),e(p,O),e(O,ce),g(_,J,R),g(_,M,R),e(M,Fe),e(M,I),e(I,pe),e(M,Ke),e(M,K),e(K,Q),e(M,ne),e(M,W),e(W,se),e(M,qe),e(M,U),e(U,ze),e(M,we),e(M,S),e(S,je),e(M,ae),g(_,he,R),g(_,z,R),e(z,j),e(j,xe),e(j,Y),e(Y,Ce),e(j,ue),e(j,Z),e(Z,$e),e(z,me),e(z,x),e(x,Pe),e(x,V),e(V,fe),e(x,Se),e(x,G),e(G,D),e(z,re),e(z,H),e(H,ie),e(H,ee),e(ee,Oe),g(_,ge,R),g(_,P,R),e(P,Ne),e(P,N),e(N,le),e(P,Ae)},d(_){_&&t(d),_&&t(l),_&&t(p),_&&t(J),_&&t(M),_&&t(he),_&&t(z),_&&t(ge),_&&t(P)}}}function Kc(F){let d,y,c,m,v;return{c(){d=a("p"),y=n("Although the recipe for forward pass needs to be defined within this function, one should call the "),c=a("code"),m=n("Module"),v=n(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=r(l,"P",{});var p=i(d);y=s(p,"Although the recipe for forward pass needs to be defined within this function, one should call the "),c=r(p,"CODE",{});var q=i(c);m=s(q,"Module"),q.forEach(t),v=s(p,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),p.forEach(t)},m(l,p){g(l,d,p),e(d,y),e(d,c),e(c,m),e(d,v)},d(l){l&&t(d)}}}function Vc(F){let d,y,c,m,v;return m=new yt({props:{code:`from transformers import AutoTokenizer, TFCTRLModel
import tensorflow as tf

tokenizer = AutoTokenizer.from_pretrained("ctrl")
model = TFCTRLModel.from_pretrained("ctrl")

inputs = tokenizer("Hello, my dog is cute", return_tensors="tf")
outputs = model(inputs)

last_hidden_states = outputs.last_hidden_state`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, TFCTRLModel
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> tensorflow <span class="hljs-keyword">as</span> tf

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;ctrl&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFCTRLModel.from_pretrained(<span class="hljs-string">&quot;ctrl&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state`}}),{c(){d=a("p"),y=n("Example:"),c=h(),b(m.$$.fragment)},l(l){d=r(l,"P",{});var p=i(d);y=s(p,"Example:"),p.forEach(t),c=u(l),k(m.$$.fragment,l)},m(l,p){g(l,d,p),e(d,y),g(l,c,p),w(m,l,p),v=!0},p:Tt,i(l){v||(C(m.$$.fragment,l),v=!0)},o(l){$(m.$$.fragment,l),v=!1},d(l){l&&t(d),l&&t(c),L(m,l)}}}function Gc(F){let d,y,c,m,v,l,p,q,Ee,ke,O,ce,J,M,Fe,I,pe,Ke,K,Q,ne,W,se,qe,U,ze,we,S,je,ae,he,z,j,xe,Y,Ce,ue,Z,$e,me,x,Pe,V,fe,Se,G,D,re,H,ie,ee,Oe,ge,P,Ne,N,le,Ae;return{c(){d=a("p"),y=n("TensorFlow models and layers in "),c=a("code"),m=n("transformers"),v=n(" accept two formats as input:"),l=h(),p=a("ul"),q=a("li"),Ee=n("having all inputs as keyword arguments (like PyTorch models), or"),ke=h(),O=a("li"),ce=n("having all inputs as a list, tuple or dict in the first positional argument."),J=h(),M=a("p"),Fe=n(`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),I=a("code"),pe=n("model.fit()"),Ke=n(` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),K=a("code"),Q=n("model.fit()"),ne=n(` supports! If, however, you want to use the second
format outside of Keras methods like `),W=a("code"),se=n("fit()"),qe=n(" and "),U=a("code"),ze=n("predict()"),we=n(`, such as when creating your own layers or models with
the Keras `),S=a("code"),je=n("Functional"),ae=n(` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),he=h(),z=a("ul"),j=a("li"),xe=n("a single Tensor with "),Y=a("code"),Ce=n("input_ids"),ue=n(" only and nothing else: "),Z=a("code"),$e=n("model(input_ids)"),me=h(),x=a("li"),Pe=n(`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),V=a("code"),fe=n("model([input_ids, attention_mask])"),Se=n(" or "),G=a("code"),D=n("model([input_ids, attention_mask, token_type_ids])"),re=h(),H=a("li"),ie=n(`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),ee=a("code"),Oe=n('model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),ge=h(),P=a("p"),Ne=n(`Note that when creating models and layers with
`),N=a("a"),le=n("subclassing"),Ae=n(` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),this.h()},l(_){d=r(_,"P",{});var R=i(d);y=s(R,"TensorFlow models and layers in "),c=r(R,"CODE",{});var Ze=i(c);m=s(Ze,"transformers"),Ze.forEach(t),v=s(R," accept two formats as input:"),R.forEach(t),l=u(_),p=r(_,"UL",{});var _e=i(p);q=r(_e,"LI",{});var X=i(q);Ee=s(X,"having all inputs as keyword arguments (like PyTorch models), or"),X.forEach(t),ke=u(_e),O=r(_e,"LI",{});var et=i(O);ce=s(et,"having all inputs as a list, tuple or dict in the first positional argument."),et.forEach(t),_e.forEach(t),J=u(_),M=r(_,"P",{});var E=i(M);Fe=s(E,`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),I=r(E,"CODE",{});var tt=i(I);pe=s(tt,"model.fit()"),tt.forEach(t),Ke=s(E,` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),K=r(E,"CODE",{});var ot=i(K);Q=s(ot,"model.fit()"),ot.forEach(t),ne=s(E,` supports! If, however, you want to use the second
format outside of Keras methods like `),W=r(E,"CODE",{});var Ve=i(W);se=s(Ve,"fit()"),Ve.forEach(t),qe=s(E," and "),U=r(E,"CODE",{});var nt=i(U);ze=s(nt,"predict()"),nt.forEach(t),we=s(E,`, such as when creating your own layers or models with
the Keras `),S=r(E,"CODE",{});var st=i(S);je=s(st,"Functional"),st.forEach(t),ae=s(E,` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),E.forEach(t),he=u(_),z=r(_,"UL",{});var A=i(z);j=r(A,"LI",{});var te=i(j);xe=s(te,"a single Tensor with "),Y=r(te,"CODE",{});var at=i(Y);Ce=s(at,"input_ids"),at.forEach(t),ue=s(te," only and nothing else: "),Z=r(te,"CODE",{});var Ie=i(Z);$e=s(Ie,"model(input_ids)"),Ie.forEach(t),te.forEach(t),me=u(A),x=r(A,"LI",{});var B=i(x);Pe=s(B,`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),V=r(B,"CODE",{});var rt=i(V);fe=s(rt,"model([input_ids, attention_mask])"),rt.forEach(t),Se=s(B," or "),G=r(B,"CODE",{});var it=i(G);D=s(it,"model([input_ids, attention_mask, token_type_ids])"),it.forEach(t),B.forEach(t),re=u(A),H=r(A,"LI",{});var Le=i(H);ie=s(Le,`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),ee=r(Le,"CODE",{});var de=i(ee);Oe=s(de,'model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),de.forEach(t),Le.forEach(t),A.forEach(t),ge=u(_),P=r(_,"P",{});var Te=i(P);Ne=s(Te,`Note that when creating models and layers with
`),N=r(Te,"A",{href:!0,rel:!0});var Me=i(N);le=s(Me,"subclassing"),Me.forEach(t),Ae=s(Te,` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),Te.forEach(t),this.h()},h(){f(N,"href","https://keras.io/guides/making_new_layers_and_models_via_subclassing/"),f(N,"rel","nofollow")},m(_,R){g(_,d,R),e(d,y),e(d,c),e(c,m),e(d,v),g(_,l,R),g(_,p,R),e(p,q),e(q,Ee),e(p,ke),e(p,O),e(O,ce),g(_,J,R),g(_,M,R),e(M,Fe),e(M,I),e(I,pe),e(M,Ke),e(M,K),e(K,Q),e(M,ne),e(M,W),e(W,se),e(M,qe),e(M,U),e(U,ze),e(M,we),e(M,S),e(S,je),e(M,ae),g(_,he,R),g(_,z,R),e(z,j),e(j,xe),e(j,Y),e(Y,Ce),e(j,ue),e(j,Z),e(Z,$e),e(z,me),e(z,x),e(x,Pe),e(x,V),e(V,fe),e(x,Se),e(x,G),e(G,D),e(z,re),e(z,H),e(H,ie),e(H,ee),e(ee,Oe),g(_,ge,R),g(_,P,R),e(P,Ne),e(P,N),e(N,le),e(P,Ae)},d(_){_&&t(d),_&&t(l),_&&t(p),_&&t(J),_&&t(M),_&&t(he),_&&t(z),_&&t(ge),_&&t(P)}}}function Xc(F){let d,y,c,m,v;return{c(){d=a("p"),y=n("Although the recipe for forward pass needs to be defined within this function, one should call the "),c=a("code"),m=n("Module"),v=n(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=r(l,"P",{});var p=i(d);y=s(p,"Although the recipe for forward pass needs to be defined within this function, one should call the "),c=r(p,"CODE",{});var q=i(c);m=s(q,"Module"),q.forEach(t),v=s(p,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),p.forEach(t)},m(l,p){g(l,d,p),e(d,y),e(d,c),e(c,m),e(d,v)},d(l){l&&t(d)}}}function Jc(F){let d,y,c,m,v;return m=new yt({props:{code:`from transformers import AutoTokenizer, TFCTRLLMHeadModel
import tensorflow as tf

tokenizer = AutoTokenizer.from_pretrained("ctrl")
model = TFCTRLLMHeadModel.from_pretrained("ctrl")

inputs = tokenizer("Hello, my dog is cute", return_tensors="tf")
outputs = model(inputs)
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, TFCTRLLMHeadModel
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> tensorflow <span class="hljs-keyword">as</span> tf

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;ctrl&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFCTRLLMHeadModel.from_pretrained(<span class="hljs-string">&quot;ctrl&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){d=a("p"),y=n("Example:"),c=h(),b(m.$$.fragment)},l(l){d=r(l,"P",{});var p=i(d);y=s(p,"Example:"),p.forEach(t),c=u(l),k(m.$$.fragment,l)},m(l,p){g(l,d,p),e(d,y),g(l,c,p),w(m,l,p),v=!0},p:Tt,i(l){v||(C(m.$$.fragment,l),v=!0)},o(l){$(m.$$.fragment,l),v=!1},d(l){l&&t(d),l&&t(c),L(m,l)}}}function Qc(F){let d,y,c,m,v,l,p,q,Ee,ke,O,ce,J,M,Fe,I,pe,Ke,K,Q,ne,W,se,qe,U,ze,we,S,je,ae,he,z,j,xe,Y,Ce,ue,Z,$e,me,x,Pe,V,fe,Se,G,D,re,H,ie,ee,Oe,ge,P,Ne,N,le,Ae;return{c(){d=a("p"),y=n("TensorFlow models and layers in "),c=a("code"),m=n("transformers"),v=n(" accept two formats as input:"),l=h(),p=a("ul"),q=a("li"),Ee=n("having all inputs as keyword arguments (like PyTorch models), or"),ke=h(),O=a("li"),ce=n("having all inputs as a list, tuple or dict in the first positional argument."),J=h(),M=a("p"),Fe=n(`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),I=a("code"),pe=n("model.fit()"),Ke=n(` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),K=a("code"),Q=n("model.fit()"),ne=n(` supports! If, however, you want to use the second
format outside of Keras methods like `),W=a("code"),se=n("fit()"),qe=n(" and "),U=a("code"),ze=n("predict()"),we=n(`, such as when creating your own layers or models with
the Keras `),S=a("code"),je=n("Functional"),ae=n(` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),he=h(),z=a("ul"),j=a("li"),xe=n("a single Tensor with "),Y=a("code"),Ce=n("input_ids"),ue=n(" only and nothing else: "),Z=a("code"),$e=n("model(input_ids)"),me=h(),x=a("li"),Pe=n(`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),V=a("code"),fe=n("model([input_ids, attention_mask])"),Se=n(" or "),G=a("code"),D=n("model([input_ids, attention_mask, token_type_ids])"),re=h(),H=a("li"),ie=n(`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),ee=a("code"),Oe=n('model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),ge=h(),P=a("p"),Ne=n(`Note that when creating models and layers with
`),N=a("a"),le=n("subclassing"),Ae=n(` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),this.h()},l(_){d=r(_,"P",{});var R=i(d);y=s(R,"TensorFlow models and layers in "),c=r(R,"CODE",{});var Ze=i(c);m=s(Ze,"transformers"),Ze.forEach(t),v=s(R," accept two formats as input:"),R.forEach(t),l=u(_),p=r(_,"UL",{});var _e=i(p);q=r(_e,"LI",{});var X=i(q);Ee=s(X,"having all inputs as keyword arguments (like PyTorch models), or"),X.forEach(t),ke=u(_e),O=r(_e,"LI",{});var et=i(O);ce=s(et,"having all inputs as a list, tuple or dict in the first positional argument."),et.forEach(t),_e.forEach(t),J=u(_),M=r(_,"P",{});var E=i(M);Fe=s(E,`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),I=r(E,"CODE",{});var tt=i(I);pe=s(tt,"model.fit()"),tt.forEach(t),Ke=s(E,` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),K=r(E,"CODE",{});var ot=i(K);Q=s(ot,"model.fit()"),ot.forEach(t),ne=s(E,` supports! If, however, you want to use the second
format outside of Keras methods like `),W=r(E,"CODE",{});var Ve=i(W);se=s(Ve,"fit()"),Ve.forEach(t),qe=s(E," and "),U=r(E,"CODE",{});var nt=i(U);ze=s(nt,"predict()"),nt.forEach(t),we=s(E,`, such as when creating your own layers or models with
the Keras `),S=r(E,"CODE",{});var st=i(S);je=s(st,"Functional"),st.forEach(t),ae=s(E,` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),E.forEach(t),he=u(_),z=r(_,"UL",{});var A=i(z);j=r(A,"LI",{});var te=i(j);xe=s(te,"a single Tensor with "),Y=r(te,"CODE",{});var at=i(Y);Ce=s(at,"input_ids"),at.forEach(t),ue=s(te," only and nothing else: "),Z=r(te,"CODE",{});var Ie=i(Z);$e=s(Ie,"model(input_ids)"),Ie.forEach(t),te.forEach(t),me=u(A),x=r(A,"LI",{});var B=i(x);Pe=s(B,`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),V=r(B,"CODE",{});var rt=i(V);fe=s(rt,"model([input_ids, attention_mask])"),rt.forEach(t),Se=s(B," or "),G=r(B,"CODE",{});var it=i(G);D=s(it,"model([input_ids, attention_mask, token_type_ids])"),it.forEach(t),B.forEach(t),re=u(A),H=r(A,"LI",{});var Le=i(H);ie=s(Le,`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),ee=r(Le,"CODE",{});var de=i(ee);Oe=s(de,'model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),de.forEach(t),Le.forEach(t),A.forEach(t),ge=u(_),P=r(_,"P",{});var Te=i(P);Ne=s(Te,`Note that when creating models and layers with
`),N=r(Te,"A",{href:!0,rel:!0});var Me=i(N);le=s(Me,"subclassing"),Me.forEach(t),Ae=s(Te,` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),Te.forEach(t),this.h()},h(){f(N,"href","https://keras.io/guides/making_new_layers_and_models_via_subclassing/"),f(N,"rel","nofollow")},m(_,R){g(_,d,R),e(d,y),e(d,c),e(c,m),e(d,v),g(_,l,R),g(_,p,R),e(p,q),e(q,Ee),e(p,ke),e(p,O),e(O,ce),g(_,J,R),g(_,M,R),e(M,Fe),e(M,I),e(I,pe),e(M,Ke),e(M,K),e(K,Q),e(M,ne),e(M,W),e(W,se),e(M,qe),e(M,U),e(U,ze),e(M,we),e(M,S),e(S,je),e(M,ae),g(_,he,R),g(_,z,R),e(z,j),e(j,xe),e(j,Y),e(Y,Ce),e(j,ue),e(j,Z),e(Z,$e),e(z,me),e(z,x),e(x,Pe),e(x,V),e(V,fe),e(x,Se),e(x,G),e(G,D),e(z,re),e(z,H),e(H,ie),e(H,ee),e(ee,Oe),g(_,ge,R),g(_,P,R),e(P,Ne),e(P,N),e(N,le),e(P,Ae)},d(_){_&&t(d),_&&t(l),_&&t(p),_&&t(J),_&&t(M),_&&t(he),_&&t(z),_&&t(ge),_&&t(P)}}}function Yc(F){let d,y,c,m,v;return{c(){d=a("p"),y=n("Although the recipe for forward pass needs to be defined within this function, one should call the "),c=a("code"),m=n("Module"),v=n(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=r(l,"P",{});var p=i(d);y=s(p,"Although the recipe for forward pass needs to be defined within this function, one should call the "),c=r(p,"CODE",{});var q=i(c);m=s(q,"Module"),q.forEach(t),v=s(p,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),p.forEach(t)},m(l,p){g(l,d,p),e(d,y),e(d,c),e(c,m),e(d,v)},d(l){l&&t(d)}}}function Zc(F){let d,y,c,m,v;return m=new yt({props:{code:`from transformers import AutoTokenizer, TFCTRLForSequenceClassification
import tensorflow as tf

tokenizer = AutoTokenizer.from_pretrained("ctrl")
model = TFCTRLForSequenceClassification.from_pretrained("ctrl")

inputs = tokenizer("Hello, my dog is cute", return_tensors="tf")

logits = model(**inputs).logits

predicted_class_id = int(tf.math.argmax(logits, axis=-1)[0])`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, TFCTRLForSequenceClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> tensorflow <span class="hljs-keyword">as</span> tf

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;ctrl&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFCTRLForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;ctrl&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_class_id = <span class="hljs-built_in">int</span>(tf.math.argmax(logits, axis=-<span class="hljs-number">1</span>)[<span class="hljs-number">0</span>])`}}),{c(){d=a("p"),y=n("Example:"),c=h(),b(m.$$.fragment)},l(l){d=r(l,"P",{});var p=i(d);y=s(p,"Example:"),p.forEach(t),c=u(l),k(m.$$.fragment,l)},m(l,p){g(l,d,p),e(d,y),g(l,c,p),w(m,l,p),v=!0},p:Tt,i(l){v||(C(m.$$.fragment,l),v=!0)},o(l){$(m.$$.fragment,l),v=!1},d(l){l&&t(d),l&&t(c),L(m,l)}}}function ep(F){let d,y;return d=new yt({props:{code:'# To train a model on `num_labels` classes, you can pass `num_labels=num_labels` to `.from_pretrained(...)`\nnum_labels = len(model.config.id2label)\nmodel = TFCTRLForSequenceClassification.from_pretrained("ctrl", num_labels=num_labels)\n\nlabels = tf.constant(1)\nloss = model(**inputs, labels=labels).loss',highlighted:'<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># To train a model on `num_labels` classes, you can pass `num_labels=num_labels` to `.from_pretrained(...)`</span>\n<span class="hljs-meta">&gt;&gt;&gt; </span>num_labels = <span class="hljs-built_in">len</span>(model.config.id2label)\n<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFCTRLForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;ctrl&quot;</span>, num_labels=num_labels)\n\n<span class="hljs-meta">&gt;&gt;&gt; </span>labels = tf.constant(<span class="hljs-number">1</span>)\n<span class="hljs-meta">&gt;&gt;&gt; </span>loss = model(**inputs, labels=labels).loss'}}),{c(){b(d.$$.fragment)},l(c){k(d.$$.fragment,c)},m(c,m){w(d,c,m),y=!0},p:Tt,i(c){y||(C(d.$$.fragment,c),y=!0)},o(c){$(d.$$.fragment,c),y=!1},d(c){L(d,c)}}}function tp(F){let d,y,c,m,v,l,p,q,Ee,ke,O,ce,J,M,Fe,I,pe,Ke,K,Q,ne,W,se,qe,U,ze,we,S,je,ae,he,z,j,xe,Y,Ce,ue,Z,$e,me,x,Pe,V,fe,Se,G,D,re,H,ie,ee,Oe,ge,P,Ne,N,le,Ae,_,R,Ze,_e,X,et,E,tt,ot,Ve,nt,st,A,te,at,Ie,B,rt,it,Le,de,Te,Me,qa,za,Lo,ja,xa,Ks,Mt,Ut,Jn,Mo,Pa,Qn,Sa,Vs,Je,Ro,Oa,ft,Na,bn,Aa,Ia,kn,Da,Ha,Eo,Wa,Ua,Ba,Rt,Ka,wn,Va,Ga,Cn,Xa,Ja,Qa,Bt,Gs,Et,Kt,Yn,Fo,Ya,Zn,Za,Xs,Qe,qo,er,es,tr,or,zo,nr,$n,sr,ar,rr,Ln,jo,Js,Ft,Vt,ts,xo,ir,os,lr,Qs,De,Po,dr,ns,cr,pr,So,hr,Mn,ur,mr,fr,Oo,gr,No,_r,Tr,yr,lt,Ao,vr,qt,br,Rn,kr,wr,ss,Cr,$r,Lr,Gt,Mr,Xt,Ys,zt,Jt,as,Io,Rr,rs,Er,Zs,He,Do,Fr,is,qr,zr,Ho,jr,En,xr,Pr,Sr,Wo,Or,Uo,Nr,Ar,Ir,dt,Bo,Dr,jt,Hr,Fn,Wr,Ur,ls,Br,Kr,Vr,Qt,Gr,Yt,ea,xt,Zt,ds,Ko,Xr,cs,Jr,ta,We,Vo,Qr,Ue,Yr,qn,Zr,ei,ps,ti,oi,hs,ni,si,us,ai,ri,ms,ii,li,di,Go,ci,zn,pi,hi,ui,Xo,mi,Jo,fi,gi,_i,ye,Qo,Ti,Pt,yi,jn,vi,bi,fs,ki,wi,Ci,eo,$i,to,Li,oo,Mi,no,Ri,so,oa,St,ao,gs,Yo,Ei,_s,Fi,na,ve,Zo,qi,Ts,zi,ji,en,xi,xn,Pi,Si,Oi,tn,Ni,on,Ai,Ii,Di,ro,Hi,ct,nn,Wi,Ot,Ui,Pn,Bi,Ki,ys,Vi,Gi,Xi,io,Ji,lo,sa,Nt,co,vs,sn,Qi,bs,Yi,aa,be,an,Zi,ks,el,tl,rn,ol,Sn,nl,sl,al,ln,rl,dn,il,ll,dl,po,cl,pt,cn,pl,At,hl,On,ul,ml,ws,fl,gl,_l,ho,Tl,uo,ra,It,mo,Cs,pn,yl,$s,vl,ia,oe,hn,bl,Ls,kl,wl,Nn,An,Cl,$l,Ll,Ye,Ml,Ms,Rl,El,Rs,Fl,ql,Es,zl,jl,Fs,xl,Pl,Sl,un,Ol,In,Nl,Al,Il,mn,Dl,fn,Hl,Wl,Ul,fo,Bl,Ge,gn,Kl,Dt,Vl,Dn,Gl,Xl,qs,Jl,Ql,Yl,go,Zl,_o,ed,To,la;return l=new Lt({}),se=new Lt({}),Mo=new Lt({}),Ro=new Be({props:{name:"class transformers.CTRLConfig",anchor:"transformers.CTRLConfig",parameters:[{name:"vocab_size",val:" = 246534"},{name:"n_positions",val:" = 256"},{name:"n_embd",val:" = 1280"},{name:"dff",val:" = 8192"},{name:"n_layer",val:" = 48"},{name:"n_head",val:" = 16"},{name:"resid_pdrop",val:" = 0.1"},{name:"embd_pdrop",val:" = 0.1"},{name:"layer_norm_epsilon",val:" = 1e-06"},{name:"initializer_range",val:" = 0.02"},{name:"use_cache",val:" = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.CTRLConfig.vocab_size",description:`<strong>vocab_size</strong> (<code>int</code>, <em>optional</em>, defaults to 246534) &#x2014;
Vocabulary size of the CTRL model. Defines the number of different tokens that can be represented by the
<code>inputs_ids</code> passed when calling <a href="/docs/transformers/main/en/model_doc/ctrl#transformers.CTRLModel">CTRLModel</a> or <a href="/docs/transformers/main/en/model_doc/ctrl#transformers.TFCTRLModel">TFCTRLModel</a>.`,name:"vocab_size"},{anchor:"transformers.CTRLConfig.n_positions",description:`<strong>n_positions</strong> (<code>int</code>, <em>optional</em>, defaults to 256) &#x2014;
The maximum sequence length that this model might ever be used with. Typically set this to something large
just in case (e.g., 512 or 1024 or 2048).`,name:"n_positions"},{anchor:"transformers.CTRLConfig.n_embd",description:`<strong>n_embd</strong> (<code>int</code>, <em>optional</em>, defaults to 1280) &#x2014;
Dimensionality of the embeddings and hidden states.`,name:"n_embd"},{anchor:"transformers.CTRLConfig.dff",description:`<strong>dff</strong> (<code>int</code>, <em>optional</em>, defaults to 8192) &#x2014;
Dimensionality of the inner dimension of the feed forward networks (FFN).`,name:"dff"},{anchor:"transformers.CTRLConfig.n_layer",description:`<strong>n_layer</strong> (<code>int</code>, <em>optional</em>, defaults to 48) &#x2014;
Number of hidden layers in the Transformer encoder.`,name:"n_layer"},{anchor:"transformers.CTRLConfig.n_head",description:`<strong>n_head</strong> (<code>int</code>, <em>optional</em>, defaults to 16) &#x2014;
Number of attention heads for each attention layer in the Transformer encoder.`,name:"n_head"},{anchor:"transformers.CTRLConfig.resid_pdrop",description:`<strong>resid_pdrop</strong> (<code>float</code>, <em>optional</em>, defaults to 0.1) &#x2014;
The dropout probability for all fully connected layers in the embeddings, encoder, and pooler.`,name:"resid_pdrop"},{anchor:"transformers.CTRLConfig.embd_pdrop",description:`<strong>embd_pdrop</strong> (<code>int</code>, <em>optional</em>, defaults to 0.1) &#x2014;
The dropout ratio for the embeddings.`,name:"embd_pdrop"},{anchor:"transformers.CTRLConfig.layer_norm_epsilon",description:`<strong>layer_norm_epsilon</strong> (<code>float</code>, <em>optional</em>, defaults to 1e-6) &#x2014;
The epsilon to use in the layer normalization layers`,name:"layer_norm_epsilon"},{anchor:"transformers.CTRLConfig.initializer_range",description:`<strong>initializer_range</strong> (<code>float</code>, <em>optional</em>, defaults to 0.02) &#x2014;
The standard deviation of the truncated_normal_initializer for initializing all weight matrices.`,name:"initializer_range"},{anchor:"transformers.CTRLConfig.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not the model should return the last key/values attentions (not used by all models).`,name:"use_cache"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/ctrl/configuration_ctrl.py#L26"}}),Bt=new _t({props:{anchor:"transformers.CTRLConfig.example",$$slots:{default:[Pc]},$$scope:{ctx:F}}}),Fo=new Lt({}),qo=new Be({props:{name:"class transformers.CTRLTokenizer",anchor:"transformers.CTRLTokenizer",parameters:[{name:"vocab_file",val:""},{name:"merges_file",val:""},{name:"unk_token",val:" = '<unk>'"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.CTRLTokenizer.vocab_file",description:`<strong>vocab_file</strong> (<code>str</code>) &#x2014;
Path to the vocabulary file.`,name:"vocab_file"},{anchor:"transformers.CTRLTokenizer.merges_file",description:`<strong>merges_file</strong> (<code>str</code>) &#x2014;
Path to the merges file.`,name:"merges_file"},{anchor:"transformers.CTRLTokenizer.unk_token",description:`<strong>unk_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;unk&gt;&quot;</code>) &#x2014;
The unknown token. A token that is not in the vocabulary cannot be converted to an ID and is set to be this
token instead.`,name:"unk_token"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/ctrl/tokenization_ctrl.py#L119"}}),jo=new Be({props:{name:"save_vocabulary",anchor:"transformers.CTRLTokenizer.save_vocabulary",parameters:[{name:"save_directory",val:": str"},{name:"filename_prefix",val:": typing.Optional[str] = None"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/ctrl/tokenization_ctrl.py#L227"}}),xo=new Lt({}),Po=new Be({props:{name:"class transformers.CTRLModel",anchor:"transformers.CTRLModel",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.CTRLModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/ctrl#transformers.CTRLConfig">CTRLConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/ctrl/modeling_ctrl.py#L319"}}),Ao=new Be({props:{name:"forward",anchor:"transformers.CTRLModel.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"past_key_values",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.FloatTensor]]] = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"position_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.CTRLModel.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
<code>input_ids_length</code> = <code>sequence_length</code> if <code>past_key_values</code> is <code>None</code> else <code>past_key_values[0].shape[-2]</code>
(<code>sequence_length</code> of input past key value states). Indices of input sequence tokens in the vocabulary.</p>
<p>If <code>past_key_values</code> is used, only input IDs that do not have their past calculated should be passed as
<code>input_ids</code>.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.CTRLModel.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>Tuple[Tuple[torch.FloatTensor]]</code> of length <code>config.n_layers</code>) &#x2014;
Contains pre-computed hidden-states (key and values in the attention blocks) as computed by the model (see
<code>past_key_values</code> output below). Can be used to speed up sequential decoding. The <code>input_ids</code> which have
their past given to this model should not be passed as input ids as they have already been computed.`,name:"past_key_values"},{anchor:"transformers.CTRLModel.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.CTRLModel.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.CTRLModel.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.CTRLModel.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.CTRLModel.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.CTRLModel.forward.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>).`,name:"use_cache"},{anchor:"transformers.CTRLModel.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.CTRLModel.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.CTRLModel.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/ctrl/modeling_ctrl.py#L352",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.BaseModelOutputWithPast"
>transformers.modeling_outputs.BaseModelOutputWithPast</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/ctrl#transformers.CTRLConfig"
>CTRLConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
<p>If <code>past_key_values</code> is used only the last hidden-state of the sequences of shape <code>(batch_size, 1, hidden_size)</code> is output.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and optionally if
<code>config.is_encoder_decoder=True</code> 2 additional tensors of shape <code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and optionally if
<code>config.is_encoder_decoder=True</code> in the cross-attention blocks) that can be used (see <code>past_key_values</code>
input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.BaseModelOutputWithPast"
>transformers.modeling_outputs.BaseModelOutputWithPast</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Gt=new Wt({props:{$$slots:{default:[Sc]},$$scope:{ctx:F}}}),Xt=new _t({props:{anchor:"transformers.CTRLModel.forward.example",$$slots:{default:[Oc]},$$scope:{ctx:F}}}),Io=new Lt({}),Do=new Be({props:{name:"class transformers.CTRLLMHeadModel",anchor:"transformers.CTRLLMHeadModel",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.CTRLLMHeadModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/ctrl#transformers.CTRLConfig">CTRLConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/ctrl/modeling_ctrl.py#L511"}}),Bo=new Be({props:{name:"forward",anchor:"transformers.CTRLLMHeadModel.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"past_key_values",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.FloatTensor]]] = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"position_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.CTRLLMHeadModel.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
<code>input_ids_length</code> = <code>sequence_length</code> if <code>past_key_values</code> is <code>None</code> else <code>past_key_values[0].shape[-2]</code>
(<code>sequence_length</code> of input past key value states). Indices of input sequence tokens in the vocabulary.</p>
<p>If <code>past_key_values</code> is used, only input IDs that do not have their past calculated should be passed as
<code>input_ids</code>.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.CTRLLMHeadModel.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>Tuple[Tuple[torch.FloatTensor]]</code> of length <code>config.n_layers</code>) &#x2014;
Contains pre-computed hidden-states (key and values in the attention blocks) as computed by the model (see
<code>past_key_values</code> output below). Can be used to speed up sequential decoding. The <code>input_ids</code> which have
their past given to this model should not be passed as input ids as they have already been computed.`,name:"past_key_values"},{anchor:"transformers.CTRLLMHeadModel.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.CTRLLMHeadModel.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.CTRLLMHeadModel.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.CTRLLMHeadModel.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.CTRLLMHeadModel.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.CTRLLMHeadModel.forward.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>).`,name:"use_cache"},{anchor:"transformers.CTRLLMHeadModel.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.CTRLLMHeadModel.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.CTRLLMHeadModel.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.CTRLLMHeadModel.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Labels for language modeling. Note that the labels <strong>are shifted</strong> inside the model, i.e. you can set
<code>labels = input_ids</code> Indices are selected in <code>[-100, 0, ..., config.vocab_size]</code> All labels set to <code>-100</code>
are ignored (masked), the loss is only computed for labels in <code>[0, ..., config.vocab_size]</code>`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/ctrl/modeling_ctrl.py#L535",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.CausalLMOutputWithPast"
>transformers.modeling_outputs.CausalLMOutputWithPast</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/ctrl#transformers.CTRLConfig"
>CTRLConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Language modeling loss (for next-token prediction).</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>)</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks) that can be used (see
<code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.CausalLMOutputWithPast"
>transformers.modeling_outputs.CausalLMOutputWithPast</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Qt=new Wt({props:{$$slots:{default:[Nc]},$$scope:{ctx:F}}}),Yt=new _t({props:{anchor:"transformers.CTRLLMHeadModel.forward.example",$$slots:{default:[Ac]},$$scope:{ctx:F}}}),Ko=new Lt({}),Vo=new Be({props:{name:"class transformers.CTRLForSequenceClassification",anchor:"transformers.CTRLForSequenceClassification",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.CTRLForSequenceClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/ctrl#transformers.CTRLConfig">CTRLConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/ctrl/modeling_ctrl.py#L653"}}),Qo=new Be({props:{name:"forward",anchor:"transformers.CTRLForSequenceClassification.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"past_key_values",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.FloatTensor]]] = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"position_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.CTRLForSequenceClassification.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
<code>input_ids_length</code> = <code>sequence_length</code> if <code>past_key_values</code> is <code>None</code> else <code>past_key_values[0].shape[-2]</code>
(<code>sequence_length</code> of input past key value states). Indices of input sequence tokens in the vocabulary.</p>
<p>If <code>past_key_values</code> is used, only input IDs that do not have their past calculated should be passed as
<code>input_ids</code>.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.CTRLForSequenceClassification.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>Tuple[Tuple[torch.FloatTensor]]</code> of length <code>config.n_layers</code>) &#x2014;
Contains pre-computed hidden-states (key and values in the attention blocks) as computed by the model (see
<code>past_key_values</code> output below). Can be used to speed up sequential decoding. The <code>input_ids</code> which have
their past given to this model should not be passed as input ids as they have already been computed.`,name:"past_key_values"},{anchor:"transformers.CTRLForSequenceClassification.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.CTRLForSequenceClassification.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.CTRLForSequenceClassification.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.CTRLForSequenceClassification.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.CTRLForSequenceClassification.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.CTRLForSequenceClassification.forward.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>).`,name:"use_cache"},{anchor:"transformers.CTRLForSequenceClassification.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.CTRLForSequenceClassification.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.CTRLForSequenceClassification.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.CTRLForSequenceClassification.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for computing the sequence classification/regression loss. Indices should be in <code>[0, ..., config.num_labels - 1]</code>. If <code>config.num_labels == 1</code> a regression loss is computed (Mean-Square loss), If
<code>config.num_labels &gt; 1</code> a classification loss is computed (Cross-Entropy).`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/ctrl/modeling_ctrl.py#L663",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.SequenceClassifierOutput"
>transformers.modeling_outputs.SequenceClassifierOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/ctrl#transformers.CTRLConfig"
>CTRLConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Classification (or regression if config.num_labels==1) loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, config.num_labels)</code>) \u2014 Classification (or regression if config.num_labels==1) scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.SequenceClassifierOutput"
>transformers.modeling_outputs.SequenceClassifierOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),eo=new Wt({props:{$$slots:{default:[Ic]},$$scope:{ctx:F}}}),to=new _t({props:{anchor:"transformers.CTRLForSequenceClassification.forward.example",$$slots:{default:[Dc]},$$scope:{ctx:F}}}),oo=new _t({props:{anchor:"transformers.CTRLForSequenceClassification.forward.example-2",$$slots:{default:[Hc]},$$scope:{ctx:F}}}),no=new _t({props:{anchor:"transformers.CTRLForSequenceClassification.forward.example-3",$$slots:{default:[Wc]},$$scope:{ctx:F}}}),so=new _t({props:{anchor:"transformers.CTRLForSequenceClassification.forward.example-4",$$slots:{default:[Uc]},$$scope:{ctx:F}}}),Yo=new Lt({}),Zo=new Be({props:{name:"class transformers.TFCTRLModel",anchor:"transformers.TFCTRLModel",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFCTRLModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/ctrl#transformers.CTRLConfig">CTRLConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/ctrl/modeling_tf_ctrl.py#L530"}}),ro=new Wt({props:{$$slots:{default:[Bc]},$$scope:{ctx:F}}}),nn=new Be({props:{name:"call",anchor:"transformers.TFCTRLModel.call",parameters:[{name:"input_ids",val:": typing.Union[typing.List[tensorflow.python.framework.ops.Tensor], typing.List[numpy.ndarray], typing.List[keras.engine.keras_tensor.KerasTensor], typing.Dict[str, tensorflow.python.framework.ops.Tensor], typing.Dict[str, numpy.ndarray], typing.Dict[str, keras.engine.keras_tensor.KerasTensor], tensorflow.python.framework.ops.Tensor, numpy.ndarray, keras.engine.keras_tensor.KerasTensor, NoneType] = None"},{name:"past_key_values",val:": typing.Union[typing.Tuple[typing.Tuple[typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor]]], NoneType] = None"},{name:"attention_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"token_type_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"position_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"head_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"inputs_embeds",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"training",val:": typing.Optional[bool] = False"}],parametersDescription:[{anchor:"transformers.TFCTRLModel.call.input_ids",description:`<strong>input_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, input_ids_length)</code>) &#x2014;
<code>input_ids_length</code> = <code>sequence_length</code> if <code>past</code> is <code>None</code> else <code>past[0].shape[-2]</code> (<code>sequence_length</code> of
input past key value states).</p>
<p>Indices of input sequence tokens in the vocabulary.</p>
<p>If <code>past</code> is used, only input IDs that do not have their past calculated should be passed as <code>input_ids</code>.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.TFCTRLModel.call.past",description:`<strong>past</strong> (<code>List[tf.Tensor]</code> of length <code>config.n_layers</code>) &#x2014;
Contains pre-computed hidden-states (key and values in the attention blocks) as computed by the model (see
<code>past</code> output below). Can be used to speed up sequential decoding. The token ids which have their past
given to this model should not be passed as input ids as they have already been computed.`,name:"past"},{anchor:"transformers.TFCTRLModel.call.attention_mask",description:`<strong>attention_mask</strong> (<code>tf.Tensor</code> or <code>Numpy array</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.TFCTRLModel.call.token_type_ids",description:`<strong>token_type_ids</strong> (<code>tf.Tensor</code> or <code>Numpy array</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.TFCTRLModel.call.position_ids",description:`<strong>position_ids</strong> (<code>tf.Tensor</code> or <code>Numpy array</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.TFCTRLModel.call.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.TFCTRLModel.call.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>tf.Tensor</code> or <code>Numpy array</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.TFCTRLModel.call.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If set to <code>True</code>, <code>past</code> key value states are returned and can be used to speed up decoding (see <code>past</code>).`,name:"use_cache"},{anchor:"transformers.TFCTRLModel.call.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail. This argument can be used only in eager mode, in graph mode the value in the
config will be used instead.`,name:"output_attentions"},{anchor:"transformers.TFCTRLModel.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail. This argument can be used only in eager mode, in graph mode the value in the config will be
used instead.`,name:"output_hidden_states"},{anchor:"transformers.TFCTRLModel.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple. This argument can be used in
eager mode, in graph mode the value will always be set to True.`,name:"return_dict"},{anchor:"transformers.TFCTRLModel.call.training",description:`<strong>training</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to use the model in training mode (some modules like dropout modules have different
behaviors between training and evaluation).`,name:"training"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/ctrl/modeling_tf_ctrl.py#L535",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_tf_outputs.TFBaseModelOutputWithPast"
>transformers.modeling_tf_outputs.TFBaseModelOutputWithPast</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/main/en/model_doc/ctrl#transformers.CTRLConfig"
>CTRLConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
<p>If <code>past_key_values</code> is used only the last hidden-state of the sequences of shape <code>(batch_size, 1, hidden_size)</code> is output.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>List[tf.Tensor]</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 List of <code>tf.Tensor</code> of length <code>config.n_layers</code>, with each tensor of shape <code>(2, batch_size, num_heads, sequence_length, embed_size_per_head)</code>).</p>
<p>Contains pre-computed hidden-states (key and values in the attention blocks) that can be used (see
<code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_tf_outputs.TFBaseModelOutputWithPast"
>transformers.modeling_tf_outputs.TFBaseModelOutputWithPast</a> or <code>tuple(tf.Tensor)</code></p>
`}}),io=new Wt({props:{$$slots:{default:[Kc]},$$scope:{ctx:F}}}),lo=new _t({props:{anchor:"transformers.TFCTRLModel.call.example",$$slots:{default:[Vc]},$$scope:{ctx:F}}}),sn=new Lt({}),an=new Be({props:{name:"class transformers.TFCTRLLMHeadModel",anchor:"transformers.TFCTRLLMHeadModel",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFCTRLLMHeadModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/ctrl#transformers.CTRLConfig">CTRLConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/ctrl/modeling_tf_ctrl.py#L625"}}),po=new Wt({props:{$$slots:{default:[Gc]},$$scope:{ctx:F}}}),cn=new Be({props:{name:"call",anchor:"transformers.TFCTRLLMHeadModel.call",parameters:[{name:"input_ids",val:": typing.Union[typing.List[tensorflow.python.framework.ops.Tensor], typing.List[numpy.ndarray], typing.List[keras.engine.keras_tensor.KerasTensor], typing.Dict[str, tensorflow.python.framework.ops.Tensor], typing.Dict[str, numpy.ndarray], typing.Dict[str, keras.engine.keras_tensor.KerasTensor], tensorflow.python.framework.ops.Tensor, numpy.ndarray, keras.engine.keras_tensor.KerasTensor, NoneType] = None"},{name:"past_key_values",val:": typing.Union[typing.Tuple[typing.Tuple[typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor]]], NoneType] = None"},{name:"attention_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"token_type_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"position_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"head_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"inputs_embeds",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"labels",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"training",val:": typing.Optional[bool] = False"}],parametersDescription:[{anchor:"transformers.TFCTRLLMHeadModel.call.input_ids",description:`<strong>input_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, input_ids_length)</code>) &#x2014;
<code>input_ids_length</code> = <code>sequence_length</code> if <code>past</code> is <code>None</code> else <code>past[0].shape[-2]</code> (<code>sequence_length</code> of
input past key value states).</p>
<p>Indices of input sequence tokens in the vocabulary.</p>
<p>If <code>past</code> is used, only input IDs that do not have their past calculated should be passed as <code>input_ids</code>.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.TFCTRLLMHeadModel.call.past",description:`<strong>past</strong> (<code>List[tf.Tensor]</code> of length <code>config.n_layers</code>) &#x2014;
Contains pre-computed hidden-states (key and values in the attention blocks) as computed by the model (see
<code>past</code> output below). Can be used to speed up sequential decoding. The token ids which have their past
given to this model should not be passed as input ids as they have already been computed.`,name:"past"},{anchor:"transformers.TFCTRLLMHeadModel.call.attention_mask",description:`<strong>attention_mask</strong> (<code>tf.Tensor</code> or <code>Numpy array</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.TFCTRLLMHeadModel.call.token_type_ids",description:`<strong>token_type_ids</strong> (<code>tf.Tensor</code> or <code>Numpy array</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.TFCTRLLMHeadModel.call.position_ids",description:`<strong>position_ids</strong> (<code>tf.Tensor</code> or <code>Numpy array</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.TFCTRLLMHeadModel.call.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.TFCTRLLMHeadModel.call.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>tf.Tensor</code> or <code>Numpy array</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.TFCTRLLMHeadModel.call.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If set to <code>True</code>, <code>past</code> key value states are returned and can be used to speed up decoding (see <code>past</code>).`,name:"use_cache"},{anchor:"transformers.TFCTRLLMHeadModel.call.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail. This argument can be used only in eager mode, in graph mode the value in the
config will be used instead.`,name:"output_attentions"},{anchor:"transformers.TFCTRLLMHeadModel.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail. This argument can be used only in eager mode, in graph mode the value in the config will be
used instead.`,name:"output_hidden_states"},{anchor:"transformers.TFCTRLLMHeadModel.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple. This argument can be used in
eager mode, in graph mode the value will always be set to True.`,name:"return_dict"},{anchor:"transformers.TFCTRLLMHeadModel.call.training",description:`<strong>training</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to use the model in training mode (some modules like dropout modules have different
behaviors between training and evaluation).`,name:"training"},{anchor:"transformers.TFCTRLLMHeadModel.call.labels",description:`<strong>labels</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Labels for computing the cross entropy classification loss. Indices should be in <code>[0, ..., config.vocab_size - 1]</code>.`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/ctrl/modeling_tf_ctrl.py#L648",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_tf_outputs.TFCausalLMOutputWithPast"
>transformers.modeling_tf_outputs.TFCausalLMOutputWithPast</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/main/en/model_doc/ctrl#transformers.CTRLConfig"
>CTRLConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>tf.Tensor</code> of shape <code>(n,)</code>, <em>optional</em>, where n is the number of non-masked labels, returned when <code>labels</code> is provided) \u2014 Language modeling loss (for next-token prediction).</p>
</li>
<li>
<p><strong>logits</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>List[tf.Tensor]</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 List of <code>tf.Tensor</code> of length <code>config.n_layers</code>, with each tensor of shape <code>(2, batch_size, num_heads, sequence_length, embed_size_per_head)</code>).</p>
<p>Contains pre-computed hidden-states (key and values in the attention blocks) that can be used (see
<code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_tf_outputs.TFCausalLMOutputWithPast"
>transformers.modeling_tf_outputs.TFCausalLMOutputWithPast</a> or <code>tuple(tf.Tensor)</code></p>
`}}),ho=new Wt({props:{$$slots:{default:[Xc]},$$scope:{ctx:F}}}),uo=new _t({props:{anchor:"transformers.TFCTRLLMHeadModel.call.example",$$slots:{default:[Jc]},$$scope:{ctx:F}}}),pn=new Lt({}),hn=new Be({props:{name:"class transformers.TFCTRLForSequenceClassification",anchor:"transformers.TFCTRLForSequenceClassification",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFCTRLForSequenceClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/ctrl#transformers.CTRLConfig">CTRLConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/ctrl/modeling_tf_ctrl.py#L737"}}),fo=new Wt({props:{$$slots:{default:[Qc]},$$scope:{ctx:F}}}),gn=new Be({props:{name:"call",anchor:"transformers.TFCTRLForSequenceClassification.call",parameters:[{name:"input_ids",val:": typing.Union[typing.List[tensorflow.python.framework.ops.Tensor], typing.List[numpy.ndarray], typing.List[keras.engine.keras_tensor.KerasTensor], typing.Dict[str, tensorflow.python.framework.ops.Tensor], typing.Dict[str, numpy.ndarray], typing.Dict[str, keras.engine.keras_tensor.KerasTensor], tensorflow.python.framework.ops.Tensor, numpy.ndarray, keras.engine.keras_tensor.KerasTensor, NoneType] = None"},{name:"past_key_values",val:": typing.Union[typing.Tuple[typing.Tuple[typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor]]], NoneType] = None"},{name:"attention_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"token_type_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"position_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"head_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"inputs_embeds",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"labels",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"training",val:": typing.Optional[bool] = False"}],parametersDescription:[{anchor:"transformers.TFCTRLForSequenceClassification.call.input_ids",description:`<strong>input_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, input_ids_length)</code>) &#x2014;
<code>input_ids_length</code> = <code>sequence_length</code> if <code>past</code> is <code>None</code> else <code>past[0].shape[-2]</code> (<code>sequence_length</code> of
input past key value states).</p>
<p>Indices of input sequence tokens in the vocabulary.</p>
<p>If <code>past</code> is used, only input IDs that do not have their past calculated should be passed as <code>input_ids</code>.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.TFCTRLForSequenceClassification.call.past",description:`<strong>past</strong> (<code>List[tf.Tensor]</code> of length <code>config.n_layers</code>) &#x2014;
Contains pre-computed hidden-states (key and values in the attention blocks) as computed by the model (see
<code>past</code> output below). Can be used to speed up sequential decoding. The token ids which have their past
given to this model should not be passed as input ids as they have already been computed.`,name:"past"},{anchor:"transformers.TFCTRLForSequenceClassification.call.attention_mask",description:`<strong>attention_mask</strong> (<code>tf.Tensor</code> or <code>Numpy array</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.TFCTRLForSequenceClassification.call.token_type_ids",description:`<strong>token_type_ids</strong> (<code>tf.Tensor</code> or <code>Numpy array</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.TFCTRLForSequenceClassification.call.position_ids",description:`<strong>position_ids</strong> (<code>tf.Tensor</code> or <code>Numpy array</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.TFCTRLForSequenceClassification.call.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.TFCTRLForSequenceClassification.call.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>tf.Tensor</code> or <code>Numpy array</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.TFCTRLForSequenceClassification.call.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If set to <code>True</code>, <code>past</code> key value states are returned and can be used to speed up decoding (see <code>past</code>).`,name:"use_cache"},{anchor:"transformers.TFCTRLForSequenceClassification.call.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail. This argument can be used only in eager mode, in graph mode the value in the
config will be used instead.`,name:"output_attentions"},{anchor:"transformers.TFCTRLForSequenceClassification.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail. This argument can be used only in eager mode, in graph mode the value in the config will be
used instead.`,name:"output_hidden_states"},{anchor:"transformers.TFCTRLForSequenceClassification.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple. This argument can be used in
eager mode, in graph mode the value will always be set to True.`,name:"return_dict"},{anchor:"transformers.TFCTRLForSequenceClassification.call.training",description:`<strong>training</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to use the model in training mode (some modules like dropout modules have different
behaviors between training and evaluation).`,name:"training"},{anchor:"transformers.TFCTRLForSequenceClassification.call.labels",description:`<strong>labels</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Labels for computing the cross entropy classification loss. Indices should be in <code>[0, ..., config.vocab_size - 1]</code>.`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/ctrl/modeling_tf_ctrl.py#L752",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_tf_outputs.TFSequenceClassifierOutput"
>transformers.modeling_tf_outputs.TFSequenceClassifierOutput</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/main/en/model_doc/ctrl#transformers.CTRLConfig"
>CTRLConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, )</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Classification (or regression if config.num_labels==1) loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, config.num_labels)</code>) \u2014 Classification (or regression if config.num_labels==1) scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_tf_outputs.TFSequenceClassifierOutput"
>transformers.modeling_tf_outputs.TFSequenceClassifierOutput</a> or <code>tuple(tf.Tensor)</code></p>
`}}),go=new Wt({props:{$$slots:{default:[Yc]},$$scope:{ctx:F}}}),_o=new _t({props:{anchor:"transformers.TFCTRLForSequenceClassification.call.example",$$slots:{default:[Zc]},$$scope:{ctx:F}}}),To=new _t({props:{anchor:"transformers.TFCTRLForSequenceClassification.call.example-2",$$slots:{default:[ep]},$$scope:{ctx:F}}}),{c(){d=a("meta"),y=h(),c=a("h1"),m=a("a"),v=a("span"),b(l.$$.fragment),p=h(),q=a("span"),Ee=n("CTRL"),ke=h(),O=a("div"),ce=a("a"),J=a("img"),Fe=h(),I=a("a"),pe=a("img"),K=h(),Q=a("h2"),ne=a("a"),W=a("span"),b(se.$$.fragment),qe=h(),U=a("span"),ze=n("Overview"),we=h(),S=a("p"),je=n("CTRL model was proposed in "),ae=a("a"),he=n("CTRL: A Conditional Transformer Language Model for Controllable Generation"),z=n(" by Nitish Shirish Keskar"),j=a("em"),xe=n(", Bryan McCann"),Y=n(`, Lav R. Varshney, Caiming Xiong and
Richard Socher. It\u2019s a causal (unidirectional) transformer pre-trained using language modeling on a very large corpus
of ~140 GB of text data with the first token reserved as a control code (such as Links, Books, Wikipedia etc.).`),Ce=h(),ue=a("p"),Z=n("The abstract from the paper is the following:"),$e=h(),me=a("p"),x=a("em"),Pe=n(`Large-scale language models show promising text generation capabilities, but users cannot easily control particular
aspects of the generated text. We release CTRL, a 1.63 billion-parameter conditional transformer language model,
trained to condition on control codes that govern style, content, and task-specific behavior. Control codes were
derived from structure that naturally co-occurs with raw text, preserving the advantages of unsupervised learning while
providing more explicit control over text generation. These codes also allow CTRL to predict which parts of the
training data are most likely given a sequence. This provides a potential method for analyzing large amounts of data
via model-based source attribution.`),V=h(),fe=a("p"),Se=n("Tips:"),G=h(),D=a("ul"),re=a("li"),H=n(`CTRL makes use of control codes to generate text: it requires generations to be started by certain words, sentences
or links to generate coherent text. Refer to the `),ie=a("a"),ee=n("original implementation"),Oe=n(` for
more information.`),ge=h(),P=a("li"),Ne=n(`CTRL is a model with absolute position embeddings so it\u2019s usually advised to pad the inputs on the right rather than
the left.`),N=h(),le=a("li"),Ae=n(`CTRL was trained with a causal language modeling (CLM) objective and is therefore powerful at predicting the next
token in a sequence. Leveraging this feature allows CTRL to generate syntactically coherent text as it can be
observed in the `),_=a("em"),R=n("run_generation.py"),Ze=n(" example script."),_e=h(),X=a("li"),et=n("The PyTorch models can take the "),E=a("code"),tt=n("past_key_values"),ot=n(` as input, which is the previously computed key/value attention pairs.
TensorFlow models accepts `),Ve=a("code"),nt=n("past"),st=n(" as input. Using the "),A=a("code"),te=n("past_key_values"),at=n(` value prevents the model from re-computing
pre-computed values in the context of text generation. See the `),Ie=a("a"),B=a("code"),rt=n("forward"),it=n(`
method for more information on the usage of this argument.`),Le=h(),de=a("p"),Te=n("This model was contributed by "),Me=a("a"),qa=n("keskarnitishr"),za=n(`. The original code can be found
`),Lo=a("a"),ja=n("here"),xa=n("."),Ks=h(),Mt=a("h2"),Ut=a("a"),Jn=a("span"),b(Mo.$$.fragment),Pa=h(),Qn=a("span"),Sa=n("CTRLConfig"),Vs=h(),Je=a("div"),b(Ro.$$.fragment),Oa=h(),ft=a("p"),Na=n("This is the configuration class to store the configuration of a "),bn=a("a"),Aa=n("CTRLModel"),Ia=n(" or a "),kn=a("a"),Da=n("TFCTRLModel"),Ha=n(`. It is used to
instantiate a CTRL model according to the specified arguments, defining the model architecture. Instantiating a
configuration with the defaults will yield a similar configuration to that of the
`),Eo=a("a"),Wa=n("ctrl"),Ua=n(" architecture from SalesForce."),Ba=h(),Rt=a("p"),Ka=n("Configuration objects inherit from "),wn=a("a"),Va=n("PretrainedConfig"),Ga=n(` and can be used to control the model outputs. Read the
documentation from `),Cn=a("a"),Xa=n("PretrainedConfig"),Ja=n(" for more information."),Qa=h(),b(Bt.$$.fragment),Gs=h(),Et=a("h2"),Kt=a("a"),Yn=a("span"),b(Fo.$$.fragment),Ya=h(),Zn=a("span"),Za=n("CTRLTokenizer"),Xs=h(),Qe=a("div"),b(qo.$$.fragment),er=h(),es=a("p"),tr=n("Construct a CTRL tokenizer. Based on Byte-Pair-Encoding."),or=h(),zo=a("p"),nr=n("This tokenizer inherits from "),$n=a("a"),sr=n("PreTrainedTokenizer"),ar=n(` which contains most of the main methods. Users should refer to
this superclass for more information regarding those methods.`),rr=h(),Ln=a("div"),b(jo.$$.fragment),Js=h(),Ft=a("h2"),Vt=a("a"),ts=a("span"),b(xo.$$.fragment),ir=h(),os=a("span"),lr=n("CTRLModel"),Qs=h(),De=a("div"),b(Po.$$.fragment),dr=h(),ns=a("p"),cr=n("The bare CTRL Model transformer outputting raw hidden-states without any specific head on top."),pr=h(),So=a("p"),hr=n("This model inherits from "),Mn=a("a"),ur=n("PreTrainedModel"),mr=n(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),fr=h(),Oo=a("p"),gr=n("This model is also a PyTorch "),No=a("a"),_r=n("torch.nn.Module"),Tr=n(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),yr=h(),lt=a("div"),b(Ao.$$.fragment),vr=h(),qt=a("p"),br=n("The "),Rn=a("a"),kr=n("CTRLModel"),wr=n(" forward method, overrides the "),ss=a("code"),Cr=n("__call__"),$r=n(" special method."),Lr=h(),b(Gt.$$.fragment),Mr=h(),b(Xt.$$.fragment),Ys=h(),zt=a("h2"),Jt=a("a"),as=a("span"),b(Io.$$.fragment),Rr=h(),rs=a("span"),Er=n("CTRLLMHeadModel"),Zs=h(),He=a("div"),b(Do.$$.fragment),Fr=h(),is=a("p"),qr=n(`The CTRL Model transformer with a language modeling head on top (linear layer with weights tied to the input
embeddings).`),zr=h(),Ho=a("p"),jr=n("This model inherits from "),En=a("a"),xr=n("PreTrainedModel"),Pr=n(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Sr=h(),Wo=a("p"),Or=n("This model is also a PyTorch "),Uo=a("a"),Nr=n("torch.nn.Module"),Ar=n(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),Ir=h(),dt=a("div"),b(Bo.$$.fragment),Dr=h(),jt=a("p"),Hr=n("The "),Fn=a("a"),Wr=n("CTRLLMHeadModel"),Ur=n(" forward method, overrides the "),ls=a("code"),Br=n("__call__"),Kr=n(" special method."),Vr=h(),b(Qt.$$.fragment),Gr=h(),b(Yt.$$.fragment),ea=h(),xt=a("h2"),Zt=a("a"),ds=a("span"),b(Ko.$$.fragment),Xr=h(),cs=a("span"),Jr=n("CTRLForSequenceClassification"),ta=h(),We=a("div"),b(Vo.$$.fragment),Qr=h(),Ue=a("p"),Yr=n(`The CTRL Model transformer with a sequence classification head on top (linear layer).
`),qn=a("a"),Zr=n("CTRLForSequenceClassification"),ei=n(` uses the last token in order to do the classification, as other causal models
(e.g. GPT-2) do. Since it does classification on the last token, it requires to know the position of the last
token. If a `),ps=a("code"),ti=n("pad_token_id"),oi=n(` is defined in the configuration, it finds the last token that is not a padding token in
each row. If no `),hs=a("code"),ni=n("pad_token_id"),si=n(` is defined, it simply takes the last value in each row of the batch. Since it cannot
guess the padding tokens when `),us=a("code"),ai=n("inputs_embeds"),ri=n(" are passed instead of "),ms=a("code"),ii=n("input_ids"),li=n(`, it does the same (take the last
value in each row of the batch).`),di=h(),Go=a("p"),ci=n("This model inherits from "),zn=a("a"),pi=n("PreTrainedModel"),hi=n(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),ui=h(),Xo=a("p"),mi=n("This model is also a PyTorch "),Jo=a("a"),fi=n("torch.nn.Module"),gi=n(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),_i=h(),ye=a("div"),b(Qo.$$.fragment),Ti=h(),Pt=a("p"),yi=n("The "),jn=a("a"),vi=n("CTRLForSequenceClassification"),bi=n(" forward method, overrides the "),fs=a("code"),ki=n("__call__"),wi=n(" special method."),Ci=h(),b(eo.$$.fragment),$i=h(),b(to.$$.fragment),Li=h(),b(oo.$$.fragment),Mi=h(),b(no.$$.fragment),Ri=h(),b(so.$$.fragment),oa=h(),St=a("h2"),ao=a("a"),gs=a("span"),b(Yo.$$.fragment),Ei=h(),_s=a("span"),Fi=n("TFCTRLModel"),na=h(),ve=a("div"),b(Zo.$$.fragment),qi=h(),Ts=a("p"),zi=n("The bare CTRL Model transformer outputting raw hidden-states without any specific head on top."),ji=h(),en=a("p"),xi=n("This model inherits from "),xn=a("a"),Pi=n("TFPreTrainedModel"),Si=n(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Oi=h(),tn=a("p"),Ni=n("This model is also a "),on=a("a"),Ai=n("tf.keras.Model"),Ii=n(` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),Di=h(),b(ro.$$.fragment),Hi=h(),ct=a("div"),b(nn.$$.fragment),Wi=h(),Ot=a("p"),Ui=n("The "),Pn=a("a"),Bi=n("TFCTRLModel"),Ki=n(" forward method, overrides the "),ys=a("code"),Vi=n("__call__"),Gi=n(" special method."),Xi=h(),b(io.$$.fragment),Ji=h(),b(lo.$$.fragment),sa=h(),Nt=a("h2"),co=a("a"),vs=a("span"),b(sn.$$.fragment),Qi=h(),bs=a("span"),Yi=n("TFCTRLLMHeadModel"),aa=h(),be=a("div"),b(an.$$.fragment),Zi=h(),ks=a("p"),el=n(`The CTRL Model transformer with a language modeling head on top (linear layer with weights tied to the input
embeddings).`),tl=h(),rn=a("p"),ol=n("This model inherits from "),Sn=a("a"),nl=n("TFPreTrainedModel"),sl=n(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),al=h(),ln=a("p"),rl=n("This model is also a "),dn=a("a"),il=n("tf.keras.Model"),ll=n(` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),dl=h(),b(po.$$.fragment),cl=h(),pt=a("div"),b(cn.$$.fragment),pl=h(),At=a("p"),hl=n("The "),On=a("a"),ul=n("TFCTRLLMHeadModel"),ml=n(" forward method, overrides the "),ws=a("code"),fl=n("__call__"),gl=n(" special method."),_l=h(),b(ho.$$.fragment),Tl=h(),b(uo.$$.fragment),ra=h(),It=a("h2"),mo=a("a"),Cs=a("span"),b(pn.$$.fragment),yl=h(),$s=a("span"),vl=n("TFCTRLForSequenceClassification"),ia=h(),oe=a("div"),b(hn.$$.fragment),bl=h(),Ls=a("p"),kl=n("The CTRL Model transformer with a sequence classification head on top (linear layer)."),wl=h(),Nn=a("p"),An=a("a"),Cl=n("TFCTRLForSequenceClassification"),$l=n(` uses the last token in order to do the classification, as other causal models
(e.g. GPT-1, GPT-2) do.`),Ll=h(),Ye=a("p"),Ml=n(`Since it does classification on the last token, it requires to know the position of the last token. If a
`),Ms=a("code"),Rl=n("pad_token_id"),El=n(` is defined in the configuration, it finds the last token that is not a padding token in each row. If
no `),Rs=a("code"),Fl=n("pad_token_id"),ql=n(` is defined, it simply takes the last value in each row of the batch. Since it cannot guess the
padding tokens when `),Es=a("code"),zl=n("inputs_embeds"),jl=n(" are passed instead of "),Fs=a("code"),xl=n("input_ids"),Pl=n(`, it does the same (take the last value in
each row of the batch).`),Sl=h(),un=a("p"),Ol=n("This model inherits from "),In=a("a"),Nl=n("TFPreTrainedModel"),Al=n(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Il=h(),mn=a("p"),Dl=n("This model is also a "),fn=a("a"),Hl=n("tf.keras.Model"),Wl=n(` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),Ul=h(),b(fo.$$.fragment),Bl=h(),Ge=a("div"),b(gn.$$.fragment),Kl=h(),Dt=a("p"),Vl=n("The "),Dn=a("a"),Gl=n("TFCTRLForSequenceClassification"),Xl=n(" forward method, overrides the "),qs=a("code"),Jl=n("__call__"),Ql=n(" special method."),Yl=h(),b(go.$$.fragment),Zl=h(),b(_o.$$.fragment),ed=h(),b(To.$$.fragment),this.h()},l(o){const T=jc('[data-svelte="svelte-1phssyn"]',document.head);d=r(T,"META",{name:!0,content:!0}),T.forEach(t),y=u(o),c=r(o,"H1",{class:!0});var _n=i(c);m=r(_n,"A",{id:!0,class:!0,href:!0});var zs=i(m);v=r(zs,"SPAN",{});var js=i(v);k(l.$$.fragment,js),js.forEach(t),zs.forEach(t),p=u(_n),q=r(_n,"SPAN",{});var xs=i(q);Ee=s(xs,"CTRL"),xs.forEach(t),_n.forEach(t),ke=u(o),O=r(o,"DIV",{class:!0});var Tn=i(O);ce=r(Tn,"A",{href:!0});var Ps=i(ce);J=r(Ps,"IMG",{alt:!0,src:!0}),Ps.forEach(t),Fe=u(Tn),I=r(Tn,"A",{href:!0});var Ss=i(I);pe=r(Ss,"IMG",{alt:!0,src:!0}),Ss.forEach(t),Tn.forEach(t),K=u(o),Q=r(o,"H2",{class:!0});var yn=i(Q);ne=r(yn,"A",{id:!0,class:!0,href:!0});var Os=i(ne);W=r(Os,"SPAN",{});var Ns=i(W);k(se.$$.fragment,Ns),Ns.forEach(t),Os.forEach(t),qe=u(yn),U=r(yn,"SPAN",{});var As=i(U);ze=s(As,"Overview"),As.forEach(t),yn.forEach(t),we=u(o),S=r(o,"P",{});var Ht=i(S);je=s(Ht,"CTRL model was proposed in "),ae=r(Ht,"A",{href:!0,rel:!0});var Is=i(ae);he=s(Is,"CTRL: A Conditional Transformer Language Model for Controllable Generation"),Is.forEach(t),z=s(Ht," by Nitish Shirish Keskar"),j=r(Ht,"EM",{});var Ds=i(j);xe=s(Ds,", Bryan McCann"),Ds.forEach(t),Y=s(Ht,`, Lav R. Varshney, Caiming Xiong and
Richard Socher. It\u2019s a causal (unidirectional) transformer pre-trained using language modeling on a very large corpus
of ~140 GB of text data with the first token reserved as a control code (such as Links, Books, Wikipedia etc.).`),Ht.forEach(t),Ce=u(o),ue=r(o,"P",{});var Hs=i(ue);Z=s(Hs,"The abstract from the paper is the following:"),Hs.forEach(t),$e=u(o),me=r(o,"P",{});var Ws=i(me);x=r(Ws,"EM",{});var Us=i(x);Pe=s(Us,`Large-scale language models show promising text generation capabilities, but users cannot easily control particular
aspects of the generated text. We release CTRL, a 1.63 billion-parameter conditional transformer language model,
trained to condition on control codes that govern style, content, and task-specific behavior. Control codes were
derived from structure that naturally co-occurs with raw text, preserving the advantages of unsupervised learning while
providing more explicit control over text generation. These codes also allow CTRL to predict which parts of the
training data are most likely given a sequence. This provides a potential method for analyzing large amounts of data
via model-based source attribution.`),Us.forEach(t),Ws.forEach(t),V=u(o),fe=r(o,"P",{});var Bs=i(fe);Se=s(Bs,"Tips:"),Bs.forEach(t),G=u(o),D=r(o,"UL",{});var gt=i(D);re=r(gt,"LI",{});var vn=i(re);H=s(vn,`CTRL makes use of control codes to generate text: it requires generations to be started by certain words, sentences
or links to generate coherent text. Refer to the `),ie=r(vn,"A",{href:!0,rel:!0});var od=i(ie);ee=s(od,"original implementation"),od.forEach(t),Oe=s(vn,` for
more information.`),vn.forEach(t),ge=u(gt),P=r(gt,"LI",{});var nd=i(P);Ne=s(nd,`CTRL is a model with absolute position embeddings so it\u2019s usually advised to pad the inputs on the right rather than
the left.`),nd.forEach(t),N=u(gt),le=r(gt,"LI",{});var da=i(le);Ae=s(da,`CTRL was trained with a causal language modeling (CLM) objective and is therefore powerful at predicting the next
token in a sequence. Leveraging this feature allows CTRL to generate syntactically coherent text as it can be
observed in the `),_=r(da,"EM",{});var sd=i(_);R=s(sd,"run_generation.py"),sd.forEach(t),Ze=s(da," example script."),da.forEach(t),_e=u(gt),X=r(gt,"LI",{});var vt=i(X);et=s(vt,"The PyTorch models can take the "),E=r(vt,"CODE",{});var ad=i(E);tt=s(ad,"past_key_values"),ad.forEach(t),ot=s(vt,` as input, which is the previously computed key/value attention pairs.
TensorFlow models accepts `),Ve=r(vt,"CODE",{});var rd=i(Ve);nt=s(rd,"past"),rd.forEach(t),st=s(vt," as input. Using the "),A=r(vt,"CODE",{});var id=i(A);te=s(id,"past_key_values"),id.forEach(t),at=s(vt,` value prevents the model from re-computing
pre-computed values in the context of text generation. See the `),Ie=r(vt,"A",{href:!0});var ld=i(Ie);B=r(ld,"CODE",{});var dd=i(B);rt=s(dd,"forward"),dd.forEach(t),ld.forEach(t),it=s(vt,`
method for more information on the usage of this argument.`),vt.forEach(t),gt.forEach(t),Le=u(o),de=r(o,"P",{});var Hn=i(de);Te=s(Hn,"This model was contributed by "),Me=r(Hn,"A",{href:!0,rel:!0});var cd=i(Me);qa=s(cd,"keskarnitishr"),cd.forEach(t),za=s(Hn,`. The original code can be found
`),Lo=r(Hn,"A",{href:!0,rel:!0});var pd=i(Lo);ja=s(pd,"here"),pd.forEach(t),xa=s(Hn,"."),Hn.forEach(t),Ks=u(o),Mt=r(o,"H2",{class:!0});var ca=i(Mt);Ut=r(ca,"A",{id:!0,class:!0,href:!0});var hd=i(Ut);Jn=r(hd,"SPAN",{});var ud=i(Jn);k(Mo.$$.fragment,ud),ud.forEach(t),hd.forEach(t),Pa=u(ca),Qn=r(ca,"SPAN",{});var md=i(Qn);Sa=s(md,"CTRLConfig"),md.forEach(t),ca.forEach(t),Vs=u(o),Je=r(o,"DIV",{class:!0});var yo=i(Je);k(Ro.$$.fragment,yo),Oa=u(yo),ft=r(yo,"P",{});var vo=i(ft);Na=s(vo,"This is the configuration class to store the configuration of a "),bn=r(vo,"A",{href:!0});var fd=i(bn);Aa=s(fd,"CTRLModel"),fd.forEach(t),Ia=s(vo," or a "),kn=r(vo,"A",{href:!0});var gd=i(kn);Da=s(gd,"TFCTRLModel"),gd.forEach(t),Ha=s(vo,`. It is used to
instantiate a CTRL model according to the specified arguments, defining the model architecture. Instantiating a
configuration with the defaults will yield a similar configuration to that of the
`),Eo=r(vo,"A",{href:!0,rel:!0});var _d=i(Eo);Wa=s(_d,"ctrl"),_d.forEach(t),Ua=s(vo," architecture from SalesForce."),vo.forEach(t),Ba=u(yo),Rt=r(yo,"P",{});var Wn=i(Rt);Ka=s(Wn,"Configuration objects inherit from "),wn=r(Wn,"A",{href:!0});var Td=i(wn);Va=s(Td,"PretrainedConfig"),Td.forEach(t),Ga=s(Wn,` and can be used to control the model outputs. Read the
documentation from `),Cn=r(Wn,"A",{href:!0});var yd=i(Cn);Xa=s(yd,"PretrainedConfig"),yd.forEach(t),Ja=s(Wn," for more information."),Wn.forEach(t),Qa=u(yo),k(Bt.$$.fragment,yo),yo.forEach(t),Gs=u(o),Et=r(o,"H2",{class:!0});var pa=i(Et);Kt=r(pa,"A",{id:!0,class:!0,href:!0});var vd=i(Kt);Yn=r(vd,"SPAN",{});var bd=i(Yn);k(Fo.$$.fragment,bd),bd.forEach(t),vd.forEach(t),Ya=u(pa),Zn=r(pa,"SPAN",{});var kd=i(Zn);Za=s(kd,"CTRLTokenizer"),kd.forEach(t),pa.forEach(t),Xs=u(o),Qe=r(o,"DIV",{class:!0});var bo=i(Qe);k(qo.$$.fragment,bo),er=u(bo),es=r(bo,"P",{});var wd=i(es);tr=s(wd,"Construct a CTRL tokenizer. Based on Byte-Pair-Encoding."),wd.forEach(t),or=u(bo),zo=r(bo,"P",{});var ha=i(zo);nr=s(ha,"This tokenizer inherits from "),$n=r(ha,"A",{href:!0});var Cd=i($n);sr=s(Cd,"PreTrainedTokenizer"),Cd.forEach(t),ar=s(ha,` which contains most of the main methods. Users should refer to
this superclass for more information regarding those methods.`),ha.forEach(t),rr=u(bo),Ln=r(bo,"DIV",{class:!0});var $d=i(Ln);k(jo.$$.fragment,$d),$d.forEach(t),bo.forEach(t),Js=u(o),Ft=r(o,"H2",{class:!0});var ua=i(Ft);Vt=r(ua,"A",{id:!0,class:!0,href:!0});var Ld=i(Vt);ts=r(Ld,"SPAN",{});var Md=i(ts);k(xo.$$.fragment,Md),Md.forEach(t),Ld.forEach(t),ir=u(ua),os=r(ua,"SPAN",{});var Rd=i(os);lr=s(Rd,"CTRLModel"),Rd.forEach(t),ua.forEach(t),Qs=u(o),De=r(o,"DIV",{class:!0});var bt=i(De);k(Po.$$.fragment,bt),dr=u(bt),ns=r(bt,"P",{});var Ed=i(ns);cr=s(Ed,"The bare CTRL Model transformer outputting raw hidden-states without any specific head on top."),Ed.forEach(t),pr=u(bt),So=r(bt,"P",{});var ma=i(So);hr=s(ma,"This model inherits from "),Mn=r(ma,"A",{href:!0});var Fd=i(Mn);ur=s(Fd,"PreTrainedModel"),Fd.forEach(t),mr=s(ma,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),ma.forEach(t),fr=u(bt),Oo=r(bt,"P",{});var fa=i(Oo);gr=s(fa,"This model is also a PyTorch "),No=r(fa,"A",{href:!0,rel:!0});var qd=i(No);_r=s(qd,"torch.nn.Module"),qd.forEach(t),Tr=s(fa,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),fa.forEach(t),yr=u(bt),lt=r(bt,"DIV",{class:!0});var ko=i(lt);k(Ao.$$.fragment,ko),vr=u(ko),qt=r(ko,"P",{});var Un=i(qt);br=s(Un,"The "),Rn=r(Un,"A",{href:!0});var zd=i(Rn);kr=s(zd,"CTRLModel"),zd.forEach(t),wr=s(Un," forward method, overrides the "),ss=r(Un,"CODE",{});var jd=i(ss);Cr=s(jd,"__call__"),jd.forEach(t),$r=s(Un," special method."),Un.forEach(t),Lr=u(ko),k(Gt.$$.fragment,ko),Mr=u(ko),k(Xt.$$.fragment,ko),ko.forEach(t),bt.forEach(t),Ys=u(o),zt=r(o,"H2",{class:!0});var ga=i(zt);Jt=r(ga,"A",{id:!0,class:!0,href:!0});var xd=i(Jt);as=r(xd,"SPAN",{});var Pd=i(as);k(Io.$$.fragment,Pd),Pd.forEach(t),xd.forEach(t),Rr=u(ga),rs=r(ga,"SPAN",{});var Sd=i(rs);Er=s(Sd,"CTRLLMHeadModel"),Sd.forEach(t),ga.forEach(t),Zs=u(o),He=r(o,"DIV",{class:!0});var kt=i(He);k(Do.$$.fragment,kt),Fr=u(kt),is=r(kt,"P",{});var Od=i(is);qr=s(Od,`The CTRL Model transformer with a language modeling head on top (linear layer with weights tied to the input
embeddings).`),Od.forEach(t),zr=u(kt),Ho=r(kt,"P",{});var _a=i(Ho);jr=s(_a,"This model inherits from "),En=r(_a,"A",{href:!0});var Nd=i(En);xr=s(Nd,"PreTrainedModel"),Nd.forEach(t),Pr=s(_a,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),_a.forEach(t),Sr=u(kt),Wo=r(kt,"P",{});var Ta=i(Wo);Or=s(Ta,"This model is also a PyTorch "),Uo=r(Ta,"A",{href:!0,rel:!0});var Ad=i(Uo);Nr=s(Ad,"torch.nn.Module"),Ad.forEach(t),Ar=s(Ta,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),Ta.forEach(t),Ir=u(kt),dt=r(kt,"DIV",{class:!0});var wo=i(dt);k(Bo.$$.fragment,wo),Dr=u(wo),jt=r(wo,"P",{});var Bn=i(jt);Hr=s(Bn,"The "),Fn=r(Bn,"A",{href:!0});var Id=i(Fn);Wr=s(Id,"CTRLLMHeadModel"),Id.forEach(t),Ur=s(Bn," forward method, overrides the "),ls=r(Bn,"CODE",{});var Dd=i(ls);Br=s(Dd,"__call__"),Dd.forEach(t),Kr=s(Bn," special method."),Bn.forEach(t),Vr=u(wo),k(Qt.$$.fragment,wo),Gr=u(wo),k(Yt.$$.fragment,wo),wo.forEach(t),kt.forEach(t),ea=u(o),xt=r(o,"H2",{class:!0});var ya=i(xt);Zt=r(ya,"A",{id:!0,class:!0,href:!0});var Hd=i(Zt);ds=r(Hd,"SPAN",{});var Wd=i(ds);k(Ko.$$.fragment,Wd),Wd.forEach(t),Hd.forEach(t),Xr=u(ya),cs=r(ya,"SPAN",{});var Ud=i(cs);Jr=s(Ud,"CTRLForSequenceClassification"),Ud.forEach(t),ya.forEach(t),ta=u(o),We=r(o,"DIV",{class:!0});var wt=i(We);k(Vo.$$.fragment,wt),Qr=u(wt),Ue=r(wt,"P",{});var ht=i(Ue);Yr=s(ht,`The CTRL Model transformer with a sequence classification head on top (linear layer).
`),qn=r(ht,"A",{href:!0});var Bd=i(qn);Zr=s(Bd,"CTRLForSequenceClassification"),Bd.forEach(t),ei=s(ht,` uses the last token in order to do the classification, as other causal models
(e.g. GPT-2) do. Since it does classification on the last token, it requires to know the position of the last
token. If a `),ps=r(ht,"CODE",{});var Kd=i(ps);ti=s(Kd,"pad_token_id"),Kd.forEach(t),oi=s(ht,` is defined in the configuration, it finds the last token that is not a padding token in
each row. If no `),hs=r(ht,"CODE",{});var Vd=i(hs);ni=s(Vd,"pad_token_id"),Vd.forEach(t),si=s(ht,` is defined, it simply takes the last value in each row of the batch. Since it cannot
guess the padding tokens when `),us=r(ht,"CODE",{});var Gd=i(us);ai=s(Gd,"inputs_embeds"),Gd.forEach(t),ri=s(ht," are passed instead of "),ms=r(ht,"CODE",{});var Xd=i(ms);ii=s(Xd,"input_ids"),Xd.forEach(t),li=s(ht,`, it does the same (take the last
value in each row of the batch).`),ht.forEach(t),di=u(wt),Go=r(wt,"P",{});var va=i(Go);ci=s(va,"This model inherits from "),zn=r(va,"A",{href:!0});var Jd=i(zn);pi=s(Jd,"PreTrainedModel"),Jd.forEach(t),hi=s(va,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),va.forEach(t),ui=u(wt),Xo=r(wt,"P",{});var ba=i(Xo);mi=s(ba,"This model is also a PyTorch "),Jo=r(ba,"A",{href:!0,rel:!0});var Qd=i(Jo);fi=s(Qd,"torch.nn.Module"),Qd.forEach(t),gi=s(ba,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),ba.forEach(t),_i=u(wt),ye=r(wt,"DIV",{class:!0});var Xe=i(ye);k(Qo.$$.fragment,Xe),Ti=u(Xe),Pt=r(Xe,"P",{});var Kn=i(Pt);yi=s(Kn,"The "),jn=r(Kn,"A",{href:!0});var Yd=i(jn);vi=s(Yd,"CTRLForSequenceClassification"),Yd.forEach(t),bi=s(Kn," forward method, overrides the "),fs=r(Kn,"CODE",{});var Zd=i(fs);ki=s(Zd,"__call__"),Zd.forEach(t),wi=s(Kn," special method."),Kn.forEach(t),Ci=u(Xe),k(eo.$$.fragment,Xe),$i=u(Xe),k(to.$$.fragment,Xe),Li=u(Xe),k(oo.$$.fragment,Xe),Mi=u(Xe),k(no.$$.fragment,Xe),Ri=u(Xe),k(so.$$.fragment,Xe),Xe.forEach(t),wt.forEach(t),oa=u(o),St=r(o,"H2",{class:!0});var ka=i(St);ao=r(ka,"A",{id:!0,class:!0,href:!0});var ec=i(ao);gs=r(ec,"SPAN",{});var tc=i(gs);k(Yo.$$.fragment,tc),tc.forEach(t),ec.forEach(t),Ei=u(ka),_s=r(ka,"SPAN",{});var oc=i(_s);Fi=s(oc,"TFCTRLModel"),oc.forEach(t),ka.forEach(t),na=u(o),ve=r(o,"DIV",{class:!0});var ut=i(ve);k(Zo.$$.fragment,ut),qi=u(ut),Ts=r(ut,"P",{});var nc=i(Ts);zi=s(nc,"The bare CTRL Model transformer outputting raw hidden-states without any specific head on top."),nc.forEach(t),ji=u(ut),en=r(ut,"P",{});var wa=i(en);xi=s(wa,"This model inherits from "),xn=r(wa,"A",{href:!0});var sc=i(xn);Pi=s(sc,"TFPreTrainedModel"),sc.forEach(t),Si=s(wa,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),wa.forEach(t),Oi=u(ut),tn=r(ut,"P",{});var Ca=i(tn);Ni=s(Ca,"This model is also a "),on=r(Ca,"A",{href:!0,rel:!0});var ac=i(on);Ai=s(ac,"tf.keras.Model"),ac.forEach(t),Ii=s(Ca,` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),Ca.forEach(t),Di=u(ut),k(ro.$$.fragment,ut),Hi=u(ut),ct=r(ut,"DIV",{class:!0});var Co=i(ct);k(nn.$$.fragment,Co),Wi=u(Co),Ot=r(Co,"P",{});var Vn=i(Ot);Ui=s(Vn,"The "),Pn=r(Vn,"A",{href:!0});var rc=i(Pn);Bi=s(rc,"TFCTRLModel"),rc.forEach(t),Ki=s(Vn," forward method, overrides the "),ys=r(Vn,"CODE",{});var ic=i(ys);Vi=s(ic,"__call__"),ic.forEach(t),Gi=s(Vn," special method."),Vn.forEach(t),Xi=u(Co),k(io.$$.fragment,Co),Ji=u(Co),k(lo.$$.fragment,Co),Co.forEach(t),ut.forEach(t),sa=u(o),Nt=r(o,"H2",{class:!0});var $a=i(Nt);co=r($a,"A",{id:!0,class:!0,href:!0});var lc=i(co);vs=r(lc,"SPAN",{});var dc=i(vs);k(sn.$$.fragment,dc),dc.forEach(t),lc.forEach(t),Qi=u($a),bs=r($a,"SPAN",{});var cc=i(bs);Yi=s(cc,"TFCTRLLMHeadModel"),cc.forEach(t),$a.forEach(t),aa=u(o),be=r(o,"DIV",{class:!0});var mt=i(be);k(an.$$.fragment,mt),Zi=u(mt),ks=r(mt,"P",{});var pc=i(ks);el=s(pc,`The CTRL Model transformer with a language modeling head on top (linear layer with weights tied to the input
embeddings).`),pc.forEach(t),tl=u(mt),rn=r(mt,"P",{});var La=i(rn);ol=s(La,"This model inherits from "),Sn=r(La,"A",{href:!0});var hc=i(Sn);nl=s(hc,"TFPreTrainedModel"),hc.forEach(t),sl=s(La,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),La.forEach(t),al=u(mt),ln=r(mt,"P",{});var Ma=i(ln);rl=s(Ma,"This model is also a "),dn=r(Ma,"A",{href:!0,rel:!0});var uc=i(dn);il=s(uc,"tf.keras.Model"),uc.forEach(t),ll=s(Ma,` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),Ma.forEach(t),dl=u(mt),k(po.$$.fragment,mt),cl=u(mt),pt=r(mt,"DIV",{class:!0});var $o=i(pt);k(cn.$$.fragment,$o),pl=u($o),At=r($o,"P",{});var Gn=i(At);hl=s(Gn,"The "),On=r(Gn,"A",{href:!0});var mc=i(On);ul=s(mc,"TFCTRLLMHeadModel"),mc.forEach(t),ml=s(Gn," forward method, overrides the "),ws=r(Gn,"CODE",{});var fc=i(ws);fl=s(fc,"__call__"),fc.forEach(t),gl=s(Gn," special method."),Gn.forEach(t),_l=u($o),k(ho.$$.fragment,$o),Tl=u($o),k(uo.$$.fragment,$o),$o.forEach(t),mt.forEach(t),ra=u(o),It=r(o,"H2",{class:!0});var Ra=i(It);mo=r(Ra,"A",{id:!0,class:!0,href:!0});var gc=i(mo);Cs=r(gc,"SPAN",{});var _c=i(Cs);k(pn.$$.fragment,_c),_c.forEach(t),gc.forEach(t),yl=u(Ra),$s=r(Ra,"SPAN",{});var Tc=i($s);vl=s(Tc,"TFCTRLForSequenceClassification"),Tc.forEach(t),Ra.forEach(t),ia=u(o),oe=r(o,"DIV",{class:!0});var Re=i(oe);k(hn.$$.fragment,Re),bl=u(Re),Ls=r(Re,"P",{});var yc=i(Ls);kl=s(yc,"The CTRL Model transformer with a sequence classification head on top (linear layer)."),yc.forEach(t),wl=u(Re),Nn=r(Re,"P",{});var td=i(Nn);An=r(td,"A",{href:!0});var vc=i(An);Cl=s(vc,"TFCTRLForSequenceClassification"),vc.forEach(t),$l=s(td,` uses the last token in order to do the classification, as other causal models
(e.g. GPT-1, GPT-2) do.`),td.forEach(t),Ll=u(Re),Ye=r(Re,"P",{});var Ct=i(Ye);Ml=s(Ct,`Since it does classification on the last token, it requires to know the position of the last token. If a
`),Ms=r(Ct,"CODE",{});var bc=i(Ms);Rl=s(bc,"pad_token_id"),bc.forEach(t),El=s(Ct,` is defined in the configuration, it finds the last token that is not a padding token in each row. If
no `),Rs=r(Ct,"CODE",{});var kc=i(Rs);Fl=s(kc,"pad_token_id"),kc.forEach(t),ql=s(Ct,` is defined, it simply takes the last value in each row of the batch. Since it cannot guess the
padding tokens when `),Es=r(Ct,"CODE",{});var wc=i(Es);zl=s(wc,"inputs_embeds"),wc.forEach(t),jl=s(Ct," are passed instead of "),Fs=r(Ct,"CODE",{});var Cc=i(Fs);xl=s(Cc,"input_ids"),Cc.forEach(t),Pl=s(Ct,`, it does the same (take the last value in
each row of the batch).`),Ct.forEach(t),Sl=u(Re),un=r(Re,"P",{});var Ea=i(un);Ol=s(Ea,"This model inherits from "),In=r(Ea,"A",{href:!0});var $c=i(In);Nl=s($c,"TFPreTrainedModel"),$c.forEach(t),Al=s(Ea,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Ea.forEach(t),Il=u(Re),mn=r(Re,"P",{});var Fa=i(mn);Dl=s(Fa,"This model is also a "),fn=r(Fa,"A",{href:!0,rel:!0});var Lc=i(fn);Hl=s(Lc,"tf.keras.Model"),Lc.forEach(t),Wl=s(Fa,` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),Fa.forEach(t),Ul=u(Re),k(fo.$$.fragment,Re),Bl=u(Re),Ge=r(Re,"DIV",{class:!0});var $t=i(Ge);k(gn.$$.fragment,$t),Kl=u($t),Dt=r($t,"P",{});var Xn=i(Dt);Vl=s(Xn,"The "),Dn=r(Xn,"A",{href:!0});var Mc=i(Dn);Gl=s(Mc,"TFCTRLForSequenceClassification"),Mc.forEach(t),Xl=s(Xn," forward method, overrides the "),qs=r(Xn,"CODE",{});var Rc=i(qs);Jl=s(Rc,"__call__"),Rc.forEach(t),Ql=s(Xn," special method."),Xn.forEach(t),Yl=u($t),k(go.$$.fragment,$t),Zl=u($t),k(_o.$$.fragment,$t),ed=u($t),k(To.$$.fragment,$t),$t.forEach(t),Re.forEach(t),this.h()},h(){f(d,"name","hf:doc:metadata"),f(d,"content",JSON.stringify(op)),f(m,"id","ctrl"),f(m,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),f(m,"href","#ctrl"),f(c,"class","relative group"),f(J,"alt","Models"),Ec(J.src,M="https://img.shields.io/badge/All_model_pages-ctrl-blueviolet")||f(J,"src",M),f(ce,"href","https://huggingface.co/models?filter=ctrl"),f(pe,"alt","Spaces"),Ec(pe.src,Ke="https://img.shields.io/badge/%F0%9F%A4%97%20Hugging%20Face-Spaces-blue")||f(pe,"src",Ke),f(I,"href","https://huggingface.co/spaces/docs-demos/tiny-ctrl"),f(O,"class","flex flex-wrap space-x-1"),f(ne,"id","overview"),f(ne,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),f(ne,"href","#overview"),f(Q,"class","relative group"),f(ae,"href","https://arxiv.org/abs/1909.05858"),f(ae,"rel","nofollow"),f(ie,"href","https://github.com/salesforce/ctrl"),f(ie,"rel","nofollow"),f(Ie,"href","model_doc/ctrl#transformers.CTRLModel.forward"),f(Me,"href","https://huggingface.co/keskarnitishr"),f(Me,"rel","nofollow"),f(Lo,"href","https://github.com/salesforce/ctrl"),f(Lo,"rel","nofollow"),f(Ut,"id","transformers.CTRLConfig"),f(Ut,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),f(Ut,"href","#transformers.CTRLConfig"),f(Mt,"class","relative group"),f(bn,"href","/docs/transformers/main/en/model_doc/ctrl#transformers.CTRLModel"),f(kn,"href","/docs/transformers/main/en/model_doc/ctrl#transformers.TFCTRLModel"),f(Eo,"href","https://huggingface.co/ctrl"),f(Eo,"rel","nofollow"),f(wn,"href","/docs/transformers/main/en/main_classes/configuration#transformers.PretrainedConfig"),f(Cn,"href","/docs/transformers/main/en/main_classes/configuration#transformers.PretrainedConfig"),f(Je,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(Kt,"id","transformers.CTRLTokenizer"),f(Kt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),f(Kt,"href","#transformers.CTRLTokenizer"),f(Et,"class","relative group"),f($n,"href","/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer"),f(Ln,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(Qe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(Vt,"id","transformers.CTRLModel"),f(Vt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),f(Vt,"href","#transformers.CTRLModel"),f(Ft,"class","relative group"),f(Mn,"href","/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel"),f(No,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),f(No,"rel","nofollow"),f(Rn,"href","/docs/transformers/main/en/model_doc/ctrl#transformers.CTRLModel"),f(lt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(De,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(Jt,"id","transformers.CTRLLMHeadModel"),f(Jt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),f(Jt,"href","#transformers.CTRLLMHeadModel"),f(zt,"class","relative group"),f(En,"href","/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel"),f(Uo,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),f(Uo,"rel","nofollow"),f(Fn,"href","/docs/transformers/main/en/model_doc/ctrl#transformers.CTRLLMHeadModel"),f(dt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(He,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(Zt,"id","transformers.CTRLForSequenceClassification"),f(Zt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),f(Zt,"href","#transformers.CTRLForSequenceClassification"),f(xt,"class","relative group"),f(qn,"href","/docs/transformers/main/en/model_doc/ctrl#transformers.CTRLForSequenceClassification"),f(zn,"href","/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel"),f(Jo,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),f(Jo,"rel","nofollow"),f(jn,"href","/docs/transformers/main/en/model_doc/ctrl#transformers.CTRLForSequenceClassification"),f(ye,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(We,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(ao,"id","transformers.TFCTRLModel"),f(ao,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),f(ao,"href","#transformers.TFCTRLModel"),f(St,"class","relative group"),f(xn,"href","/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel"),f(on,"href","https://www.tensorflow.org/api_docs/python/tf/keras/Model"),f(on,"rel","nofollow"),f(Pn,"href","/docs/transformers/main/en/model_doc/ctrl#transformers.TFCTRLModel"),f(ct,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(ve,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(co,"id","transformers.TFCTRLLMHeadModel"),f(co,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),f(co,"href","#transformers.TFCTRLLMHeadModel"),f(Nt,"class","relative group"),f(Sn,"href","/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel"),f(dn,"href","https://www.tensorflow.org/api_docs/python/tf/keras/Model"),f(dn,"rel","nofollow"),f(On,"href","/docs/transformers/main/en/model_doc/ctrl#transformers.TFCTRLLMHeadModel"),f(pt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(be,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(mo,"id","transformers.TFCTRLForSequenceClassification"),f(mo,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),f(mo,"href","#transformers.TFCTRLForSequenceClassification"),f(It,"class","relative group"),f(An,"href","/docs/transformers/main/en/model_doc/ctrl#transformers.TFCTRLForSequenceClassification"),f(In,"href","/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel"),f(fn,"href","https://www.tensorflow.org/api_docs/python/tf/keras/Model"),f(fn,"rel","nofollow"),f(Dn,"href","/docs/transformers/main/en/model_doc/ctrl#transformers.TFCTRLForSequenceClassification"),f(Ge,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),f(oe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(o,T){e(document.head,d),g(o,y,T),g(o,c,T),e(c,m),e(m,v),w(l,v,null),e(c,p),e(c,q),e(q,Ee),g(o,ke,T),g(o,O,T),e(O,ce),e(ce,J),e(O,Fe),e(O,I),e(I,pe),g(o,K,T),g(o,Q,T),e(Q,ne),e(ne,W),w(se,W,null),e(Q,qe),e(Q,U),e(U,ze),g(o,we,T),g(o,S,T),e(S,je),e(S,ae),e(ae,he),e(S,z),e(S,j),e(j,xe),e(S,Y),g(o,Ce,T),g(o,ue,T),e(ue,Z),g(o,$e,T),g(o,me,T),e(me,x),e(x,Pe),g(o,V,T),g(o,fe,T),e(fe,Se),g(o,G,T),g(o,D,T),e(D,re),e(re,H),e(re,ie),e(ie,ee),e(re,Oe),e(D,ge),e(D,P),e(P,Ne),e(D,N),e(D,le),e(le,Ae),e(le,_),e(_,R),e(le,Ze),e(D,_e),e(D,X),e(X,et),e(X,E),e(E,tt),e(X,ot),e(X,Ve),e(Ve,nt),e(X,st),e(X,A),e(A,te),e(X,at),e(X,Ie),e(Ie,B),e(B,rt),e(X,it),g(o,Le,T),g(o,de,T),e(de,Te),e(de,Me),e(Me,qa),e(de,za),e(de,Lo),e(Lo,ja),e(de,xa),g(o,Ks,T),g(o,Mt,T),e(Mt,Ut),e(Ut,Jn),w(Mo,Jn,null),e(Mt,Pa),e(Mt,Qn),e(Qn,Sa),g(o,Vs,T),g(o,Je,T),w(Ro,Je,null),e(Je,Oa),e(Je,ft),e(ft,Na),e(ft,bn),e(bn,Aa),e(ft,Ia),e(ft,kn),e(kn,Da),e(ft,Ha),e(ft,Eo),e(Eo,Wa),e(ft,Ua),e(Je,Ba),e(Je,Rt),e(Rt,Ka),e(Rt,wn),e(wn,Va),e(Rt,Ga),e(Rt,Cn),e(Cn,Xa),e(Rt,Ja),e(Je,Qa),w(Bt,Je,null),g(o,Gs,T),g(o,Et,T),e(Et,Kt),e(Kt,Yn),w(Fo,Yn,null),e(Et,Ya),e(Et,Zn),e(Zn,Za),g(o,Xs,T),g(o,Qe,T),w(qo,Qe,null),e(Qe,er),e(Qe,es),e(es,tr),e(Qe,or),e(Qe,zo),e(zo,nr),e(zo,$n),e($n,sr),e(zo,ar),e(Qe,rr),e(Qe,Ln),w(jo,Ln,null),g(o,Js,T),g(o,Ft,T),e(Ft,Vt),e(Vt,ts),w(xo,ts,null),e(Ft,ir),e(Ft,os),e(os,lr),g(o,Qs,T),g(o,De,T),w(Po,De,null),e(De,dr),e(De,ns),e(ns,cr),e(De,pr),e(De,So),e(So,hr),e(So,Mn),e(Mn,ur),e(So,mr),e(De,fr),e(De,Oo),e(Oo,gr),e(Oo,No),e(No,_r),e(Oo,Tr),e(De,yr),e(De,lt),w(Ao,lt,null),e(lt,vr),e(lt,qt),e(qt,br),e(qt,Rn),e(Rn,kr),e(qt,wr),e(qt,ss),e(ss,Cr),e(qt,$r),e(lt,Lr),w(Gt,lt,null),e(lt,Mr),w(Xt,lt,null),g(o,Ys,T),g(o,zt,T),e(zt,Jt),e(Jt,as),w(Io,as,null),e(zt,Rr),e(zt,rs),e(rs,Er),g(o,Zs,T),g(o,He,T),w(Do,He,null),e(He,Fr),e(He,is),e(is,qr),e(He,zr),e(He,Ho),e(Ho,jr),e(Ho,En),e(En,xr),e(Ho,Pr),e(He,Sr),e(He,Wo),e(Wo,Or),e(Wo,Uo),e(Uo,Nr),e(Wo,Ar),e(He,Ir),e(He,dt),w(Bo,dt,null),e(dt,Dr),e(dt,jt),e(jt,Hr),e(jt,Fn),e(Fn,Wr),e(jt,Ur),e(jt,ls),e(ls,Br),e(jt,Kr),e(dt,Vr),w(Qt,dt,null),e(dt,Gr),w(Yt,dt,null),g(o,ea,T),g(o,xt,T),e(xt,Zt),e(Zt,ds),w(Ko,ds,null),e(xt,Xr),e(xt,cs),e(cs,Jr),g(o,ta,T),g(o,We,T),w(Vo,We,null),e(We,Qr),e(We,Ue),e(Ue,Yr),e(Ue,qn),e(qn,Zr),e(Ue,ei),e(Ue,ps),e(ps,ti),e(Ue,oi),e(Ue,hs),e(hs,ni),e(Ue,si),e(Ue,us),e(us,ai),e(Ue,ri),e(Ue,ms),e(ms,ii),e(Ue,li),e(We,di),e(We,Go),e(Go,ci),e(Go,zn),e(zn,pi),e(Go,hi),e(We,ui),e(We,Xo),e(Xo,mi),e(Xo,Jo),e(Jo,fi),e(Xo,gi),e(We,_i),e(We,ye),w(Qo,ye,null),e(ye,Ti),e(ye,Pt),e(Pt,yi),e(Pt,jn),e(jn,vi),e(Pt,bi),e(Pt,fs),e(fs,ki),e(Pt,wi),e(ye,Ci),w(eo,ye,null),e(ye,$i),w(to,ye,null),e(ye,Li),w(oo,ye,null),e(ye,Mi),w(no,ye,null),e(ye,Ri),w(so,ye,null),g(o,oa,T),g(o,St,T),e(St,ao),e(ao,gs),w(Yo,gs,null),e(St,Ei),e(St,_s),e(_s,Fi),g(o,na,T),g(o,ve,T),w(Zo,ve,null),e(ve,qi),e(ve,Ts),e(Ts,zi),e(ve,ji),e(ve,en),e(en,xi),e(en,xn),e(xn,Pi),e(en,Si),e(ve,Oi),e(ve,tn),e(tn,Ni),e(tn,on),e(on,Ai),e(tn,Ii),e(ve,Di),w(ro,ve,null),e(ve,Hi),e(ve,ct),w(nn,ct,null),e(ct,Wi),e(ct,Ot),e(Ot,Ui),e(Ot,Pn),e(Pn,Bi),e(Ot,Ki),e(Ot,ys),e(ys,Vi),e(Ot,Gi),e(ct,Xi),w(io,ct,null),e(ct,Ji),w(lo,ct,null),g(o,sa,T),g(o,Nt,T),e(Nt,co),e(co,vs),w(sn,vs,null),e(Nt,Qi),e(Nt,bs),e(bs,Yi),g(o,aa,T),g(o,be,T),w(an,be,null),e(be,Zi),e(be,ks),e(ks,el),e(be,tl),e(be,rn),e(rn,ol),e(rn,Sn),e(Sn,nl),e(rn,sl),e(be,al),e(be,ln),e(ln,rl),e(ln,dn),e(dn,il),e(ln,ll),e(be,dl),w(po,be,null),e(be,cl),e(be,pt),w(cn,pt,null),e(pt,pl),e(pt,At),e(At,hl),e(At,On),e(On,ul),e(At,ml),e(At,ws),e(ws,fl),e(At,gl),e(pt,_l),w(ho,pt,null),e(pt,Tl),w(uo,pt,null),g(o,ra,T),g(o,It,T),e(It,mo),e(mo,Cs),w(pn,Cs,null),e(It,yl),e(It,$s),e($s,vl),g(o,ia,T),g(o,oe,T),w(hn,oe,null),e(oe,bl),e(oe,Ls),e(Ls,kl),e(oe,wl),e(oe,Nn),e(Nn,An),e(An,Cl),e(Nn,$l),e(oe,Ll),e(oe,Ye),e(Ye,Ml),e(Ye,Ms),e(Ms,Rl),e(Ye,El),e(Ye,Rs),e(Rs,Fl),e(Ye,ql),e(Ye,Es),e(Es,zl),e(Ye,jl),e(Ye,Fs),e(Fs,xl),e(Ye,Pl),e(oe,Sl),e(oe,un),e(un,Ol),e(un,In),e(In,Nl),e(un,Al),e(oe,Il),e(oe,mn),e(mn,Dl),e(mn,fn),e(fn,Hl),e(mn,Wl),e(oe,Ul),w(fo,oe,null),e(oe,Bl),e(oe,Ge),w(gn,Ge,null),e(Ge,Kl),e(Ge,Dt),e(Dt,Vl),e(Dt,Dn),e(Dn,Gl),e(Dt,Xl),e(Dt,qs),e(qs,Jl),e(Dt,Ql),e(Ge,Yl),w(go,Ge,null),e(Ge,Zl),w(_o,Ge,null),e(Ge,ed),w(To,Ge,null),la=!0},p(o,[T]){const _n={};T&2&&(_n.$$scope={dirty:T,ctx:o}),Bt.$set(_n);const zs={};T&2&&(zs.$$scope={dirty:T,ctx:o}),Gt.$set(zs);const js={};T&2&&(js.$$scope={dirty:T,ctx:o}),Xt.$set(js);const xs={};T&2&&(xs.$$scope={dirty:T,ctx:o}),Qt.$set(xs);const Tn={};T&2&&(Tn.$$scope={dirty:T,ctx:o}),Yt.$set(Tn);const Ps={};T&2&&(Ps.$$scope={dirty:T,ctx:o}),eo.$set(Ps);const Ss={};T&2&&(Ss.$$scope={dirty:T,ctx:o}),to.$set(Ss);const yn={};T&2&&(yn.$$scope={dirty:T,ctx:o}),oo.$set(yn);const Os={};T&2&&(Os.$$scope={dirty:T,ctx:o}),no.$set(Os);const Ns={};T&2&&(Ns.$$scope={dirty:T,ctx:o}),so.$set(Ns);const As={};T&2&&(As.$$scope={dirty:T,ctx:o}),ro.$set(As);const Ht={};T&2&&(Ht.$$scope={dirty:T,ctx:o}),io.$set(Ht);const Is={};T&2&&(Is.$$scope={dirty:T,ctx:o}),lo.$set(Is);const Ds={};T&2&&(Ds.$$scope={dirty:T,ctx:o}),po.$set(Ds);const Hs={};T&2&&(Hs.$$scope={dirty:T,ctx:o}),ho.$set(Hs);const Ws={};T&2&&(Ws.$$scope={dirty:T,ctx:o}),uo.$set(Ws);const Us={};T&2&&(Us.$$scope={dirty:T,ctx:o}),fo.$set(Us);const Bs={};T&2&&(Bs.$$scope={dirty:T,ctx:o}),go.$set(Bs);const gt={};T&2&&(gt.$$scope={dirty:T,ctx:o}),_o.$set(gt);const vn={};T&2&&(vn.$$scope={dirty:T,ctx:o}),To.$set(vn)},i(o){la||(C(l.$$.fragment,o),C(se.$$.fragment,o),C(Mo.$$.fragment,o),C(Ro.$$.fragment,o),C(Bt.$$.fragment,o),C(Fo.$$.fragment,o),C(qo.$$.fragment,o),C(jo.$$.fragment,o),C(xo.$$.fragment,o),C(Po.$$.fragment,o),C(Ao.$$.fragment,o),C(Gt.$$.fragment,o),C(Xt.$$.fragment,o),C(Io.$$.fragment,o),C(Do.$$.fragment,o),C(Bo.$$.fragment,o),C(Qt.$$.fragment,o),C(Yt.$$.fragment,o),C(Ko.$$.fragment,o),C(Vo.$$.fragment,o),C(Qo.$$.fragment,o),C(eo.$$.fragment,o),C(to.$$.fragment,o),C(oo.$$.fragment,o),C(no.$$.fragment,o),C(so.$$.fragment,o),C(Yo.$$.fragment,o),C(Zo.$$.fragment,o),C(ro.$$.fragment,o),C(nn.$$.fragment,o),C(io.$$.fragment,o),C(lo.$$.fragment,o),C(sn.$$.fragment,o),C(an.$$.fragment,o),C(po.$$.fragment,o),C(cn.$$.fragment,o),C(ho.$$.fragment,o),C(uo.$$.fragment,o),C(pn.$$.fragment,o),C(hn.$$.fragment,o),C(fo.$$.fragment,o),C(gn.$$.fragment,o),C(go.$$.fragment,o),C(_o.$$.fragment,o),C(To.$$.fragment,o),la=!0)},o(o){$(l.$$.fragment,o),$(se.$$.fragment,o),$(Mo.$$.fragment,o),$(Ro.$$.fragment,o),$(Bt.$$.fragment,o),$(Fo.$$.fragment,o),$(qo.$$.fragment,o),$(jo.$$.fragment,o),$(xo.$$.fragment,o),$(Po.$$.fragment,o),$(Ao.$$.fragment,o),$(Gt.$$.fragment,o),$(Xt.$$.fragment,o),$(Io.$$.fragment,o),$(Do.$$.fragment,o),$(Bo.$$.fragment,o),$(Qt.$$.fragment,o),$(Yt.$$.fragment,o),$(Ko.$$.fragment,o),$(Vo.$$.fragment,o),$(Qo.$$.fragment,o),$(eo.$$.fragment,o),$(to.$$.fragment,o),$(oo.$$.fragment,o),$(no.$$.fragment,o),$(so.$$.fragment,o),$(Yo.$$.fragment,o),$(Zo.$$.fragment,o),$(ro.$$.fragment,o),$(nn.$$.fragment,o),$(io.$$.fragment,o),$(lo.$$.fragment,o),$(sn.$$.fragment,o),$(an.$$.fragment,o),$(po.$$.fragment,o),$(cn.$$.fragment,o),$(ho.$$.fragment,o),$(uo.$$.fragment,o),$(pn.$$.fragment,o),$(hn.$$.fragment,o),$(fo.$$.fragment,o),$(gn.$$.fragment,o),$(go.$$.fragment,o),$(_o.$$.fragment,o),$(To.$$.fragment,o),la=!1},d(o){t(d),o&&t(y),o&&t(c),L(l),o&&t(ke),o&&t(O),o&&t(K),o&&t(Q),L(se),o&&t(we),o&&t(S),o&&t(Ce),o&&t(ue),o&&t($e),o&&t(me),o&&t(V),o&&t(fe),o&&t(G),o&&t(D),o&&t(Le),o&&t(de),o&&t(Ks),o&&t(Mt),L(Mo),o&&t(Vs),o&&t(Je),L(Ro),L(Bt),o&&t(Gs),o&&t(Et),L(Fo),o&&t(Xs),o&&t(Qe),L(qo),L(jo),o&&t(Js),o&&t(Ft),L(xo),o&&t(Qs),o&&t(De),L(Po),L(Ao),L(Gt),L(Xt),o&&t(Ys),o&&t(zt),L(Io),o&&t(Zs),o&&t(He),L(Do),L(Bo),L(Qt),L(Yt),o&&t(ea),o&&t(xt),L(Ko),o&&t(ta),o&&t(We),L(Vo),L(Qo),L(eo),L(to),L(oo),L(no),L(so),o&&t(oa),o&&t(St),L(Yo),o&&t(na),o&&t(ve),L(Zo),L(ro),L(nn),L(io),L(lo),o&&t(sa),o&&t(Nt),L(sn),o&&t(aa),o&&t(be),L(an),L(po),L(cn),L(ho),L(uo),o&&t(ra),o&&t(It),L(pn),o&&t(ia),o&&t(oe),L(hn),L(fo),L(gn),L(go),L(_o),L(To)}}}const op={local:"ctrl",sections:[{local:"overview",title:"Overview"},{local:"transformers.CTRLConfig",title:"CTRLConfig"},{local:"transformers.CTRLTokenizer",title:"CTRLTokenizer"},{local:"transformers.CTRLModel",title:"CTRLModel"},{local:"transformers.CTRLLMHeadModel",title:"CTRLLMHeadModel"},{local:"transformers.CTRLForSequenceClassification",title:"CTRLForSequenceClassification"},{local:"transformers.TFCTRLModel",title:"TFCTRLModel"},{local:"transformers.TFCTRLLMHeadModel",title:"TFCTRLLMHeadModel"},{local:"transformers.TFCTRLForSequenceClassification",title:"TFCTRLForSequenceClassification"}],title:"CTRL"};function np(F){return xc(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class cp extends Fc{constructor(d){super();qc(this,d,np,tp,zc,{})}}export{cp as default,op as metadata};
