import{S as Gg,i as Ng,s as Lg,e as n,k as l,w as v,t as r,M as Dg,c as s,d as t,m as c,a,x as b,h as i,b as p,N as Og,G as e,g as f,y as T,q as w,o as $,B as P,v as Ug,L as Ne}from"../../chunks/vendor-hf-doc-builder.js";import{T as cn}from"../../chunks/Tip-hf-doc-builder.js";import{D as M}from"../../chunks/Docstring-hf-doc-builder.js";import{C as xe}from"../../chunks/CodeBlock-hf-doc-builder.js";import{I as ie}from"../../chunks/IconCopyLink-hf-doc-builder.js";import{E as Ge}from"../../chunks/ExampleCodeBlock-hf-doc-builder.js";function Wg(z){let u,y,_,m,k;return m=new xe({props:{code:`from transformers import PegasusConfig, PegasusModel

# Initializing a PEGASUS google/pegasus-large style configuration
configuration = PegasusConfig()

# Initializing a model (with random weights) from the google/pegasus-large style configuration
model = PegasusModel(configuration)

# Accessing the model configuration
configuration = model.config`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> PegasusConfig, PegasusModel

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a PEGASUS google/pegasus-large style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = PegasusConfig()

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a model (with random weights) from the google/pegasus-large style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model = PegasusModel(configuration)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Accessing the model configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = model.config`}}),{c(){u=n("p"),y=r("Example:"),_=l(),v(m.$$.fragment)},l(d){u=s(d,"P",{});var h=a(u);y=i(h,"Example:"),h.forEach(t),_=c(d),b(m.$$.fragment,d)},m(d,h){f(d,u,h),e(u,y),f(d,_,h),T(m,d,h),k=!0},p:Ne,i(d){k||(w(m.$$.fragment,d),k=!0)},o(d){$(m.$$.fragment,d),k=!1},d(d){d&&t(u),d&&t(_),P(m,d)}}}function Bg(z){let u,y,_,m,k;return{c(){u=n("p"),y=r("Although the recipe for forward pass needs to be defined within this function, one should call the "),_=n("code"),m=r("Module"),k=r(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(d){u=s(d,"P",{});var h=a(u);y=i(h,"Although the recipe for forward pass needs to be defined within this function, one should call the "),_=s(h,"CODE",{});var q=a(_);m=i(q,"Module"),q.forEach(t),k=i(h,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),h.forEach(t)},m(d,h){f(d,u,h),e(u,y),e(u,_),e(_,m),e(u,k)},d(d){d&&t(u)}}}function Rg(z){let u,y,_,m,k;return m=new xe({props:{code:`from transformers import AutoTokenizer, PegasusModel

tokenizer = AutoTokenizer.from_pretrained("google/pegasus-large")
model = PegasusModel.from_pretrained("google/pegasus-large")

inputs = tokenizer("Studies have been shown that owning a dog is good for you", return_tensors="pt")
decoder_inputs = tokenizer("Studies show that", return_tensors="pt")
outputs = model(input_ids=inputs.input_ids, decoder_input_ids=decoder_inputs.input_ids)

last_hidden_states = outputs.last_hidden_state
list(last_hidden_states.shape)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, PegasusModel

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;google/pegasus-large&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = PegasusModel.from_pretrained(<span class="hljs-string">&quot;google/pegasus-large&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Studies have been shown that owning a dog is good for you&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>decoder_inputs = tokenizer(<span class="hljs-string">&quot;Studies show that&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(input_ids=inputs.input_ids, decoder_input_ids=decoder_inputs.input_ids)

<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">list</span>(last_hidden_states.shape)
[<span class="hljs-number">1</span>, <span class="hljs-number">4</span>, <span class="hljs-number">1024</span>]`}}),{c(){u=n("p"),y=r("Example:"),_=l(),v(m.$$.fragment)},l(d){u=s(d,"P",{});var h=a(u);y=i(h,"Example:"),h.forEach(t),_=c(d),b(m.$$.fragment,d)},m(d,h){f(d,u,h),e(u,y),f(d,_,h),T(m,d,h),k=!0},p:Ne,i(d){k||(w(m.$$.fragment,d),k=!0)},o(d){$(m.$$.fragment,d),k=!1},d(d){d&&t(u),d&&t(_),P(m,d)}}}function Hg(z){let u,y,_,m,k;return{c(){u=n("p"),y=r("Although the recipe for forward pass needs to be defined within this function, one should call the "),_=n("code"),m=r("Module"),k=r(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(d){u=s(d,"P",{});var h=a(u);y=i(h,"Although the recipe for forward pass needs to be defined within this function, one should call the "),_=s(h,"CODE",{});var q=a(_);m=i(q,"Module"),q.forEach(t),k=i(h,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),h.forEach(t)},m(d,h){f(d,u,h),e(u,y),e(u,_),e(_,m),e(u,k)},d(d){d&&t(u)}}}function Vg(z){let u,y,_,m,k;return m=new xe({props:{code:`from transformers import AutoTokenizer, PegasusForConditionalGeneration

model = PegasusForConditionalGeneration.from_pretrained("google/pegasus-xsum")
tokenizer = AutoTokenizer.from_pretrained("google/pegasus-xsum")

ARTICLE_TO_SUMMARIZE = (
    "PG&E stated it scheduled the blackouts in response to forecasts for high winds "
    "amid dry conditions. The aim is to reduce the risk of wildfires. Nearly 800 thousand customers were "
    "scheduled to be affected by the shutoffs which were expected to last through at least midday tomorrow."
)
inputs = tokenizer(ARTICLE_TO_SUMMARIZE, max_length=1024, return_tensors="pt")

# Generate Summary
summary_ids = model.generate(inputs["input_ids"])
tokenizer.batch_decode(summary_ids, skip_special_tokens=True, clean_up_tokenization_spaces=False)[0]`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, PegasusForConditionalGeneration

<span class="hljs-meta">&gt;&gt;&gt; </span>model = PegasusForConditionalGeneration.from_pretrained(<span class="hljs-string">&quot;google/pegasus-xsum&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;google/pegasus-xsum&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>ARTICLE_TO_SUMMARIZE = (
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;PG&amp;E stated it scheduled the blackouts in response to forecasts for high winds &quot;</span>
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;amid dry conditions. The aim is to reduce the risk of wildfires. Nearly 800 thousand customers were &quot;</span>
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;scheduled to be affected by the shutoffs which were expected to last through at least midday tomorrow.&quot;</span>
<span class="hljs-meta">... </span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(ARTICLE_TO_SUMMARIZE, max_length=<span class="hljs-number">1024</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Generate Summary</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>summary_ids = model.generate(inputs[<span class="hljs-string">&quot;input_ids&quot;</span>])
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer.batch_decode(summary_ids, skip_special_tokens=<span class="hljs-literal">True</span>, clean_up_tokenization_spaces=<span class="hljs-literal">False</span>)[<span class="hljs-number">0</span>]
<span class="hljs-string">&quot;California&#x27;s largest electricity provider has turned off power to hundreds of thousands of customers.&quot;</span>`}}),{c(){u=n("p"),y=r("Summarization example:"),_=l(),v(m.$$.fragment)},l(d){u=s(d,"P",{});var h=a(u);y=i(h,"Summarization example:"),h.forEach(t),_=c(d),b(m.$$.fragment,d)},m(d,h){f(d,u,h),e(u,y),f(d,_,h),T(m,d,h),k=!0},p:Ne,i(d){k||(w(m.$$.fragment,d),k=!0)},o(d){$(m.$$.fragment,d),k=!1},d(d){d&&t(u),d&&t(_),P(m,d)}}}function Kg(z){let u,y,_,m,k;return m=new xe({props:{code:`from transformers import AutoTokenizer, PegasusForCausalLM

tokenizer = AutoTokenizer.from_pretrained("google/pegasus-large")
model = PegasusForCausalLM.from_pretrained("google/pegasus-large", add_cross_attention=False)
assert model.config.is_decoder, f"{model.__class__} has to be configured as a decoder."
inputs = tokenizer("Hello, my dog is cute", return_tensors="pt")
outputs = model(**inputs)

logits = outputs.logits
expected_shape = [1, inputs.input_ids.shape[-1], model.config.vocab_size]
list(logits.shape) == expected_shape`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, PegasusForCausalLM

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;google/pegasus-large&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = PegasusForCausalLM.from_pretrained(<span class="hljs-string">&quot;google/pegasus-large&quot;</span>, add_cross_attention=<span class="hljs-literal">False</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">assert</span> model.config.is_decoder, <span class="hljs-string">f&quot;<span class="hljs-subst">{model.__class__}</span> has to be configured as a decoder.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits
<span class="hljs-meta">&gt;&gt;&gt; </span>expected_shape = [<span class="hljs-number">1</span>, inputs.input_ids.shape[-<span class="hljs-number">1</span>], model.config.vocab_size]
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">list</span>(logits.shape) == expected_shape
<span class="hljs-literal">True</span>`}}),{c(){u=n("p"),y=r("Example:"),_=l(),v(m.$$.fragment)},l(d){u=s(d,"P",{});var h=a(u);y=i(h,"Example:"),h.forEach(t),_=c(d),b(m.$$.fragment,d)},m(d,h){f(d,u,h),e(u,y),f(d,_,h),T(m,d,h),k=!0},p:Ne,i(d){k||(w(m.$$.fragment,d),k=!0)},o(d){$(m.$$.fragment,d),k=!1},d(d){d&&t(u),d&&t(_),P(m,d)}}}function Jg(z){let u,y,_,m,k,d,h,q,Ze,Le,O,ke,Z,F,Ye,R,ye,_t,Y,V,ze,de,Qe,le,ce,et,De,G,Q,Fe,K,C,S,tt,ee,te,ot,D,nt,st,I,ve,pe,Ue,oe,J,at,rt,U,it,ne,H,qe,A,dt,W,ue,lt;return{c(){u=n("p"),y=r("TensorFlow models and layers in "),_=n("code"),m=r("transformers"),k=r(" accept two formats as input:"),d=l(),h=n("ul"),q=n("li"),Ze=r("having all inputs as keyword arguments (like PyTorch models), or"),Le=l(),O=n("li"),ke=r("having all inputs as a list, tuple or dict in the first positional argument."),Z=l(),F=n("p"),Ye=r(`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),R=n("code"),ye=r("model.fit()"),_t=r(` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),Y=n("code"),V=r("model.fit()"),ze=r(` supports! If, however, you want to use the second
format outside of Keras methods like `),de=n("code"),Qe=r("fit()"),le=r(" and "),ce=n("code"),et=r("predict()"),De=r(`, such as when creating your own layers or models with
the Keras `),G=n("code"),Q=r("Functional"),Fe=r(` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),K=l(),C=n("ul"),S=n("li"),tt=r("a single Tensor with "),ee=n("code"),te=r("input_ids"),ot=r(" only and nothing else: "),D=n("code"),nt=r("model(input_ids)"),st=l(),I=n("li"),ve=r(`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),pe=n("code"),Ue=r("model([input_ids, attention_mask])"),oe=r(" or "),J=n("code"),at=r("model([input_ids, attention_mask, token_type_ids])"),rt=l(),U=n("li"),it=r(`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),ne=n("code"),H=r('model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),qe=l(),A=n("p"),dt=r(`Note that when creating models and layers with
`),W=n("a"),ue=r("subclassing"),lt=r(` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),this.h()},l(x){u=s(x,"P",{});var E=a(u);y=i(E,"TensorFlow models and layers in "),_=s(E,"CODE",{});var We=a(_);m=i(We,"transformers"),We.forEach(t),k=i(E," accept two formats as input:"),E.forEach(t),d=c(x),h=s(x,"UL",{});var Ee=a(h);q=s(Ee,"LI",{});var kt=a(q);Ze=i(kt,"having all inputs as keyword arguments (like PyTorch models), or"),kt.forEach(t),Le=c(Ee),O=s(Ee,"LI",{});var Be=a(O);ke=i(Be,"having all inputs as a list, tuple or dict in the first positional argument."),Be.forEach(t),Ee.forEach(t),Z=c(x),F=s(x,"P",{});var j=a(F);Ye=i(j,`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),R=s(j,"CODE",{});var ct=a(R);ye=i(ct,"model.fit()"),ct.forEach(t),_t=i(j,` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),Y=s(j,"CODE",{});var Ft=a(Y);V=i(Ft,"model.fit()"),Ft.forEach(t),ze=i(j,` supports! If, however, you want to use the second
format outside of Keras methods like `),de=s(j,"CODE",{});var qt=a(de);Qe=i(qt,"fit()"),qt.forEach(t),le=i(j," and "),ce=s(j,"CODE",{});var je=a(ce);et=i(je,"predict()"),je.forEach(t),De=i(j,`, such as when creating your own layers or models with
the Keras `),G=s(j,"CODE",{});var pt=a(G);Q=i(pt,"Functional"),pt.forEach(t),Fe=i(j,` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),j.forEach(t),K=c(x),C=s(x,"UL",{});var X=a(C);S=s(X,"LI",{});var he=a(S);tt=i(he,"a single Tensor with "),ee=s(he,"CODE",{});var ut=a(ee);te=i(ut,"input_ids"),ut.forEach(t),ot=i(he," only and nothing else: "),D=s(he,"CODE",{});var Et=a(D);nt=i(Et,"model(input_ids)"),Et.forEach(t),he.forEach(t),st=c(X),I=s(X,"LI",{});var se=a(I);ve=i(se,`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),pe=s(se,"CODE",{});var me=a(pe);Ue=i(me,"model([input_ids, attention_mask])"),me.forEach(t),oe=i(se," or "),J=s(se,"CODE",{});var be=a(J);at=i(be,"model([input_ids, attention_mask, token_type_ids])"),be.forEach(t),se.forEach(t),rt=c(X),U=s(X,"LI",{});var Me=a(U);it=i(Me,`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),ne=s(Me,"CODE",{});var Ce=a(ne);H=i(Ce,'model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),Ce.forEach(t),Me.forEach(t),X.forEach(t),qe=c(x),A=s(x,"P",{});var Ae=a(A);dt=i(Ae,`Note that when creating models and layers with
`),W=s(Ae,"A",{href:!0,rel:!0});var ht=a(W);ue=i(ht,"subclassing"),ht.forEach(t),lt=i(Ae,` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),Ae.forEach(t),this.h()},h(){p(W,"href","https://keras.io/guides/making_new_layers_and_models_via_subclassing/"),p(W,"rel","nofollow")},m(x,E){f(x,u,E),e(u,y),e(u,_),e(_,m),e(u,k),f(x,d,E),f(x,h,E),e(h,q),e(q,Ze),e(h,Le),e(h,O),e(O,ke),f(x,Z,E),f(x,F,E),e(F,Ye),e(F,R),e(R,ye),e(F,_t),e(F,Y),e(Y,V),e(F,ze),e(F,de),e(de,Qe),e(F,le),e(F,ce),e(ce,et),e(F,De),e(F,G),e(G,Q),e(F,Fe),f(x,K,E),f(x,C,E),e(C,S),e(S,tt),e(S,ee),e(ee,te),e(S,ot),e(S,D),e(D,nt),e(C,st),e(C,I),e(I,ve),e(I,pe),e(pe,Ue),e(I,oe),e(I,J),e(J,at),e(C,rt),e(C,U),e(U,it),e(U,ne),e(ne,H),f(x,qe,E),f(x,A,E),e(A,dt),e(A,W),e(W,ue),e(A,lt)},d(x){x&&t(u),x&&t(d),x&&t(h),x&&t(Z),x&&t(F),x&&t(K),x&&t(C),x&&t(qe),x&&t(A)}}}function Xg(z){let u,y,_,m,k;return{c(){u=n("p"),y=r("Although the recipe for forward pass needs to be defined within this function, one should call the "),_=n("code"),m=r("Module"),k=r(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(d){u=s(d,"P",{});var h=a(u);y=i(h,"Although the recipe for forward pass needs to be defined within this function, one should call the "),_=s(h,"CODE",{});var q=a(_);m=i(q,"Module"),q.forEach(t),k=i(h,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),h.forEach(t)},m(d,h){f(d,u,h),e(u,y),e(u,_),e(_,m),e(u,k)},d(d){d&&t(u)}}}function Zg(z){let u,y,_,m,k;return m=new xe({props:{code:`from transformers import AutoTokenizer, TFPegasusModel
import tensorflow as tf

tokenizer = AutoTokenizer.from_pretrained("google/pegasus-large")
model = TFPegasusModel.from_pretrained("google/pegasus-large")

inputs = tokenizer("Hello, my dog is cute", return_tensors="tf")
outputs = model(inputs)

last_hidden_states = outputs.last_hidden_state`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, TFPegasusModel
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> tensorflow <span class="hljs-keyword">as</span> tf

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;google/pegasus-large&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFPegasusModel.from_pretrained(<span class="hljs-string">&quot;google/pegasus-large&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state`}}),{c(){u=n("p"),y=r("Example:"),_=l(),v(m.$$.fragment)},l(d){u=s(d,"P",{});var h=a(u);y=i(h,"Example:"),h.forEach(t),_=c(d),b(m.$$.fragment,d)},m(d,h){f(d,u,h),e(u,y),f(d,_,h),T(m,d,h),k=!0},p:Ne,i(d){k||(w(m.$$.fragment,d),k=!0)},o(d){$(m.$$.fragment,d),k=!1},d(d){d&&t(u),d&&t(_),P(m,d)}}}function Yg(z){let u,y,_,m,k,d,h,q,Ze,Le,O,ke,Z,F,Ye,R,ye,_t,Y,V,ze,de,Qe,le,ce,et,De,G,Q,Fe,K,C,S,tt,ee,te,ot,D,nt,st,I,ve,pe,Ue,oe,J,at,rt,U,it,ne,H,qe,A,dt,W,ue,lt;return{c(){u=n("p"),y=r("TensorFlow models and layers in "),_=n("code"),m=r("transformers"),k=r(" accept two formats as input:"),d=l(),h=n("ul"),q=n("li"),Ze=r("having all inputs as keyword arguments (like PyTorch models), or"),Le=l(),O=n("li"),ke=r("having all inputs as a list, tuple or dict in the first positional argument."),Z=l(),F=n("p"),Ye=r(`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),R=n("code"),ye=r("model.fit()"),_t=r(` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),Y=n("code"),V=r("model.fit()"),ze=r(` supports! If, however, you want to use the second
format outside of Keras methods like `),de=n("code"),Qe=r("fit()"),le=r(" and "),ce=n("code"),et=r("predict()"),De=r(`, such as when creating your own layers or models with
the Keras `),G=n("code"),Q=r("Functional"),Fe=r(` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),K=l(),C=n("ul"),S=n("li"),tt=r("a single Tensor with "),ee=n("code"),te=r("input_ids"),ot=r(" only and nothing else: "),D=n("code"),nt=r("model(input_ids)"),st=l(),I=n("li"),ve=r(`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),pe=n("code"),Ue=r("model([input_ids, attention_mask])"),oe=r(" or "),J=n("code"),at=r("model([input_ids, attention_mask, token_type_ids])"),rt=l(),U=n("li"),it=r(`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),ne=n("code"),H=r('model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),qe=l(),A=n("p"),dt=r(`Note that when creating models and layers with
`),W=n("a"),ue=r("subclassing"),lt=r(` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),this.h()},l(x){u=s(x,"P",{});var E=a(u);y=i(E,"TensorFlow models and layers in "),_=s(E,"CODE",{});var We=a(_);m=i(We,"transformers"),We.forEach(t),k=i(E," accept two formats as input:"),E.forEach(t),d=c(x),h=s(x,"UL",{});var Ee=a(h);q=s(Ee,"LI",{});var kt=a(q);Ze=i(kt,"having all inputs as keyword arguments (like PyTorch models), or"),kt.forEach(t),Le=c(Ee),O=s(Ee,"LI",{});var Be=a(O);ke=i(Be,"having all inputs as a list, tuple or dict in the first positional argument."),Be.forEach(t),Ee.forEach(t),Z=c(x),F=s(x,"P",{});var j=a(F);Ye=i(j,`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),R=s(j,"CODE",{});var ct=a(R);ye=i(ct,"model.fit()"),ct.forEach(t),_t=i(j,` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),Y=s(j,"CODE",{});var Ft=a(Y);V=i(Ft,"model.fit()"),Ft.forEach(t),ze=i(j,` supports! If, however, you want to use the second
format outside of Keras methods like `),de=s(j,"CODE",{});var qt=a(de);Qe=i(qt,"fit()"),qt.forEach(t),le=i(j," and "),ce=s(j,"CODE",{});var je=a(ce);et=i(je,"predict()"),je.forEach(t),De=i(j,`, such as when creating your own layers or models with
the Keras `),G=s(j,"CODE",{});var pt=a(G);Q=i(pt,"Functional"),pt.forEach(t),Fe=i(j,` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),j.forEach(t),K=c(x),C=s(x,"UL",{});var X=a(C);S=s(X,"LI",{});var he=a(S);tt=i(he,"a single Tensor with "),ee=s(he,"CODE",{});var ut=a(ee);te=i(ut,"input_ids"),ut.forEach(t),ot=i(he," only and nothing else: "),D=s(he,"CODE",{});var Et=a(D);nt=i(Et,"model(input_ids)"),Et.forEach(t),he.forEach(t),st=c(X),I=s(X,"LI",{});var se=a(I);ve=i(se,`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),pe=s(se,"CODE",{});var me=a(pe);Ue=i(me,"model([input_ids, attention_mask])"),me.forEach(t),oe=i(se," or "),J=s(se,"CODE",{});var be=a(J);at=i(be,"model([input_ids, attention_mask, token_type_ids])"),be.forEach(t),se.forEach(t),rt=c(X),U=s(X,"LI",{});var Me=a(U);it=i(Me,`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),ne=s(Me,"CODE",{});var Ce=a(ne);H=i(Ce,'model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),Ce.forEach(t),Me.forEach(t),X.forEach(t),qe=c(x),A=s(x,"P",{});var Ae=a(A);dt=i(Ae,`Note that when creating models and layers with
`),W=s(Ae,"A",{href:!0,rel:!0});var ht=a(W);ue=i(ht,"subclassing"),ht.forEach(t),lt=i(Ae,` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),Ae.forEach(t),this.h()},h(){p(W,"href","https://keras.io/guides/making_new_layers_and_models_via_subclassing/"),p(W,"rel","nofollow")},m(x,E){f(x,u,E),e(u,y),e(u,_),e(_,m),e(u,k),f(x,d,E),f(x,h,E),e(h,q),e(q,Ze),e(h,Le),e(h,O),e(O,ke),f(x,Z,E),f(x,F,E),e(F,Ye),e(F,R),e(R,ye),e(F,_t),e(F,Y),e(Y,V),e(F,ze),e(F,de),e(de,Qe),e(F,le),e(F,ce),e(ce,et),e(F,De),e(F,G),e(G,Q),e(F,Fe),f(x,K,E),f(x,C,E),e(C,S),e(S,tt),e(S,ee),e(ee,te),e(S,ot),e(S,D),e(D,nt),e(C,st),e(C,I),e(I,ve),e(I,pe),e(pe,Ue),e(I,oe),e(I,J),e(J,at),e(C,rt),e(C,U),e(U,it),e(U,ne),e(ne,H),f(x,qe,E),f(x,A,E),e(A,dt),e(A,W),e(W,ue),e(A,lt)},d(x){x&&t(u),x&&t(d),x&&t(h),x&&t(Z),x&&t(F),x&&t(K),x&&t(C),x&&t(qe),x&&t(A)}}}function Qg(z){let u,y,_,m,k;return{c(){u=n("p"),y=r("Although the recipe for forward pass needs to be defined within this function, one should call the "),_=n("code"),m=r("Module"),k=r(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(d){u=s(d,"P",{});var h=a(u);y=i(h,"Although the recipe for forward pass needs to be defined within this function, one should call the "),_=s(h,"CODE",{});var q=a(_);m=i(q,"Module"),q.forEach(t),k=i(h,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),h.forEach(t)},m(d,h){f(d,u,h),e(u,y),e(u,_),e(_,m),e(u,k)},d(d){d&&t(u)}}}function e_(z){let u,y,_,m,k;return m=new xe({props:{code:`from transformers import AutoTokenizer, TFPegasusForConditionalGeneration

model = TFPegasusForConditionalGeneration.from_pretrained("google/pegasus-xsum")
tokenizer = AutoTokenizer.from_pretrained("google/pegasus-xsum")

ARTICLE_TO_SUMMARIZE = (
    "PG&E stated it scheduled the blackouts in response to forecasts for high winds "
    "amid dry conditions. The aim is to reduce the risk of wildfires. Nearly 800 thousand customers were "
    "scheduled to be affected by the shutoffs which were expected to last through at least midday tomorrow."
)
inputs = tokenizer(ARTICLE_TO_SUMMARIZE, max_length=1024, return_tensors="tf")

# Generate Summary
summary_ids = model.generate(input_ids)
print(tokenizer.batch_decode(summary_ids, skip_special_tokens=True, clean_up_tokenization_spaces=False))`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, TFPegasusForConditionalGeneration

<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFPegasusForConditionalGeneration.from_pretrained(<span class="hljs-string">&quot;google/pegasus-xsum&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;google/pegasus-xsum&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>ARTICLE_TO_SUMMARIZE = (
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;PG&amp;E stated it scheduled the blackouts in response to forecasts for high winds &quot;</span>
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;amid dry conditions. The aim is to reduce the risk of wildfires. Nearly 800 thousand customers were &quot;</span>
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;scheduled to be affected by the shutoffs which were expected to last through at least midday tomorrow.&quot;</span>
<span class="hljs-meta">... </span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(ARTICLE_TO_SUMMARIZE, max_length=<span class="hljs-number">1024</span>, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Generate Summary</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>summary_ids = model.generate(input_ids)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">print</span>(tokenizer.batch_decode(summary_ids, skip_special_tokens=<span class="hljs-literal">True</span>, clean_up_tokenization_spaces=<span class="hljs-literal">False</span>))`}}),{c(){u=n("p"),y=r("Summarization example:"),_=l(),v(m.$$.fragment)},l(d){u=s(d,"P",{});var h=a(u);y=i(h,"Summarization example:"),h.forEach(t),_=c(d),b(m.$$.fragment,d)},m(d,h){f(d,u,h),e(u,y),f(d,_,h),T(m,d,h),k=!0},p:Ne,i(d){k||(w(m.$$.fragment,d),k=!0)},o(d){$(m.$$.fragment,d),k=!1},d(d){d&&t(u),d&&t(_),P(m,d)}}}function t_(z){let u,y,_,m,k;return{c(){u=n("p"),y=r("Although the recipe for forward pass needs to be defined within this function, one should call the "),_=n("code"),m=r("Module"),k=r(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(d){u=s(d,"P",{});var h=a(u);y=i(h,"Although the recipe for forward pass needs to be defined within this function, one should call the "),_=s(h,"CODE",{});var q=a(_);m=i(q,"Module"),q.forEach(t),k=i(h,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),h.forEach(t)},m(d,h){f(d,u,h),e(u,y),e(u,_),e(_,m),e(u,k)},d(d){d&&t(u)}}}function o_(z){let u,y,_,m,k;return m=new xe({props:{code:`from transformers import AutoTokenizer, FlaxPegasusModel

tokenizer = AutoTokenizer.from_pretrained("google/pegasus-large")
model = FlaxPegasusModel.from_pretrained("google/pegasus-large")

inputs = tokenizer("Hello, my dog is cute", return_tensors="jax")
outputs = model(**inputs)

last_hidden_states = outputs.last_hidden_state`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxPegasusModel

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;google/pegasus-large&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxPegasusModel.from_pretrained(<span class="hljs-string">&quot;google/pegasus-large&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;jax&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state`}}),{c(){u=n("p"),y=r("Example:"),_=l(),v(m.$$.fragment)},l(d){u=s(d,"P",{});var h=a(u);y=i(h,"Example:"),h.forEach(t),_=c(d),b(m.$$.fragment,d)},m(d,h){f(d,u,h),e(u,y),f(d,_,h),T(m,d,h),k=!0},p:Ne,i(d){k||(w(m.$$.fragment,d),k=!0)},o(d){$(m.$$.fragment,d),k=!1},d(d){d&&t(u),d&&t(_),P(m,d)}}}function n_(z){let u,y,_,m,k;return m=new xe({props:{code:`from transformers import AutoTokenizer, FlaxPegasusForConditionalGeneration

model = FlaxPegasusForConditionalGeneration.from_pretrained("google/pegasus-large")
tokenizer = AutoTokenizer.from_pretrained("google/pegasus-large")

text = "My friends are cool but they eat too many carbs."
inputs = tokenizer(text, max_length=1024, return_tensors="np")
encoder_outputs = model.encode(**inputs)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxPegasusForConditionalGeneration

<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxPegasusForConditionalGeneration.from_pretrained(<span class="hljs-string">&quot;google/pegasus-large&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;google/pegasus-large&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;My friends are cool but they eat too many carbs.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(text, max_length=<span class="hljs-number">1024</span>, return_tensors=<span class="hljs-string">&quot;np&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>encoder_outputs = model.encode(**inputs)`}}),{c(){u=n("p"),y=r("Example:"),_=l(),v(m.$$.fragment)},l(d){u=s(d,"P",{});var h=a(u);y=i(h,"Example:"),h.forEach(t),_=c(d),b(m.$$.fragment,d)},m(d,h){f(d,u,h),e(u,y),f(d,_,h),T(m,d,h),k=!0},p:Ne,i(d){k||(w(m.$$.fragment,d),k=!0)},o(d){$(m.$$.fragment,d),k=!1},d(d){d&&t(u),d&&t(_),P(m,d)}}}function s_(z){let u,y,_,m,k;return m=new xe({props:{code:`import jax.numpy as jnp
from transformers import AutoTokenizer, FlaxPegasusForConditionalGeneration

model = FlaxPegasusForConditionalGeneration.from_pretrained("google/pegasus-large")
tokenizer = AutoTokenizer.from_pretrained("google/pegasus-large")

text = "My friends are cool but they eat too many carbs."
inputs = tokenizer(text, max_length=1024, return_tensors="np")
encoder_outputs = model.encode(**inputs)

decoder_start_token_id = model.config.decoder_start_token_id
decoder_input_ids = jnp.ones((inputs.input_ids.shape[0], 1), dtype="i4") * decoder_start_token_id

outputs = model.decode(decoder_input_ids, encoder_outputs)
last_decoder_hidden_states = outputs.last_hidden_state`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> jax.numpy <span class="hljs-keyword">as</span> jnp
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxPegasusForConditionalGeneration

<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxPegasusForConditionalGeneration.from_pretrained(<span class="hljs-string">&quot;google/pegasus-large&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;google/pegasus-large&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;My friends are cool but they eat too many carbs.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(text, max_length=<span class="hljs-number">1024</span>, return_tensors=<span class="hljs-string">&quot;np&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>encoder_outputs = model.encode(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>decoder_start_token_id = model.config.decoder_start_token_id
<span class="hljs-meta">&gt;&gt;&gt; </span>decoder_input_ids = jnp.ones((inputs.input_ids.shape[<span class="hljs-number">0</span>], <span class="hljs-number">1</span>), dtype=<span class="hljs-string">&quot;i4&quot;</span>) * decoder_start_token_id

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model.decode(decoder_input_ids, encoder_outputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>last_decoder_hidden_states = outputs.last_hidden_state`}}),{c(){u=n("p"),y=r("Example:"),_=l(),v(m.$$.fragment)},l(d){u=s(d,"P",{});var h=a(u);y=i(h,"Example:"),h.forEach(t),_=c(d),b(m.$$.fragment,d)},m(d,h){f(d,u,h),e(u,y),f(d,_,h),T(m,d,h),k=!0},p:Ne,i(d){k||(w(m.$$.fragment,d),k=!0)},o(d){$(m.$$.fragment,d),k=!1},d(d){d&&t(u),d&&t(_),P(m,d)}}}function a_(z){let u,y,_,m,k;return{c(){u=n("p"),y=r("Although the recipe for forward pass needs to be defined within this function, one should call the "),_=n("code"),m=r("Module"),k=r(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(d){u=s(d,"P",{});var h=a(u);y=i(h,"Although the recipe for forward pass needs to be defined within this function, one should call the "),_=s(h,"CODE",{});var q=a(_);m=i(q,"Module"),q.forEach(t),k=i(h,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),h.forEach(t)},m(d,h){f(d,u,h),e(u,y),e(u,_),e(_,m),e(u,k)},d(d){d&&t(u)}}}function r_(z){let u,y,_,m,k;return m=new xe({props:{code:`from transformers import AutoTokenizer, FlaxPegasusForConditionalGeneration

model = FlaxPegasusForConditionalGeneration.from_pretrained('google/pegasus-large')
tokenizer = AutoTokenizer.from_pretrained('google/pegasus-large')

ARTICLE_TO_SUMMARIZE = "My friends are cool but they eat too many carbs."
inputs = tokenizer([ARTICLE_TO_SUMMARIZE], max_length=1024, return_tensors='np')

# Generate Summary
summary_ids = model.generate(inputs['input_ids']).sequences
print(tokenizer.batch_decode(summary_ids, skip_special_tokens=True, clean_up_tokenization_spaces=False))`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt;</span> <span class="language-python"><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxPegasusForConditionalGeneration</span>

<span class="hljs-meta">&gt;&gt;&gt;</span> <span class="language-python">model = FlaxPegasusForConditionalGeneration.from_pretrained(<span class="hljs-string">&#x27;google/pegasus-large&#x27;</span>)</span>
<span class="hljs-meta">&gt;&gt;&gt;</span> <span class="language-python">tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&#x27;google/pegasus-large&#x27;</span>)</span>

<span class="hljs-meta">&gt;&gt;&gt;</span> <span class="language-python">ARTICLE_TO_SUMMARIZE = <span class="hljs-string">&quot;My friends are cool but they eat too many carbs.&quot;</span></span>
<span class="hljs-meta">&gt;&gt;&gt;</span> <span class="language-python">inputs = tokenizer([ARTICLE_TO_SUMMARIZE], max_length=<span class="hljs-number">1024</span>, return_tensors=<span class="hljs-string">&#x27;np&#x27;</span>)</span>

<span class="hljs-meta">&gt;&gt;&gt;</span> <span class="language-python"><span class="hljs-comment"># Generate Summary</span></span>
<span class="hljs-meta">&gt;&gt;&gt;</span> <span class="language-python">summary_ids = model.generate(inputs[<span class="hljs-string">&#x27;input_ids&#x27;</span>]).sequences</span>
<span class="hljs-meta">&gt;&gt;&gt;</span> <span class="language-python"><span class="hljs-built_in">print</span>(tokenizer.batch_decode(summary_ids, skip_special_tokens=<span class="hljs-literal">True</span>, clean_up_tokenization_spaces=<span class="hljs-literal">False</span>))</span>`}}),{c(){u=n("p"),y=r("Summarization example:"),_=l(),v(m.$$.fragment)},l(d){u=s(d,"P",{});var h=a(u);y=i(h,"Summarization example:"),h.forEach(t),_=c(d),b(m.$$.fragment,d)},m(d,h){f(d,u,h),e(u,y),f(d,_,h),T(m,d,h),k=!0},p:Ne,i(d){k||(w(m.$$.fragment,d),k=!0)},o(d){$(m.$$.fragment,d),k=!1},d(d){d&&t(u),d&&t(_),P(m,d)}}}function i_(z){let u,y,_,m,k;return m=new xe({props:{code:`from transformers import AutoTokenizer, FlaxPegasusForConditionalGeneration

tokenizer = AutoTokenizer.from_pretrained("google/pegasus-large")
TXT = "My friends are <mask> but they eat too many carbs."

model = FlaxPegasusForConditionalGeneration.from_pretrained("google/pegasus-large")
input_ids = tokenizer([TXT], return_tensors="np")["input_ids"]
logits = model(input_ids).logits

masked_index = (input_ids[0] == tokenizer.mask_token_id).nonzero().item()
probs = jax.nn.softmax(logits[0, masked_index], axis=0)
values, predictions = jax.lax.top_k(probs)

tokenizer.decode(predictions).split()`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxPegasusForConditionalGeneration

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;google/pegasus-large&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>TXT = <span class="hljs-string">&quot;My friends are &lt;mask&gt; but they eat too many carbs.&quot;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxPegasusForConditionalGeneration.from_pretrained(<span class="hljs-string">&quot;google/pegasus-large&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>input_ids = tokenizer([TXT], return_tensors=<span class="hljs-string">&quot;np&quot;</span>)[<span class="hljs-string">&quot;input_ids&quot;</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = model(input_ids).logits

<span class="hljs-meta">&gt;&gt;&gt; </span>masked_index = (input_ids[<span class="hljs-number">0</span>] == tokenizer.mask_token_id).nonzero().item()
<span class="hljs-meta">&gt;&gt;&gt; </span>probs = jax.nn.softmax(logits[<span class="hljs-number">0</span>, masked_index], axis=<span class="hljs-number">0</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>values, predictions = jax.lax.top_k(probs)

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer.decode(predictions).split()`}}),{c(){u=n("p"),y=r("Mask filling example:"),_=l(),v(m.$$.fragment)},l(d){u=s(d,"P",{});var h=a(u);y=i(h,"Mask filling example:"),h.forEach(t),_=c(d),b(m.$$.fragment,d)},m(d,h){f(d,u,h),e(u,y),f(d,_,h),T(m,d,h),k=!0},p:Ne,i(d){k||(w(m.$$.fragment,d),k=!0)},o(d){$(m.$$.fragment,d),k=!1},d(d){d&&t(u),d&&t(_),P(m,d)}}}function d_(z){let u,y,_,m,k;return m=new xe({props:{code:`from transformers import AutoTokenizer, FlaxPegasusForConditionalGeneration

model = FlaxPegasusForConditionalGeneration.from_pretrained("google/pegasus-large")
tokenizer = AutoTokenizer.from_pretrained("google/pegasus-large")

text = "My friends are cool but they eat too many carbs."
inputs = tokenizer(text, max_length=1024, return_tensors="np")
encoder_outputs = model.encode(**inputs)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxPegasusForConditionalGeneration

<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxPegasusForConditionalGeneration.from_pretrained(<span class="hljs-string">&quot;google/pegasus-large&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;google/pegasus-large&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;My friends are cool but they eat too many carbs.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(text, max_length=<span class="hljs-number">1024</span>, return_tensors=<span class="hljs-string">&quot;np&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>encoder_outputs = model.encode(**inputs)`}}),{c(){u=n("p"),y=r("Example:"),_=l(),v(m.$$.fragment)},l(d){u=s(d,"P",{});var h=a(u);y=i(h,"Example:"),h.forEach(t),_=c(d),b(m.$$.fragment,d)},m(d,h){f(d,u,h),e(u,y),f(d,_,h),T(m,d,h),k=!0},p:Ne,i(d){k||(w(m.$$.fragment,d),k=!0)},o(d){$(m.$$.fragment,d),k=!1},d(d){d&&t(u),d&&t(_),P(m,d)}}}function l_(z){let u,y,_,m,k;return m=new xe({props:{code:`import jax.numpy as jnp
from transformers import AutoTokenizer, FlaxPegasusForConditionalGeneration

model = FlaxPegasusForConditionalGeneration.from_pretrained("google/pegasus-large")
tokenizer = AutoTokenizer.from_pretrained("google/pegasus-large")

text = "My friends are cool but they eat too many carbs."
inputs = tokenizer(text, max_length=1024, return_tensors="np")
encoder_outputs = model.encode(**inputs)

decoder_start_token_id = model.config.decoder_start_token_id
decoder_input_ids = jnp.ones((inputs.input_ids.shape[0], 1), dtype="i4") * decoder_start_token_id

outputs = model.decode(decoder_input_ids, encoder_outputs)
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> jax.numpy <span class="hljs-keyword">as</span> jnp
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxPegasusForConditionalGeneration

<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxPegasusForConditionalGeneration.from_pretrained(<span class="hljs-string">&quot;google/pegasus-large&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;google/pegasus-large&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;My friends are cool but they eat too many carbs.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(text, max_length=<span class="hljs-number">1024</span>, return_tensors=<span class="hljs-string">&quot;np&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>encoder_outputs = model.encode(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>decoder_start_token_id = model.config.decoder_start_token_id
<span class="hljs-meta">&gt;&gt;&gt; </span>decoder_input_ids = jnp.ones((inputs.input_ids.shape[<span class="hljs-number">0</span>], <span class="hljs-number">1</span>), dtype=<span class="hljs-string">&quot;i4&quot;</span>) * decoder_start_token_id

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model.decode(decoder_input_ids, encoder_outputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){u=n("p"),y=r("Example:"),_=l(),v(m.$$.fragment)},l(d){u=s(d,"P",{});var h=a(u);y=i(h,"Example:"),h.forEach(t),_=c(d),b(m.$$.fragment,d)},m(d,h){f(d,u,h),e(u,y),f(d,_,h),T(m,d,h),k=!0},p:Ne,i(d){k||(w(m.$$.fragment,d),k=!0)},o(d){$(m.$$.fragment,d),k=!1},d(d){d&&t(u),d&&t(_),P(m,d)}}}function c_(z){let u,y,_,m,k,d,h,q,Ze,Le,O,ke,Z,F,Ye,R,ye,_t,Y,V,ze,de,Qe,le,ce,et,De,G,Q,Fe,K,C,S,tt,ee,te,ot,D,nt,st,I,ve,pe,Ue,oe,J,at,rt,U,it,ne,H,qe,A,dt,W,ue,lt,x,E,We,Ee,kt,Be,j,ct,Ft,qt,je,pt,X,he,ut,Et,se,me,be,Me,Ce,Ae,ht,Nd,hi,yt,Ld,pn,Dd,Ud,qa,Wd,Bd,mi,Te,Ea,Rd,Hd,ja,Vd,Kd,Ma,Jd,Xd,un,Zd,hn,Yd,Qd,el,no,mn,tl,ol,fn,nl,sl,fi,jt,so,Ca,gn,al,Aa,rl,gi,vt,ao,_n,il,dl,kn,ll,cl,pl,Sa,ul,hl,Ia,ml,_i,Mt,ro,Oa,yn,fl,Ga,gl,ki,we,Na,La,_l,kl,Da,Xs,yl,Zs,vl,bl,vn,Ua,Tl,wl,Ct,Wa,$l,Pl,Ba,xl,zl,bn,Fl,Ra,ql,El,jl,Ha,mt,Ml,Va,Cl,Al,Ka,Sl,Il,Ja,Ol,Gl,Nl,Xa,At,Ll,Tn,Dl,Ul,Za,Wl,Bl,yi,St,io,Ya,wn,Rl,Qa,Hl,vi,$n,bi,It,lo,er,Pn,Vl,tr,Kl,Ti,Se,xn,Jl,Ot,Xl,Ys,Zl,Yl,zn,Ql,ec,tc,Gt,oc,Qs,nc,sc,ea,ac,rc,ic,co,wi,Nt,po,or,Fn,dc,nr,lc,$i,uo,cc,sr,pc,uc,Pi,B,qn,hc,En,mc,jn,fc,gc,_c,Mn,kc,ta,yc,vc,bc,Re,Cn,Tc,An,wc,ar,$c,Pc,xc,Sn,oa,zc,rr,Fc,qc,In,Ec,ir,jc,Mc,Cc,dr,Ac,Sc,ho,On,Ic,lr,Oc,Gc,mo,Gn,Nc,cr,Lc,Dc,fo,Nn,Uc,pr,Wc,xi,Lt,go,ur,Ln,Bc,hr,Rc,zi,fe,Dn,Hc,Dt,Vc,mr,Kc,Jc,Un,Xc,Zc,Yc,Wn,Qc,na,ep,tp,op,bt,Bn,np,fr,sp,ap,Rn,sa,rp,gr,ip,dp,Hn,lp,_r,cp,pp,up,_o,Vn,hp,kr,mp,Fi,Ut,ko,yr,Kn,fp,vr,gp,qi,Ie,Jn,_p,Xn,kp,aa,yp,vp,bp,Zn,Tp,Yn,wp,$p,Pp,He,Qn,xp,Wt,zp,ra,Fp,qp,br,Ep,jp,Mp,yo,Cp,vo,Ei,Bt,bo,Tr,es,Ap,wr,Sp,ji,Oe,ts,Ip,os,Op,ia,Gp,Np,Lp,ns,Dp,ss,Up,Wp,Bp,Ve,as,Rp,Rt,Hp,da,Vp,Kp,$r,Jp,Xp,Zp,To,Yp,wo,Mi,Ht,$o,Pr,rs,Qp,xr,eu,Ci,Vt,is,tu,Po,ds,ou,xo,Ai,Kt,zo,zr,ls,nu,Fr,su,Si,ge,cs,au,ps,ru,la,iu,du,lu,us,cu,hs,pu,uu,hu,Fo,mu,Ke,ms,fu,Jt,gu,ca,_u,ku,qr,yu,vu,bu,qo,Tu,Eo,Ii,Xt,jo,Er,fs,wu,jr,$u,Oi,_e,gs,Pu,_s,xu,pa,zu,Fu,qu,ks,Eu,ys,ju,Mu,Cu,Mo,Au,Je,vs,Su,Zt,Iu,ua,Ou,Gu,Mr,Nu,Lu,Du,Co,Uu,Ao,Gi,Yt,So,Cr,bs,Wu,Ar,Bu,Ni,N,Ts,Ru,ws,Hu,ha,Vu,Ku,Ju,$s,Xu,Ps,Zu,Yu,Qu,Sr,eh,th,ft,Ir,xs,oh,nh,Or,zs,sh,ah,Gr,Fs,rh,ih,Nr,qs,dh,lh,Xe,Es,ch,Qt,ph,Lr,uh,hh,Dr,mh,fh,gh,Io,_h,Oo,kh,Go,js,yh,No,vh,Lo,Ms,bh,Do,Li,eo,Uo,Ur,Cs,Th,Wr,wh,Di,L,As,$h,Ss,Ph,ma,xh,zh,Fh,Is,qh,Os,Eh,jh,Mh,Br,Ch,Ah,gt,Rr,Gs,Sh,Ih,Hr,Ns,Oh,Gh,Vr,Ls,Nh,Lh,Kr,Ds,Dh,Uh,$e,Us,Wh,to,Bh,Jr,Rh,Hh,Xr,Vh,Kh,Jh,Wo,Xh,Bo,Zh,Ro,Yh,Ho,Ws,Qh,Vo,em,Ko,Bs,tm,Jo,Ui;return d=new ie({}),K=new ie({}),Ce=new ie({}),gn=new ie({}),yn=new ie({}),wn=new ie({}),$n=new xe({props:{code:`from transformers import PegasusForConditionalGeneration, PegasusTokenizer
import torch

src_text = [
    """ PG&E stated it scheduled the blackouts in response to forecasts for high winds amid dry conditions. The aim is to reduce the risk of wildfires. Nearly 800 thousand customers were scheduled to be affected by the shutoffs which were expected to last through at least midday tomorrow."""
]

model_name = "google/pegasus-xsum"
device = "cuda" if torch.cuda.is_available() else "cpu"
tokenizer = PegasusTokenizer.from_pretrained(model_name)
model = PegasusForConditionalGeneration.from_pretrained(model_name).to(device)
batch = tokenizer(src_text, truncation=True, padding="longest", return_tensors="pt").to(device)
translated = model.generate(**batch)
tgt_text = tokenizer.batch_decode(translated, skip_special_tokens=True)
assert (
    tgt_text[0]
    == "California's largest electricity provider has turned off power to hundreds of thousands of customers."
)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> PegasusForConditionalGeneration, PegasusTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>src_text = [
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;&quot;&quot; PG&amp;E stated it scheduled the blackouts in response to forecasts for high winds amid dry conditions. The aim is to reduce the risk of wildfires. Nearly 800 thousand customers were scheduled to be affected by the shutoffs which were expected to last through at least midday tomorrow.&quot;&quot;&quot;</span>
<span class="hljs-meta">... </span>]

<span class="hljs-meta">... </span>model_name = <span class="hljs-string">&quot;google/pegasus-xsum&quot;</span>
<span class="hljs-meta">... </span>device = <span class="hljs-string">&quot;cuda&quot;</span> <span class="hljs-keyword">if</span> torch.cuda.is_available() <span class="hljs-keyword">else</span> <span class="hljs-string">&quot;cpu&quot;</span>
<span class="hljs-meta">... </span>tokenizer = PegasusTokenizer.from_pretrained(model_name)
<span class="hljs-meta">... </span>model = PegasusForConditionalGeneration.from_pretrained(model_name).to(device)
<span class="hljs-meta">... </span>batch = tokenizer(src_text, truncation=<span class="hljs-literal">True</span>, padding=<span class="hljs-string">&quot;longest&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>).to(device)
<span class="hljs-meta">... </span>translated = model.generate(**batch)
<span class="hljs-meta">... </span>tgt_text = tokenizer.batch_decode(translated, skip_special_tokens=<span class="hljs-literal">True</span>)
<span class="hljs-meta">... </span><span class="hljs-keyword">assert</span> (
<span class="hljs-meta">... </span>    tgt_text[<span class="hljs-number">0</span>]
<span class="hljs-meta">... </span>    == <span class="hljs-string">&quot;California&#x27;s largest electricity provider has turned off power to hundreds of thousands of customers.&quot;</span>
<span class="hljs-meta">... </span>)`}}),Pn=new ie({}),xn=new M({props:{name:"class transformers.PegasusConfig",anchor:"transformers.PegasusConfig",parameters:[{name:"vocab_size",val:" = 50265"},{name:"max_position_embeddings",val:" = 1024"},{name:"encoder_layers",val:" = 12"},{name:"encoder_ffn_dim",val:" = 4096"},{name:"encoder_attention_heads",val:" = 16"},{name:"decoder_layers",val:" = 12"},{name:"decoder_ffn_dim",val:" = 4096"},{name:"decoder_attention_heads",val:" = 16"},{name:"encoder_layerdrop",val:" = 0.0"},{name:"decoder_layerdrop",val:" = 0.0"},{name:"use_cache",val:" = True"},{name:"is_encoder_decoder",val:" = True"},{name:"activation_function",val:" = 'gelu'"},{name:"d_model",val:" = 1024"},{name:"dropout",val:" = 0.1"},{name:"attention_dropout",val:" = 0.0"},{name:"activation_dropout",val:" = 0.0"},{name:"init_std",val:" = 0.02"},{name:"decoder_start_token_id",val:" = 0"},{name:"scale_embedding",val:" = False"},{name:"pad_token_id",val:" = 0"},{name:"eos_token_id",val:" = 1"},{name:"forced_eos_token_id",val:" = 1"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.PegasusConfig.vocab_size",description:`<strong>vocab_size</strong> (<code>int</code>, <em>optional</em>, defaults to 50265) &#x2014;
Vocabulary size of the PEGASUS model. Defines the number of different tokens that can be represented by the
<code>inputs_ids</code> passed when calling <a href="/docs/transformers/main/en/model_doc/pegasus#transformers.PegasusModel">PegasusModel</a> or <a href="/docs/transformers/main/en/model_doc/pegasus#transformers.TFPegasusModel">TFPegasusModel</a>.`,name:"vocab_size"},{anchor:"transformers.PegasusConfig.d_model",description:`<strong>d_model</strong> (<code>int</code>, <em>optional</em>, defaults to 1024) &#x2014;
Dimensionality of the layers and the pooler layer.`,name:"d_model"},{anchor:"transformers.PegasusConfig.encoder_layers",description:`<strong>encoder_layers</strong> (<code>int</code>, <em>optional</em>, defaults to 12) &#x2014;
Number of encoder layers.`,name:"encoder_layers"},{anchor:"transformers.PegasusConfig.decoder_layers",description:`<strong>decoder_layers</strong> (<code>int</code>, <em>optional</em>, defaults to 12) &#x2014;
Number of decoder layers.`,name:"decoder_layers"},{anchor:"transformers.PegasusConfig.encoder_attention_heads",description:`<strong>encoder_attention_heads</strong> (<code>int</code>, <em>optional</em>, defaults to 16) &#x2014;
Number of attention heads for each attention layer in the Transformer encoder.`,name:"encoder_attention_heads"},{anchor:"transformers.PegasusConfig.decoder_attention_heads",description:`<strong>decoder_attention_heads</strong> (<code>int</code>, <em>optional</em>, defaults to 16) &#x2014;
Number of attention heads for each attention layer in the Transformer decoder.`,name:"decoder_attention_heads"},{anchor:"transformers.PegasusConfig.decoder_ffn_dim",description:`<strong>decoder_ffn_dim</strong> (<code>int</code>, <em>optional</em>, defaults to 4096) &#x2014;
Dimensionality of the &#x201C;intermediate&#x201D; (often named feed-forward) layer in decoder.`,name:"decoder_ffn_dim"},{anchor:"transformers.PegasusConfig.encoder_ffn_dim",description:`<strong>encoder_ffn_dim</strong> (<code>int</code>, <em>optional</em>, defaults to 4096) &#x2014;
Dimensionality of the &#x201C;intermediate&#x201D; (often named feed-forward) layer in decoder.`,name:"encoder_ffn_dim"},{anchor:"transformers.PegasusConfig.activation_function",description:`<strong>activation_function</strong> (<code>str</code> or <code>function</code>, <em>optional</em>, defaults to <code>&quot;gelu&quot;</code>) &#x2014;
The non-linear activation function (function or string) in the encoder and pooler. If string, <code>&quot;gelu&quot;</code>,
<code>&quot;relu&quot;</code>, <code>&quot;silu&quot;</code> and <code>&quot;gelu_new&quot;</code> are supported.`,name:"activation_function"},{anchor:"transformers.PegasusConfig.dropout",description:`<strong>dropout</strong> (<code>float</code>, <em>optional</em>, defaults to 0.1) &#x2014;
The dropout probability for all fully connected layers in the embeddings, encoder, and pooler.`,name:"dropout"},{anchor:"transformers.PegasusConfig.attention_dropout",description:`<strong>attention_dropout</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
The dropout ratio for the attention probabilities.`,name:"attention_dropout"},{anchor:"transformers.PegasusConfig.activation_dropout",description:`<strong>activation_dropout</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
The dropout ratio for activations inside the fully connected layer.`,name:"activation_dropout"},{anchor:"transformers.PegasusConfig.max_position_embeddings",description:`<strong>max_position_embeddings</strong> (<code>int</code>, <em>optional</em>, defaults to 1024) &#x2014;
The maximum sequence length that this model might ever be used with. Typically set this to something large
just in case (e.g., 512 or 1024 or 2048).`,name:"max_position_embeddings"},{anchor:"transformers.PegasusConfig.init_std",description:`<strong>init_std</strong> (<code>float</code>, <em>optional</em>, defaults to 0.02) &#x2014;
The standard deviation of the truncated_normal_initializer for initializing all weight matrices.`,name:"init_std"},{anchor:"transformers.PegasusConfig.encoder_layerdrop",description:`<strong>encoder_layerdrop</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
The LayerDrop probability for the encoder. See the [LayerDrop paper](see <a href="https://arxiv.org/abs/1909.11556" rel="nofollow">https://arxiv.org/abs/1909.11556</a>)
for more details.`,name:"encoder_layerdrop"},{anchor:"transformers.PegasusConfig.decoder_layerdrop",description:`<strong>decoder_layerdrop</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
The LayerDrop probability for the decoder. See the [LayerDrop paper](see <a href="https://arxiv.org/abs/1909.11556" rel="nofollow">https://arxiv.org/abs/1909.11556</a>)
for more details.`,name:"decoder_layerdrop"},{anchor:"transformers.PegasusConfig.scale_embedding",description:`<strong>scale_embedding</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Scale embeddings by diving by sqrt(d_model).`,name:"scale_embedding"},{anchor:"transformers.PegasusConfig.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not the model should return the last key/values attentions (not used by all models)`,name:"use_cache"},{anchor:"transformers.PegasusConfig.forced_eos_token_id",description:`<strong>forced_eos_token_id</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
The id of the token to force as the last generated token when <code>max_length</code> is reached. Usually set to
<code>eos_token_id</code>.`,name:"forced_eos_token_id"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/pegasus/configuration_pegasus.py#L29"}}),co=new Ge({props:{anchor:"transformers.PegasusConfig.example",$$slots:{default:[Wg]},$$scope:{ctx:z}}}),Fn=new ie({}),qn=new M({props:{name:"class transformers.PegasusTokenizer",anchor:"transformers.PegasusTokenizer",parameters:[{name:"vocab_file",val:""},{name:"pad_token",val:" = '<pad>'"},{name:"eos_token",val:" = '</s>'"},{name:"unk_token",val:" = '<unk>'"},{name:"mask_token",val:" = '<mask_2>'"},{name:"mask_token_sent",val:" = '<mask_1>'"},{name:"additional_special_tokens",val:" = None"},{name:"offset",val:" = 103"},{name:"sp_model_kwargs",val:": typing.Union[typing.Dict[str, typing.Any], NoneType] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.PegasusTokenizer.vocab_file",description:`<strong>vocab_file</strong> (<code>str</code>) &#x2014;
<a href="https://github.com/google/sentencepiece" rel="nofollow">SentencePiece</a> file (generally has a <em>.spm</em> extension) that
contains the vocabulary necessary to instantiate a tokenizer.`,name:"vocab_file"},{anchor:"transformers.PegasusTokenizer.pad_token",description:`<strong>pad_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;pad&gt;&quot;</code>) &#x2014;
The token used for padding, for example when batching sequences of different lengths.`,name:"pad_token"},{anchor:"transformers.PegasusTokenizer.eos_token",description:`<strong>eos_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;/s&gt;&quot;</code>) &#x2014;
The end of sequence token.</p>
<div class="course-tip  bg-gradient-to-br dark:bg-gradient-to-r before:border-green-500 dark:before:border-green-800 from-green-50 dark:from-gray-900 to-white dark:to-gray-950 border border-green-50 text-green-700 dark:text-gray-400">
						
<p>When building a sequence using special tokens, this is not the token that is used for the end of sequence.
The token used is the <code>sep_token</code>.</p>

					</div>`,name:"eos_token"},{anchor:"transformers.PegasusTokenizer.unk_token",description:`<strong>unk_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;unk&gt;&quot;</code>) &#x2014;
The unknown token. A token that is not in the vocabulary cannot be converted to an ID and is set to be this
token instead.`,name:"unk_token"},{anchor:"transformers.PegasusTokenizer.mask_token",description:`<strong>mask_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;mask_2&gt;&quot;</code>) &#x2014;
The token used for masking single token values. This is the token used when training this model with masked
language modeling (MLM). This is the token that the PEGASUS encoder will try to predict during pretraining.
It corresponds to <em>[MASK2]</em> in <a href="https://arxiv.org/pdf/1912.08777.pdf" rel="nofollow">PEGASUS: Pre-training with Extracted Gap-sentences for Abstractive
Summarization</a>.`,name:"mask_token"},{anchor:"transformers.PegasusTokenizer.mask_token_sent",description:`<strong>mask_token_sent</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;mask_1&gt;&quot;</code>) &#x2014;
The token used for masking whole target sentences. This is the token used when training this model with gap
sentences generation (GSG). This is the sentence that the PEGASUS decoder will try to predict during
pretraining. It corresponds to <em>[MASK1]</em> in <a href="https://arxiv.org/pdf/1912.08777.pdf" rel="nofollow">PEGASUS: Pre-training with Extracted Gap-sentences for
Abstractive Summarization</a>.`,name:"mask_token_sent"},{anchor:"transformers.PegasusTokenizer.additional_special_tokens",description:`<strong>additional_special_tokens</strong> (<code>List[str]</code>, <em>optional</em>) &#x2014;
Additional special tokens used by the tokenizer. If no additional_special_tokens are provided <mask_2> and
<unk_2, \u2026, unk_102> are used as additional special tokens corresponding to the <a href="https://github.com/google-research/pegasus/blob/939830367bcf411193d2b5eca2f2f90f3f9260ca/pegasus/ops/pretrain_parsing_ops.cc#L66" rel="nofollow">original PEGASUS
tokenizer</a>
that uses the tokens 2 - 104 only for pretraining</unk_2,></mask_2>`,name:"additional_special_tokens"},{anchor:"transformers.PegasusTokenizer.sp_model_kwargs",description:`<strong>sp_model_kwargs</strong> (<code>dict</code>, <em>optional</em>) &#x2014;
Will be passed to the <code>SentencePieceProcessor.__init__()</code> method. The <a href="https://github.com/google/sentencepiece/tree/master/python" rel="nofollow">Python wrapper for
SentencePiece</a> can be used, among other things,
to set:</p>
<ul>
<li>
<p><code>enable_sampling</code>: Enable subword regularization.</p>
</li>
<li>
<p><code>nbest_size</code>: Sampling parameters for unigram. Invalid for BPE-Dropout.</p>
<ul>
<li><code>nbest_size = {0,1}</code>: No sampling is performed.</li>
<li><code>nbest_size &gt; 1</code>: samples from the nbest_size results.</li>
<li><code>nbest_size &lt; 0</code>: assuming that nbest_size is infinite and samples from the all hypothesis (lattice)
using forward-filtering-and-backward-sampling algorithm.</li>
</ul>
</li>
<li>
<p><code>alpha</code>: Smoothing parameter for unigram sampling, and dropout probability of merge operations for
BPE-dropout.</p>
</li>
</ul>`,name:"sp_model_kwargs"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/pegasus/tokenization_pegasus.py#L41"}}),Cn=new M({props:{name:"build_inputs_with_special_tokens",anchor:"transformers.PegasusTokenizer.build_inputs_with_special_tokens",parameters:[{name:"token_ids_0",val:""},{name:"token_ids_1",val:" = None"}],parametersDescription:[{anchor:"transformers.PegasusTokenizer.build_inputs_with_special_tokens.token_ids_0",description:`<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014;
List of IDs to which the special tokens will be added.`,name:"token_ids_0"},{anchor:"transformers.PegasusTokenizer.build_inputs_with_special_tokens.token_ids_1",description:`<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
Optional second list of IDs for sequence pairs.`,name:"token_ids_1"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/pegasus/tokenization_pegasus.py#L267",returnDescription:`
<p>List of <a href="../glossary#input-ids">input IDs</a> with the appropriate special tokens.</p>
`,returnType:`
<p><code>List[int]</code></p>
`}}),On=new M({props:{name:"convert_tokens_to_string",anchor:"transformers.PegasusTokenizer.convert_tokens_to_string",parameters:[{name:"tokens",val:""}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/pegasus/tokenization_pegasus.py#L232"}}),Gn=new M({props:{name:"get_special_tokens_mask",anchor:"transformers.PegasusTokenizer.get_special_tokens_mask",parameters:[{name:"token_ids_0",val:": typing.List"},{name:"token_ids_1",val:": typing.Optional[typing.List] = None"},{name:"already_has_special_tokens",val:": bool = False"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/pegasus/tokenization_pegasus.py#L256"}}),Nn=new M({props:{name:"num_special_tokens_to_add",anchor:"transformers.PegasusTokenizer.num_special_tokens_to_add",parameters:[{name:"pair",val:" = False"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/pegasus/tokenization_pegasus.py#L246"}}),Ln=new ie({}),Dn=new M({props:{name:"class transformers.PegasusTokenizerFast",anchor:"transformers.PegasusTokenizerFast",parameters:[{name:"vocab_file",val:" = None"},{name:"tokenizer_file",val:" = None"},{name:"pad_token",val:" = '<pad>'"},{name:"eos_token",val:" = '</s>'"},{name:"unk_token",val:" = '<unk>'"},{name:"mask_token",val:" = '<mask_2>'"},{name:"mask_token_sent",val:" = '<mask_1>'"},{name:"additional_special_tokens",val:" = None"},{name:"offset",val:" = 103"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.PegasusTokenizerFast.vocab_file",description:`<strong>vocab_file</strong> (<code>str</code>) &#x2014;
<a href="https://github.com/google/sentencepiece" rel="nofollow">SentencePiece</a> file (generally has a <em>.spm</em> extension) that
contains the vocabulary necessary to instantiate a tokenizer.`,name:"vocab_file"},{anchor:"transformers.PegasusTokenizerFast.pad_token",description:`<strong>pad_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;pad&gt;&quot;</code>) &#x2014;
The token used for padding, for example when batching sequences of different lengths.`,name:"pad_token"},{anchor:"transformers.PegasusTokenizerFast.eos_token",description:`<strong>eos_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;/s&gt;&quot;</code>) &#x2014;
The end of sequence token.</p>
<div class="course-tip  bg-gradient-to-br dark:bg-gradient-to-r before:border-green-500 dark:before:border-green-800 from-green-50 dark:from-gray-900 to-white dark:to-gray-950 border border-green-50 text-green-700 dark:text-gray-400">
						
<p>When building a sequence using special tokens, this is not the token that is used for the end of sequence.
The token used is the <code>sep_token</code>.</p>

					</div>`,name:"eos_token"},{anchor:"transformers.PegasusTokenizerFast.unk_token",description:`<strong>unk_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;unk&gt;&quot;</code>) &#x2014;
The unknown token. A token that is not in the vocabulary cannot be converted to an ID and is set to be this
token instead.`,name:"unk_token"},{anchor:"transformers.PegasusTokenizerFast.mask_token",description:`<strong>mask_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;mask_2&gt;&quot;</code>) &#x2014;
The token used for masking single token values. This is the token used when training this model with masked
language modeling (MLM). This is the token that the PEGASUS encoder will try to predict during pretraining.
It corresponds to <em>[MASK2]</em> in <a href="https://arxiv.org/pdf/1912.08777.pdf" rel="nofollow">PEGASUS: Pre-training with Extracted Gap-sentences for Abstractive
Summarization</a>.`,name:"mask_token"},{anchor:"transformers.PegasusTokenizerFast.mask_token_sent",description:`<strong>mask_token_sent</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;mask_1&gt;&quot;</code>) &#x2014;
The token used for masking whole target sentences. This is the token used when training this model with gap
sentences generation (GSG). This is the sentence that the PEGASUS decoder will try to predict during
pretraining. It corresponds to <em>[MASK1]</em> in <a href="https://arxiv.org/pdf/1912.08777.pdf" rel="nofollow">PEGASUS: Pre-training with Extracted Gap-sentences for
Abstractive Summarization</a>.`,name:"mask_token_sent"},{anchor:"transformers.PegasusTokenizerFast.additional_special_tokens",description:`<strong>additional_special_tokens</strong> (<code>List[str]</code>, <em>optional</em>) &#x2014;
Additional special tokens used by the tokenizer. If no additional_special_tokens are provided <mask_2> and
<unk_2, \u2026, unk_102> are used as additional special tokens corresponding to the <a href="https://github.com/google-research/pegasus/blob/939830367bcf411193d2b5eca2f2f90f3f9260ca/pegasus/ops/pretrain_parsing_ops.cc#L66" rel="nofollow">original PEGASUS
tokenizer</a>
that uses the tokens 2 - 104 only for pretraining</unk_2,></mask_2>`,name:"additional_special_tokens"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/pegasus/tokenization_pegasus_fast.py#L51"}}),Bn=new M({props:{name:"build_inputs_with_special_tokens",anchor:"transformers.PegasusTokenizerFast.build_inputs_with_special_tokens",parameters:[{name:"token_ids_0",val:""},{name:"token_ids_1",val:" = None"}],parametersDescription:[{anchor:"transformers.PegasusTokenizerFast.build_inputs_with_special_tokens.token_ids_0",description:`<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014;
List of IDs to which the special tokens will be added`,name:"token_ids_0"},{anchor:"transformers.PegasusTokenizerFast.build_inputs_with_special_tokens.token_ids_1",description:`<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
Optional second list of IDs for sequence pairs.`,name:"token_ids_1"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/pegasus/tokenization_pegasus_fast.py#L180",returnDescription:`
<p>list of <a href="../glossary#input-ids">input IDs</a> with the appropriate special tokens.</p>
`,returnType:`
<p><code>List[int]</code></p>
`}}),Vn=new M({props:{name:"get_special_tokens_mask",anchor:"transformers.PegasusTokenizerFast.get_special_tokens_mask",parameters:[{name:"token_ids_0",val:": typing.List"},{name:"token_ids_1",val:": typing.Optional[typing.List] = None"},{name:"already_has_special_tokens",val:": bool = False"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/pegasus/tokenization_pegasus_fast.py#L169"}}),Kn=new ie({}),Jn=new M({props:{name:"class transformers.PegasusModel",anchor:"transformers.PegasusModel",parameters:[{name:"config",val:": PegasusConfig"}],parametersDescription:[{anchor:"transformers.PegasusModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/pegasus#transformers.PegasusConfig">PegasusConfig</a>) &#x2014;
Model configuration class with all the parameters of the model. Initializing with a config file does not
load the weights associated with the model, only the configuration. Check out the
<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/pegasus/modeling_pegasus.py#L1146"}}),Qn=new M({props:{name:"forward",anchor:"transformers.PegasusModel.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"decoder_input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"decoder_attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"decoder_head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"cross_attn_head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"encoder_outputs",val:": typing.Optional[typing.Tuple[torch.FloatTensor]] = None"},{name:"past_key_values",val:": typing.Optional[typing.Tuple[torch.FloatTensor]] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.Tensor] = None"},{name:"decoder_inputs_embeds",val:": typing.Optional[torch.Tensor] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.PegasusModel.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Padding will be ignored by default should you provide
it.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.PegasusModel.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.PegasusModel.forward.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#decoder-input-ids">What are decoder input IDs?</a></p>
<p>Pegasus uses the <code>pad_token_id</code> as the starting token for <code>decoder_input_ids</code> generation. If
<code>past_key_values</code> is used, optionally only the last <code>decoder_input_ids</code> have to be input (see
<code>past_key_values</code>).`,name:"decoder_input_ids"},{anchor:"transformers.PegasusModel.forward.decoder_attention_mask",description:`<strong>decoder_attention_mask</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Default behavior: generate a tensor that ignores pad tokens in <code>decoder_input_ids</code>. Causal mask will also
be used by default.`,name:"decoder_attention_mask"},{anchor:"transformers.PegasusModel.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.Tensor</code> of shape <code>(encoder_layers, encoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the attention modules in the encoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.PegasusModel.forward.decoder_head_mask",description:`<strong>decoder_head_mask</strong> (<code>torch.Tensor</code> of shape <code>(decoder_layers, decoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the attention modules in the decoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"decoder_head_mask"},{anchor:"transformers.PegasusModel.forward.cross_attn_head_mask",description:`<strong>cross_attn_head_mask</strong> (<code>torch.Tensor</code> of shape <code>(decoder_layers, decoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the cross-attention modules in the decoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"cross_attn_head_mask"},{anchor:"transformers.PegasusModel.forward.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>tuple(tuple(torch.FloatTensor)</code>, <em>optional</em>) &#x2014;
Tuple consists of (<code>last_hidden_state</code>, <em>optional</em>: <code>hidden_states</code>, <em>optional</em>: <code>attentions</code>)
<code>last_hidden_state</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) is a sequence of
hidden-states at the output of the last layer of the encoder. Used in the cross-attention of the decoder.`,name:"encoder_outputs"},{anchor:"transformers.PegasusModel.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) &#x2014;
Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the cross-attention
blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
<p>If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>. inputs_embeds (<code>torch.FloatTensor</code> of shape
<code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>): Optionally, instead of passing <code>input_ids</code> you
can choose to directly pass an embedded representation. This is useful if you want more control over how to
convert <code>input_ids</code> indices into associated vectors than the model&#x2019;s internal embedding lookup matrix.`,name:"past_key_values"},{anchor:"transformers.PegasusModel.forward.decoder_inputs_embeds",description:`<strong>decoder_inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, target_sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>decoder_input_ids</code> you can choose to directly pass an embedded
representation. If <code>past_key_values</code> is used, optionally only the last <code>decoder_inputs_embeds</code> have to be
input (see <code>past_key_values</code>). This is useful if you want more control over how to convert
<code>decoder_input_ids</code> indices into associated vectors than the model&#x2019;s internal embedding lookup matrix.</p>
<p>If <code>decoder_input_ids</code> and <code>decoder_inputs_embeds</code> are both unset, <code>decoder_inputs_embeds</code> takes the value
of <code>inputs_embeds</code>.`,name:"decoder_inputs_embeds"},{anchor:"transformers.PegasusModel.forward.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>).`,name:"use_cache"},{anchor:"transformers.PegasusModel.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.PegasusModel.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.PegasusModel.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/pegasus/modeling_pegasus.py#L1198",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.Seq2SeqModelOutput"
>transformers.modeling_outputs.Seq2SeqModelOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/pegasus#transformers.PegasusConfig"
>PegasusConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the decoder of the model.</p>
<p>If <code>past_key_values</code> is used only the last hidden-state of the sequences of shape <code>(batch_size, 1, hidden_size)</code> is output.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the cross-attention
blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>decoder_hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the decoder at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>decoder_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
<li>
<p><strong>encoder_last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) \u2014 Sequence of hidden-states at the output of the last layer of the encoder of the model.</p>
</li>
<li>
<p><strong>encoder_hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the encoder at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>encoder_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the encoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.Seq2SeqModelOutput"
>transformers.modeling_outputs.Seq2SeqModelOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),yo=new cn({props:{$$slots:{default:[Bg]},$$scope:{ctx:z}}}),vo=new Ge({props:{anchor:"transformers.PegasusModel.forward.example",$$slots:{default:[Rg]},$$scope:{ctx:z}}}),es=new ie({}),ts=new M({props:{name:"class transformers.PegasusForConditionalGeneration",anchor:"transformers.PegasusForConditionalGeneration",parameters:[{name:"config",val:": PegasusConfig"}],parametersDescription:[{anchor:"transformers.PegasusForConditionalGeneration.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/pegasus#transformers.PegasusConfig">PegasusConfig</a>) &#x2014;
Model configuration class with all the parameters of the model. Initializing with a config file does not
load the weights associated with the model, only the configuration. Check out the
<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/pegasus/modeling_pegasus.py#L1297"}}),as=new M({props:{name:"forward",anchor:"transformers.PegasusForConditionalGeneration.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"decoder_input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"decoder_attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"decoder_head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"cross_attn_head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"encoder_outputs",val:": typing.Optional[typing.Tuple[torch.FloatTensor]] = None"},{name:"past_key_values",val:": typing.Optional[typing.Tuple[torch.FloatTensor]] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.Tensor] = None"},{name:"decoder_inputs_embeds",val:": typing.Optional[torch.Tensor] = None"},{name:"labels",val:": typing.Optional[torch.Tensor] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.PegasusForConditionalGeneration.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Padding will be ignored by default should you provide
it.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.PegasusForConditionalGeneration.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.PegasusForConditionalGeneration.forward.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#decoder-input-ids">What are decoder input IDs?</a></p>
<p>Pegasus uses the <code>pad_token_id</code> as the starting token for <code>decoder_input_ids</code> generation. If
<code>past_key_values</code> is used, optionally only the last <code>decoder_input_ids</code> have to be input (see
<code>past_key_values</code>).`,name:"decoder_input_ids"},{anchor:"transformers.PegasusForConditionalGeneration.forward.decoder_attention_mask",description:`<strong>decoder_attention_mask</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Default behavior: generate a tensor that ignores pad tokens in <code>decoder_input_ids</code>. Causal mask will also
be used by default.`,name:"decoder_attention_mask"},{anchor:"transformers.PegasusForConditionalGeneration.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.Tensor</code> of shape <code>(encoder_layers, encoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the attention modules in the encoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.PegasusForConditionalGeneration.forward.decoder_head_mask",description:`<strong>decoder_head_mask</strong> (<code>torch.Tensor</code> of shape <code>(decoder_layers, decoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the attention modules in the decoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"decoder_head_mask"},{anchor:"transformers.PegasusForConditionalGeneration.forward.cross_attn_head_mask",description:`<strong>cross_attn_head_mask</strong> (<code>torch.Tensor</code> of shape <code>(decoder_layers, decoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the cross-attention modules in the decoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"cross_attn_head_mask"},{anchor:"transformers.PegasusForConditionalGeneration.forward.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>tuple(tuple(torch.FloatTensor)</code>, <em>optional</em>) &#x2014;
Tuple consists of (<code>last_hidden_state</code>, <em>optional</em>: <code>hidden_states</code>, <em>optional</em>: <code>attentions</code>)
<code>last_hidden_state</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) is a sequence of
hidden-states at the output of the last layer of the encoder. Used in the cross-attention of the decoder.`,name:"encoder_outputs"},{anchor:"transformers.PegasusForConditionalGeneration.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) &#x2014;
Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the cross-attention
blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
<p>If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>. inputs_embeds (<code>torch.FloatTensor</code> of shape
<code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>): Optionally, instead of passing <code>input_ids</code> you
can choose to directly pass an embedded representation. This is useful if you want more control over how to
convert <code>input_ids</code> indices into associated vectors than the model&#x2019;s internal embedding lookup matrix.`,name:"past_key_values"},{anchor:"transformers.PegasusForConditionalGeneration.forward.decoder_inputs_embeds",description:`<strong>decoder_inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, target_sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>decoder_input_ids</code> you can choose to directly pass an embedded
representation. If <code>past_key_values</code> is used, optionally only the last <code>decoder_inputs_embeds</code> have to be
input (see <code>past_key_values</code>). This is useful if you want more control over how to convert
<code>decoder_input_ids</code> indices into associated vectors than the model&#x2019;s internal embedding lookup matrix.</p>
<p>If <code>decoder_input_ids</code> and <code>decoder_inputs_embeds</code> are both unset, <code>decoder_inputs_embeds</code> takes the value
of <code>inputs_embeds</code>.`,name:"decoder_inputs_embeds"},{anchor:"transformers.PegasusForConditionalGeneration.forward.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>).`,name:"use_cache"},{anchor:"transformers.PegasusForConditionalGeneration.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.PegasusForConditionalGeneration.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.PegasusForConditionalGeneration.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.PegasusForConditionalGeneration.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Labels for computing the masked language modeling loss. Indices should either be in <code>[0, ..., config.vocab_size]</code> or -100 (see <code>input_ids</code> docstring). Tokens with indices set to <code>-100</code> are ignored
(masked), the loss is only computed for the tokens with labels in <code>[0, ..., config.vocab_size]</code>.`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/pegasus/modeling_pegasus.py#L1367",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.Seq2SeqLMOutput"
>transformers.modeling_outputs.Seq2SeqLMOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/pegasus#transformers.PegasusConfig"
>PegasusConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Language modeling loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the cross-attention
blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>decoder_hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the decoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>decoder_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
<li>
<p><strong>encoder_last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) \u2014 Sequence of hidden-states at the output of the last layer of the encoder of the model.</p>
</li>
<li>
<p><strong>encoder_hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the encoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>encoder_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the encoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.Seq2SeqLMOutput"
>transformers.modeling_outputs.Seq2SeqLMOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),To=new cn({props:{$$slots:{default:[Hg]},$$scope:{ctx:z}}}),wo=new Ge({props:{anchor:"transformers.PegasusForConditionalGeneration.forward.example",$$slots:{default:[Vg]},$$scope:{ctx:z}}}),rs=new ie({}),is=new M({props:{name:"class transformers.PegasusForCausalLM",anchor:"transformers.PegasusForCausalLM",parameters:[{name:"config",val:""}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/pegasus/modeling_pegasus.py#L1506"}}),ds=new M({props:{name:"forward",anchor:"transformers.PegasusForCausalLM.forward",parameters:[{name:"input_ids",val:": LongTensor = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"encoder_hidden_states",val:": typing.Optional[torch.FloatTensor] = None"},{name:"encoder_attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"cross_attn_head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"past_key_values",val:": typing.Optional[typing.List[torch.FloatTensor]] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.PegasusForCausalLM.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Padding will be ignored by default should you
provide it.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.PegasusForCausalLM.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.PegasusForCausalLM.forward.encoder_hidden_states",description:`<strong>encoder_hidden_states</strong>  (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Sequence of hidden-states at the output of the last layer of the encoder. Used in the cross-attention
if the model is configured as a decoder.`,name:"encoder_hidden_states"},{anchor:"transformers.PegasusForCausalLM.forward.encoder_attention_mask",description:`<strong>encoder_attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on the padding token indices of the encoder input. This mask is used
in the cross-attention if the model is configured as a decoder. Mask values selected in <code>[0, 1]</code>:`,name:"encoder_attention_mask"},{anchor:"transformers.PegasusForCausalLM.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.Tensor</code> of shape <code>(decoder_layers, decoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.PegasusForCausalLM.forward.cross_attn_head_mask",description:`<strong>cross_attn_head_mask</strong> (<code>torch.Tensor</code> of shape <code>(decoder_layers, decoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the cross-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"cross_attn_head_mask"},{anchor:"transformers.PegasusForCausalLM.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) &#x2014;
Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of
shape <code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of
shape <code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>. The two additional
tensors are only required when the model is used as a decoder in a Sequence to Sequence model.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the
cross-attention blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
<p>If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those
that don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of
all <code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>.`,name:"past_key_values"},{anchor:"transformers.PegasusForCausalLM.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Labels for computing the masked language modeling loss. Indices should either be in <code>[0, ..., config.vocab_size]</code> or -100 (see <code>input_ids</code> docstring). Tokens with indices set to <code>-100</code> are ignored
(masked), the loss is only computed for the tokens with labels in <code>[0, ..., config.vocab_size]</code>.`,name:"labels"},{anchor:"transformers.PegasusForCausalLM.forward.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding
(see <code>past_key_values</code>).</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>`,name:"use_cache"},{anchor:"transformers.PegasusForCausalLM.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under
returned tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.PegasusForCausalLM.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors
for more detail.`,name:"output_hidden_states"},{anchor:"transformers.PegasusForCausalLM.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/pegasus/modeling_pegasus.py#L1561",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.CausalLMOutputWithCrossAttentions"
>transformers.modeling_outputs.CausalLMOutputWithCrossAttentions</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/pegasus#transformers.PegasusConfig"
>PegasusConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Language modeling loss (for next-token prediction).</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Cross attentions weights after the attention softmax, used to compute the weighted average in the
cross-attention heads.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> tuples of length <code>config.n_layers</code>, with each tuple containing the cached key,
value states of the self-attention and the cross-attention layers if model is used in encoder-decoder
setting. Only relevant if <code>config.is_decoder = True</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the attention blocks) that can be used (see
<code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.CausalLMOutputWithCrossAttentions"
>transformers.modeling_outputs.CausalLMOutputWithCrossAttentions</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),xo=new Ge({props:{anchor:"transformers.PegasusForCausalLM.forward.example",$$slots:{default:[Kg]},$$scope:{ctx:z}}}),ls=new ie({}),cs=new M({props:{name:"class transformers.TFPegasusModel",anchor:"transformers.TFPegasusModel",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFPegasusModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/pegasus#transformers.PegasusConfig">PegasusConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/pegasus/modeling_tf_pegasus.py#L1211"}}),Fo=new cn({props:{$$slots:{default:[Jg]},$$scope:{ctx:z}}}),ms=new M({props:{name:"call",anchor:"transformers.TFPegasusModel.call",parameters:[{name:"input_ids",val:": typing.Union[typing.List[tensorflow.python.framework.ops.Tensor], typing.List[numpy.ndarray], typing.List[keras.engine.keras_tensor.KerasTensor], typing.Dict[str, tensorflow.python.framework.ops.Tensor], typing.Dict[str, numpy.ndarray], typing.Dict[str, keras.engine.keras_tensor.KerasTensor], tensorflow.python.framework.ops.Tensor, numpy.ndarray, keras.engine.keras_tensor.KerasTensor, NoneType] = None"},{name:"attention_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"decoder_input_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"decoder_attention_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"decoder_position_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"head_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"decoder_head_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"cross_attn_head_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"encoder_outputs",val:": typing.Union[typing.Tuple, transformers.modeling_tf_outputs.TFBaseModelOutput, NoneType] = None"},{name:"past_key_values",val:": typing.Union[typing.Tuple[typing.Tuple[typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor]]], NoneType] = None"},{name:"inputs_embeds",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"decoder_inputs_embeds",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"training",val:": bool = False"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFPegasusModel.call.input_ids",description:`<strong>input_ids</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.TFPegasusModel.call.attention_mask",description:`<strong>attention_mask</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.TFPegasusModel.call.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#decoder-input-ids">What are decoder input IDs?</a></p>
<p>Pegasus uses the <code>pad_token_id</code> as the starting token for <code>decoder_input_ids</code> generation. If
<code>past_key_values</code> is used, optionally only the last <code>decoder_input_ids</code> have to be input (see
<code>past_key_values</code>).`,name:"decoder_input_ids"},{anchor:"transformers.TFPegasusModel.call.decoder_attention_mask",description:`<strong>decoder_attention_mask</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
will be made by default and ignore pad tokens. It is not recommended to set this for most use cases.`,name:"decoder_attention_mask"},{anchor:"transformers.TFPegasusModel.call.decoder_position_ids",description:`<strong>decoder_position_ids</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each decoder input sequence tokens in the position embeddings. Selected in the
range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"decoder_position_ids"},{anchor:"transformers.TFPegasusModel.call.head_mask",description:`<strong>head_mask</strong> (<code>tf.Tensor</code> of shape <code>(encoder_layers, encoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the attention modules in the encoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.TFPegasusModel.call.decoder_head_mask",description:`<strong>decoder_head_mask</strong> (<code>tf.Tensor</code> of shape <code>(decoder_layers, decoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the attention modules in the decoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"decoder_head_mask"},{anchor:"transformers.TFPegasusModel.call.cross_attn_head_mask",description:`<strong>cross_attn_head_mask</strong> (<code>tf.Tensor</code> of shape <code>(decoder_layers, decoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the cross-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"cross_attn_head_mask"},{anchor:"transformers.TFPegasusModel.call.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>tf.FloatTensor</code>, <em>optional</em>) &#x2014;
hidden states at the output of the last layer of the encoder. Used in the cross-attention of the decoder.
of shape <code>(batch_size, sequence_length, hidden_size)</code> is a sequence of`,name:"encoder_outputs"},{anchor:"transformers.TFPegasusModel.call.past_key_values",description:`<strong>past_key_values</strong> (<code>Tuple[Tuple[tf.Tensor]]</code> of length <code>config.n_layers</code>) &#x2014;
contains precomputed key and value hidden states of the attention blocks. Can be used to speed up decoding.
If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>.`,name:"past_key_values"},{anchor:"transformers.TFPegasusModel.call.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>). Set to <code>False</code> during training, <code>True</code> during generation output_attentions (<code>bool</code>,
<em>optional</em>): Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code>
under returned tensors for more detail. This argument can be used only in eager mode, in graph mode the
value in the config will be used instead.`,name:"use_cache"},{anchor:"transformers.TFPegasusModel.call.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail. This argument can be used only in eager mode, in graph mode the value in the
config will be used instead.`,name:"output_attentions"},{anchor:"transformers.TFPegasusModel.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail. This argument can be used only in eager mode, in graph mode the value in the config will be
used instead.`,name:"output_hidden_states"},{anchor:"transformers.TFPegasusModel.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple. This argument can be used in
eager mode, in graph mode the value will always be set to True.`,name:"return_dict"},{anchor:"transformers.TFPegasusModel.call.training",description:`<strong>training</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to use the model in training mode (some modules like dropout modules have different
behaviors between training and evaluation).`,name:"training"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/pegasus/modeling_tf_pegasus.py#L1223",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_tf_outputs.TFSeq2SeqModelOutput"
>transformers.modeling_tf_outputs.TFSeq2SeqModelOutput</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/main/en/model_doc/pegasus#transformers.PegasusConfig"
>PegasusConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the decoder of the model.</p>
<p>If <code>past_key_values</code> is used only the last hidden-state of the sequences of shape <code>(batch_size, 1, hidden_size)</code> is output.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>List[tf.Tensor]</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 List of <code>tf.Tensor</code> of length <code>config.n_layers</code>, with each tensor of shape <code>(2, batch_size, num_heads, sequence_length, embed_size_per_head)</code>).</p>
<p>Contains pre-computed hidden-states (key and values in the attention blocks) of the decoder that can be
used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>decoder_hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the decoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>decoder_attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
<li>
<p><strong>encoder_last_hidden_state</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) \u2014 Sequence of hidden-states at the output of the last layer of the encoder of the model.</p>
</li>
<li>
<p><strong>encoder_hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the encoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>encoder_attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the encoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_tf_outputs.TFSeq2SeqModelOutput"
>transformers.modeling_tf_outputs.TFSeq2SeqModelOutput</a> or <code>tuple(tf.Tensor)</code></p>
`}}),qo=new cn({props:{$$slots:{default:[Xg]},$$scope:{ctx:z}}}),Eo=new Ge({props:{anchor:"transformers.TFPegasusModel.call.example",$$slots:{default:[Zg]},$$scope:{ctx:z}}}),fs=new ie({}),gs=new M({props:{name:"class transformers.TFPegasusForConditionalGeneration",anchor:"transformers.TFPegasusForConditionalGeneration",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFPegasusForConditionalGeneration.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/pegasus#transformers.PegasusConfig">PegasusConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/pegasus/modeling_tf_pegasus.py#L1316"}}),Mo=new cn({props:{$$slots:{default:[Yg]},$$scope:{ctx:z}}}),vs=new M({props:{name:"call",anchor:"transformers.TFPegasusForConditionalGeneration.call",parameters:[{name:"input_ids",val:": typing.Union[typing.List[tensorflow.python.framework.ops.Tensor], typing.List[numpy.ndarray], typing.List[keras.engine.keras_tensor.KerasTensor], typing.Dict[str, tensorflow.python.framework.ops.Tensor], typing.Dict[str, numpy.ndarray], typing.Dict[str, keras.engine.keras_tensor.KerasTensor], tensorflow.python.framework.ops.Tensor, numpy.ndarray, keras.engine.keras_tensor.KerasTensor, NoneType] = None"},{name:"attention_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"decoder_input_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"decoder_attention_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"decoder_position_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"head_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"decoder_head_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"cross_attn_head_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"encoder_outputs",val:": typing.Optional[transformers.modeling_tf_outputs.TFBaseModelOutput] = None"},{name:"past_key_values",val:": typing.Union[typing.Tuple[typing.Tuple[typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor]]], NoneType] = None"},{name:"inputs_embeds",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"decoder_inputs_embeds",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"labels",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"training",val:": bool = False"}],parametersDescription:[{anchor:"transformers.TFPegasusForConditionalGeneration.call.input_ids",description:`<strong>input_ids</strong> (<code>tf.Tensor</code> of shape <code>({0})</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.TFPegasusForConditionalGeneration.call.attention_mask",description:`<strong>attention_mask</strong> (<code>tf.Tensor</code> of shape <code>({0})</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.TFPegasusForConditionalGeneration.call.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#decoder-input-ids">What are decoder input IDs?</a></p>
<p>Pegasus uses the <code>pad_token_id</code> as the starting token for <code>decoder_input_ids</code> generation. If
<code>past_key_values</code> is used, optionally only the last <code>decoder_input_ids</code> have to be input (see
<code>past_key_values</code>).`,name:"decoder_input_ids"},{anchor:"transformers.TFPegasusForConditionalGeneration.call.decoder_attention_mask",description:`<strong>decoder_attention_mask</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
will be made by default and ignore pad tokens. It is not recommended to set this for most use cases.`,name:"decoder_attention_mask"},{anchor:"transformers.TFPegasusForConditionalGeneration.call.decoder_position_ids",description:`<strong>decoder_position_ids</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each decoder input sequence tokens in the position embeddings. Selected in the
range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"decoder_position_ids"},{anchor:"transformers.TFPegasusForConditionalGeneration.call.head_mask",description:`<strong>head_mask</strong> (<code>tf.Tensor</code> of shape <code>(encoder_layers, encoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the attention modules in the encoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.TFPegasusForConditionalGeneration.call.decoder_head_mask",description:`<strong>decoder_head_mask</strong> (<code>tf.Tensor</code> of shape <code>(decoder_layers, decoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the attention modules in the decoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"decoder_head_mask"},{anchor:"transformers.TFPegasusForConditionalGeneration.call.cross_attn_head_mask",description:`<strong>cross_attn_head_mask</strong> (<code>tf.Tensor</code> of shape <code>(decoder_layers, decoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the cross-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"cross_attn_head_mask"},{anchor:"transformers.TFPegasusForConditionalGeneration.call.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>tf.FloatTensor</code>, <em>optional</em>) &#x2014;
hidden states at the output of the last layer of the encoder. Used in the cross-attention of the decoder.
of shape <code>(batch_size, sequence_length, hidden_size)</code> is a sequence of`,name:"encoder_outputs"},{anchor:"transformers.TFPegasusForConditionalGeneration.call.past_key_values",description:`<strong>past_key_values</strong> (<code>Tuple[Tuple[tf.Tensor]]</code> of length <code>config.n_layers</code>) &#x2014;
contains precomputed key and value hidden states of the attention blocks. Can be used to speed up decoding.
If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>.`,name:"past_key_values"},{anchor:"transformers.TFPegasusForConditionalGeneration.call.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>). Set to <code>False</code> during training, <code>True</code> during generation output_attentions (<code>bool</code>,
<em>optional</em>): Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code>
under returned tensors for more detail. This argument can be used only in eager mode, in graph mode the
value in the config will be used instead.`,name:"use_cache"},{anchor:"transformers.TFPegasusForConditionalGeneration.call.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail. This argument can be used only in eager mode, in graph mode the value in the
config will be used instead.`,name:"output_attentions"},{anchor:"transformers.TFPegasusForConditionalGeneration.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail. This argument can be used only in eager mode, in graph mode the value in the config will be
used instead.`,name:"output_hidden_states"},{anchor:"transformers.TFPegasusForConditionalGeneration.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple. This argument can be used in
eager mode, in graph mode the value will always be set to True.`,name:"return_dict"},{anchor:"transformers.TFPegasusForConditionalGeneration.call.training",description:`<strong>training</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to use the model in training mode (some modules like dropout modules have different
behaviors between training and evaluation).`,name:"training"},{anchor:"transformers.TFPegasusForConditionalGeneration.call.labels",description:`<strong>labels</strong> (<code>tf.tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Labels for computing the masked language modeling loss. Indices should either be in <code>[0, ..., config.vocab_size]</code> or -100 (see <code>input_ids</code> docstring). Tokens with indices set to <code>-100</code> are ignored
(masked), the loss is only computed for the tokens with labels in <code>[0, ..., config.vocab_size]</code>.`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/pegasus/modeling_tf_pegasus.py#L1354",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_tf_outputs.TFSeq2SeqLMOutput"
>transformers.modeling_tf_outputs.TFSeq2SeqLMOutput</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/main/en/model_doc/pegasus#transformers.PegasusConfig"
>PegasusConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>tf.Tensor</code> of shape <code>(n,)</code>, <em>optional</em>, where n is the number of non-masked labels, returned when <code>labels</code> is provided) \u2014 Language modeling loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>List[tf.Tensor]</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 List of <code>tf.Tensor</code> of length <code>config.n_layers</code>, with each tensor of shape <code>(2, batch_size, num_heads, sequence_length, embed_size_per_head)</code>).</p>
<p>Contains pre-computed hidden-states (key and values in the attention blocks) of the decoder that can be
used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>decoder_hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the decoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>decoder_attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
<li>
<p><strong>encoder_last_hidden_state</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) \u2014 Sequence of hidden-states at the output of the last layer of the encoder of the model.</p>
</li>
<li>
<p><strong>encoder_hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the encoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>encoder_attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the encoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_tf_outputs.TFSeq2SeqLMOutput"
>transformers.modeling_tf_outputs.TFSeq2SeqLMOutput</a> or <code>tuple(tf.Tensor)</code></p>
`}}),Co=new cn({props:{$$slots:{default:[Qg]},$$scope:{ctx:z}}}),Ao=new Ge({props:{anchor:"transformers.TFPegasusForConditionalGeneration.call.example",$$slots:{default:[e_]},$$scope:{ctx:z}}}),bs=new ie({}),Ts=new M({props:{name:"class transformers.FlaxPegasusModel",anchor:"transformers.FlaxPegasusModel",parameters:[{name:"config",val:": PegasusConfig"},{name:"input_shape",val:": typing.Tuple[int] = (1, 1)"},{name:"seed",val:": int = 0"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"_do_init",val:": bool = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FlaxPegasusModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/pegasus#transformers.PegasusConfig">PegasusConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"transformers.FlaxPegasusModel.dtype",description:`<strong>dtype</strong> (<code>jax.numpy.dtype</code>, <em>optional</em>, defaults to <code>jax.numpy.float32</code>) &#x2014;
The data type of the computation. Can be one of <code>jax.numpy.float32</code>, <code>jax.numpy.float16</code> (on GPUs) and
<code>jax.numpy.bfloat16</code> (on TPUs).</p>
<p>This can be used to enable mixed-precision training or half-precision inference on GPUs or TPUs. If
specified all the computation will be performed with the given <code>dtype</code>.</p>
<p><strong>Note that this only specifies the dtype of the computation and does not influence the dtype of model
parameters.</strong></p>
<p>If you wish to change the dtype of the model parameters, see <a href="/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel.to_fp16">to_fp16()</a> and
<a href="/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel.to_bf16">to_bf16()</a>.`,name:"dtype"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/pegasus/modeling_flax_pegasus.py#L1227"}}),Es=new M({props:{name:"__call__",anchor:"transformers.FlaxPegasusModel.__call__",parameters:[{name:"input_ids",val:": ndarray"},{name:"attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"decoder_input_ids",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"decoder_attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"position_ids",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"decoder_position_ids",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"train",val:": bool = False"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"}],parametersDescription:[{anchor:"transformers.FlaxPegasusModel.__call__.input_ids",description:`<strong>input_ids</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Padding will be ignored by default should you provide
it.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.FlaxPegasusModel.__call__.attention_mask",description:`<strong>attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.FlaxPegasusModel.__call__.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#decoder-input-ids">What are decoder input IDs?</a>`,name:"decoder_input_ids"},{anchor:"transformers.FlaxPegasusModel.__call__.decoder_attention_mask",description:`<strong>decoder_attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Default behavior: generate a tensor that ignores pad tokens in <code>decoder_input_ids</code>. Causal mask will also
be used by default.</p>
<p>If you want to change padding behavior, you should modify to your needs. See diagram 1 in <a href="https://arxiv.org/abs/1910.13461" rel="nofollow">the
paper</a> for more information on the default strategy.`,name:"decoder_attention_mask"},{anchor:"transformers.FlaxPegasusModel.__call__.position_ids",description:`<strong>position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"position_ids"},{anchor:"transformers.FlaxPegasusModel.__call__.decoder_position_ids",description:`<strong>decoder_position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each decoder input sequence tokens in the position embeddings. Selected in the
range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"decoder_position_ids"},{anchor:"transformers.FlaxPegasusModel.__call__.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.FlaxPegasusModel.__call__.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.FlaxPegasusModel.__call__.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/pegasus/modeling_flax_pegasus.py#L1162",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxSeq2SeqModelOutput"
>transformers.modeling_flax_outputs.FlaxSeq2SeqModelOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/pegasus#transformers.PegasusConfig"
>PegasusConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the decoder of the model.</p>
<p>If <code>past_key_values</code> is used only the last hidden-state of the sequences of shape <code>(batch_size, 1, hidden_size)</code> is output.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(jnp.ndarray))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>tuple(jnp.ndarray)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the cross-attention
blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>decoder_hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the decoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>decoder_attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
<li>
<p><strong>encoder_last_hidden_state</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) \u2014 Sequence of hidden-states at the output of the last layer of the encoder of the model.</p>
</li>
<li>
<p><strong>encoder_hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the encoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>encoder_attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the encoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxSeq2SeqModelOutput"
>transformers.modeling_flax_outputs.FlaxSeq2SeqModelOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Io=new cn({props:{$$slots:{default:[t_]},$$scope:{ctx:z}}}),Oo=new Ge({props:{anchor:"transformers.FlaxPegasusModel.__call__.example",$$slots:{default:[o_]},$$scope:{ctx:z}}}),js=new M({props:{name:"encode",anchor:"transformers.FlaxPegasusModel.encode",parameters:[{name:"input_ids",val:": ndarray"},{name:"attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"position_ids",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"train",val:": bool = False"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"}],parametersDescription:[{anchor:"transformers.FlaxPegasusModel.encode.input_ids",description:`<strong>input_ids</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Padding will be ignored by default should you provide
it.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.FlaxPegasusModel.encode.attention_mask",description:`<strong>attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.FlaxPegasusModel.encode.position_ids",description:`<strong>position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"position_ids"},{anchor:"transformers.FlaxPegasusModel.encode.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.FlaxPegasusModel.encode.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.FlaxPegasusModel.encode.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/pegasus/modeling_flax_pegasus.py#L985",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxBaseModelOutput"
>transformers.modeling_flax_outputs.FlaxBaseModelOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<code>&lt;class 'transformers.models.pegasus.configuration_pegasus.PegasusConfig'&gt;</code>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxBaseModelOutput"
>transformers.modeling_flax_outputs.FlaxBaseModelOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),No=new Ge({props:{anchor:"transformers.FlaxPegasusModel.encode.example",$$slots:{default:[n_]},$$scope:{ctx:z}}}),Ms=new M({props:{name:"decode",anchor:"transformers.FlaxPegasusModel.decode",parameters:[{name:"decoder_input_ids",val:""},{name:"encoder_outputs",val:""},{name:"encoder_attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"decoder_attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"decoder_position_ids",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"past_key_values",val:": dict = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"train",val:": bool = False"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"}],parametersDescription:[{anchor:"transformers.FlaxPegasusModel.decode.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, target_sequence_length)</code>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#decoder-input-ids">What are decoder input IDs?</a>`,name:"decoder_input_ids"},{anchor:"transformers.FlaxPegasusModel.decode.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>tuple(tuple(jnp.ndarray)</code>) &#x2014;
Tuple consists of (<code>last_hidden_state</code>, <em>optional</em>: <code>hidden_states</code>, <em>optional</em>: <code>attentions</code>)
<code>last_hidden_state</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) is a sequence of
hidden-states at the output of the last layer of the encoder. Used in the cross-attention of the decoder.`,name:"encoder_outputs"},{anchor:"transformers.FlaxPegasusModel.decode.encoder_attention_mask",description:`<strong>encoder_attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"encoder_attention_mask"},{anchor:"transformers.FlaxPegasusModel.decode.decoder_attention_mask",description:`<strong>decoder_attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Default behavior: generate a tensor that ignores pad tokens in <code>decoder_input_ids</code>. Causal mask will also
be used by default.</p>
<p>If you want to change padding behavior, you should modify to your needs. See diagram 1 in <a href="https://arxiv.org/abs/1910.13461" rel="nofollow">the
paper</a> for more information on the default strategy.`,name:"decoder_attention_mask"},{anchor:"transformers.FlaxPegasusModel.decode.decoder_position_ids",description:`<strong>decoder_position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each decoder input sequence tokens in the position embeddings. Selected in the
range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"decoder_position_ids"},{anchor:"transformers.FlaxPegasusModel.decode.past_key_values",description:`<strong>past_key_values</strong> (<code>Dict[str, np.ndarray]</code>, <em>optional</em>, returned by <code>init_cache</code> or when passing previous <code>past_key_values</code>) &#x2014;
Dictionary of pre-computed hidden-states (key and values in the attention blocks) that can be used for fast
auto-regressive decoding. Pre-computed key and value hidden-states are of shape <em>[batch_size, max_length]</em>.`,name:"past_key_values"},{anchor:"transformers.FlaxPegasusModel.decode.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.FlaxPegasusModel.decode.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.FlaxPegasusModel.decode.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/pegasus/modeling_flax_pegasus.py#L1048",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPastAndCrossAttentions"
>transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPastAndCrossAttentions</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<code>&lt;class 'transformers.models.pegasus.configuration_pegasus.PegasusConfig'&gt;</code>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
<p>If <code>past_key_values</code> is used only the last hidden-state of the sequences of shape <code>(batch_size, 1, hidden_size)</code> is output.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(jnp.ndarray))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>tuple(jnp.ndarray)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and optionally if
<code>config.is_encoder_decoder=True</code> 2 additional tensors of shape <code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and optionally if
<code>config.is_encoder_decoder=True</code> in the cross-attention blocks) that can be used (see <code>past_key_values</code>
input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> and <code>config.add_cross_attention=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPastAndCrossAttentions"
>transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPastAndCrossAttentions</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Do=new Ge({props:{anchor:"transformers.FlaxPegasusModel.decode.example",$$slots:{default:[s_]},$$scope:{ctx:z}}}),Cs=new ie({}),As=new M({props:{name:"class transformers.FlaxPegasusForConditionalGeneration",anchor:"transformers.FlaxPegasusForConditionalGeneration",parameters:[{name:"config",val:": PegasusConfig"},{name:"input_shape",val:": typing.Tuple[int] = (1, 1)"},{name:"seed",val:": int = 0"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"_do_init",val:": bool = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FlaxPegasusForConditionalGeneration.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/pegasus#transformers.PegasusConfig">PegasusConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"transformers.FlaxPegasusForConditionalGeneration.dtype",description:`<strong>dtype</strong> (<code>jax.numpy.dtype</code>, <em>optional</em>, defaults to <code>jax.numpy.float32</code>) &#x2014;
The data type of the computation. Can be one of <code>jax.numpy.float32</code>, <code>jax.numpy.float16</code> (on GPUs) and
<code>jax.numpy.bfloat16</code> (on TPUs).</p>
<p>This can be used to enable mixed-precision training or half-precision inference on GPUs or TPUs. If
specified all the computation will be performed with the given <code>dtype</code>.</p>
<p><strong>Note that this only specifies the dtype of the computation and does not influence the dtype of model
parameters.</strong></p>
<p>If you wish to change the dtype of the model parameters, see <a href="/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel.to_fp16">to_fp16()</a> and
<a href="/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel.to_bf16">to_bf16()</a>.`,name:"dtype"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/pegasus/modeling_flax_pegasus.py#L1312"}}),Us=new M({props:{name:"__call__",anchor:"transformers.FlaxPegasusForConditionalGeneration.__call__",parameters:[{name:"input_ids",val:": ndarray"},{name:"attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"decoder_input_ids",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"decoder_attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"position_ids",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"decoder_position_ids",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"train",val:": bool = False"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"}],parametersDescription:[{anchor:"transformers.FlaxPegasusForConditionalGeneration.__call__.input_ids",description:`<strong>input_ids</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Padding will be ignored by default should you provide
it.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.FlaxPegasusForConditionalGeneration.__call__.attention_mask",description:`<strong>attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.FlaxPegasusForConditionalGeneration.__call__.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#decoder-input-ids">What are decoder input IDs?</a>`,name:"decoder_input_ids"},{anchor:"transformers.FlaxPegasusForConditionalGeneration.__call__.decoder_attention_mask",description:`<strong>decoder_attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Default behavior: generate a tensor that ignores pad tokens in <code>decoder_input_ids</code>. Causal mask will also
be used by default.</p>
<p>If you want to change padding behavior, you should modify to your needs. See diagram 1 in <a href="https://arxiv.org/abs/1910.13461" rel="nofollow">the
paper</a> for more information on the default strategy.`,name:"decoder_attention_mask"},{anchor:"transformers.FlaxPegasusForConditionalGeneration.__call__.position_ids",description:`<strong>position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"position_ids"},{anchor:"transformers.FlaxPegasusForConditionalGeneration.__call__.decoder_position_ids",description:`<strong>decoder_position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each decoder input sequence tokens in the position embeddings. Selected in the
range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"decoder_position_ids"},{anchor:"transformers.FlaxPegasusForConditionalGeneration.__call__.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.FlaxPegasusForConditionalGeneration.__call__.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.FlaxPegasusForConditionalGeneration.__call__.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/pegasus/modeling_flax_pegasus.py#L1162",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxSeq2SeqLMOutput"
>transformers.modeling_flax_outputs.FlaxSeq2SeqLMOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/pegasus#transformers.PegasusConfig"
>PegasusConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>logits</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(jnp.ndarray))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>tuple(jnp.ndarray)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the cross-attention
blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>decoder_hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the decoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>decoder_attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
<li>
<p><strong>encoder_last_hidden_state</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) \u2014 Sequence of hidden-states at the output of the last layer of the encoder of the model.</p>
</li>
<li>
<p><strong>encoder_hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the encoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>encoder_attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the encoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxSeq2SeqLMOutput"
>transformers.modeling_flax_outputs.FlaxSeq2SeqLMOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Wo=new cn({props:{$$slots:{default:[a_]},$$scope:{ctx:z}}}),Bo=new Ge({props:{anchor:"transformers.FlaxPegasusForConditionalGeneration.__call__.example",$$slots:{default:[r_]},$$scope:{ctx:z}}}),Ro=new Ge({props:{anchor:"transformers.FlaxPegasusForConditionalGeneration.__call__.example-2",$$slots:{default:[i_]},$$scope:{ctx:z}}}),Ws=new M({props:{name:"encode",anchor:"transformers.FlaxPegasusForConditionalGeneration.encode",parameters:[{name:"input_ids",val:": ndarray"},{name:"attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"position_ids",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"train",val:": bool = False"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"}],parametersDescription:[{anchor:"transformers.FlaxPegasusForConditionalGeneration.encode.input_ids",description:`<strong>input_ids</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Padding will be ignored by default should you provide
it.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.FlaxPegasusForConditionalGeneration.encode.attention_mask",description:`<strong>attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.FlaxPegasusForConditionalGeneration.encode.position_ids",description:`<strong>position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"position_ids"},{anchor:"transformers.FlaxPegasusForConditionalGeneration.encode.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.FlaxPegasusForConditionalGeneration.encode.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.FlaxPegasusForConditionalGeneration.encode.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/pegasus/modeling_flax_pegasus.py#L985",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxBaseModelOutput"
>transformers.modeling_flax_outputs.FlaxBaseModelOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<code>&lt;class 'transformers.models.pegasus.configuration_pegasus.PegasusConfig'&gt;</code>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxBaseModelOutput"
>transformers.modeling_flax_outputs.FlaxBaseModelOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Vo=new Ge({props:{anchor:"transformers.FlaxPegasusForConditionalGeneration.encode.example",$$slots:{default:[d_]},$$scope:{ctx:z}}}),Bs=new M({props:{name:"decode",anchor:"transformers.FlaxPegasusForConditionalGeneration.decode",parameters:[{name:"decoder_input_ids",val:""},{name:"encoder_outputs",val:""},{name:"encoder_attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"decoder_attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"decoder_position_ids",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"past_key_values",val:": dict = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"deterministic",val:": bool = True"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"}],parametersDescription:[{anchor:"transformers.FlaxPegasusForConditionalGeneration.decode.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, target_sequence_length)</code>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#decoder-input-ids">What are decoder input IDs?</a>`,name:"decoder_input_ids"},{anchor:"transformers.FlaxPegasusForConditionalGeneration.decode.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>tuple(tuple(jnp.ndarray)</code>) &#x2014;
Tuple consists of (<code>last_hidden_state</code>, <em>optional</em>: <code>hidden_states</code>, <em>optional</em>: <code>attentions</code>)
<code>last_hidden_state</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) is a sequence of
hidden-states at the output of the last layer of the encoder. Used in the cross-attention of the decoder.`,name:"encoder_outputs"},{anchor:"transformers.FlaxPegasusForConditionalGeneration.decode.encoder_attention_mask",description:`<strong>encoder_attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"encoder_attention_mask"},{anchor:"transformers.FlaxPegasusForConditionalGeneration.decode.decoder_attention_mask",description:`<strong>decoder_attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Default behavior: generate a tensor that ignores pad tokens in <code>decoder_input_ids</code>. Causal mask will also
be used by default.</p>
<p>If you want to change padding behavior, you should modify to your needs. See diagram 1 in <a href="https://arxiv.org/abs/1910.13461" rel="nofollow">the
paper</a> for more information on the default strategy.`,name:"decoder_attention_mask"},{anchor:"transformers.FlaxPegasusForConditionalGeneration.decode.decoder_position_ids",description:`<strong>decoder_position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each decoder input sequence tokens in the position embeddings. Selected in the
range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"decoder_position_ids"},{anchor:"transformers.FlaxPegasusForConditionalGeneration.decode.past_key_values",description:`<strong>past_key_values</strong> (<code>Dict[str, np.ndarray]</code>, <em>optional</em>, returned by <code>init_cache</code> or when passing previous <code>past_key_values</code>) &#x2014;
Dictionary of pre-computed hidden-states (key and values in the attention blocks) that can be used for fast
auto-regressive decoding. Pre-computed key and value hidden-states are of shape <em>[batch_size, max_length]</em>.`,name:"past_key_values"},{anchor:"transformers.FlaxPegasusForConditionalGeneration.decode.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.FlaxPegasusForConditionalGeneration.decode.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.FlaxPegasusForConditionalGeneration.decode.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/pegasus/modeling_flax_pegasus.py#L1316",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxCausalLMOutputWithCrossAttentions"
>transformers.modeling_flax_outputs.FlaxCausalLMOutputWithCrossAttentions</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<code>&lt;class 'transformers.models.pegasus.configuration_pegasus.PegasusConfig'&gt;</code>) and inputs.</p>
<ul>
<li>
<p><strong>logits</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Cross attentions weights after the attention softmax, used to compute the weighted average in the
cross-attention heads.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(jnp.ndarray))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> tuples of length <code>config.n_layers</code>, with each tuple containing the cached key, value
states of the self-attention and the cross-attention layers if model is used in encoder-decoder setting.
Only relevant if <code>config.is_decoder = True</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the attention blocks) that can be used (see
<code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxCausalLMOutputWithCrossAttentions"
>transformers.modeling_flax_outputs.FlaxCausalLMOutputWithCrossAttentions</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Jo=new Ge({props:{anchor:"transformers.FlaxPegasusForConditionalGeneration.decode.example",$$slots:{default:[l_]},$$scope:{ctx:z}}}),{c(){u=n("meta"),y=l(),_=n("h1"),m=n("a"),k=n("span"),v(d.$$.fragment),h=l(),q=n("span"),Ze=r("Pegasus"),Le=l(),O=n("div"),ke=n("a"),Z=n("img"),Ye=l(),R=n("a"),ye=n("img"),Y=l(),V=n("p"),ze=n("strong"),de=r("DISCLAIMER:"),Qe=r(" If you see something strange, file a "),le=n("a"),ce=r("Github Issue"),et=r(`
and assign @patrickvonplaten.`),De=l(),G=n("h2"),Q=n("a"),Fe=n("span"),v(K.$$.fragment),C=l(),S=n("span"),tt=r("Overview"),ee=l(),te=n("p"),ot=r("The Pegasus model was proposed in "),D=n("a"),nt=r("PEGASUS: Pre-training with Extracted Gap-sentences for Abstractive Summarization"),st=r(" by Jingqing Zhang, Yao Zhao, Mohammad Saleh and Peter J. Liu on Dec 18, 2019."),I=l(),ve=n("p"),pe=r("According to the abstract,"),Ue=l(),oe=n("ul"),J=n("li"),at=r(`Pegasus\u2019 pretraining task is intentionally similar to summarization: important sentences are removed/masked from an
input document and are generated together as one output sequence from the remaining sentences, similar to an
extractive summary.`),rt=l(),U=n("li"),it=r("Pegasus achieves SOTA summarization performance on all 12 downstream tasks, as measured by ROUGE and human eval."),ne=l(),H=n("p"),qe=r("This model was contributed by "),A=n("a"),dt=r("sshleifer"),W=r(". The Authors\u2019 code can be found "),ue=n("a"),lt=r("here"),x=r("."),E=l(),We=n("p"),Ee=r("Tips:"),kt=l(),Be=n("ul"),j=n("li"),ct=n("p"),Ft=r("Sequence-to-sequence model with the same encoder-decoder model architecture as BART. Pegasus is pre-trained jointly on two self-supervised objective functions: Masked Language Modeling (MLM) and a novel summarization specific pretraining objective, called Gap Sentence Generation (GSG)."),qt=l(),je=n("ul"),pt=n("li"),X=r("MLM: encoder input tokens are randomly replaced by a mask tokens and have to be predicted by the encoder (like in BERT)"),he=l(),ut=n("li"),Et=r("GSG: whole encoder input sentences are replaced by a second mask token and fed to the decoder, but which has a causal mask to hide the future words like a regular auto-regressive transformer decoder."),se=l(),me=n("h2"),be=n("a"),Me=n("span"),v(Ce.$$.fragment),Ae=l(),ht=n("span"),Nd=r("Checkpoints"),hi=l(),yt=n("p"),Ld=r("All the "),pn=n("a"),Dd=r("checkpoints"),Ud=r(` are fine-tuned for summarization, besides
`),qa=n("em"),Wd=r("pegasus-large"),Bd=r(", whence the other checkpoints are fine-tuned:"),mi=l(),Te=n("ul"),Ea=n("li"),Rd=r("Each checkpoint is 2.2 GB on disk and 568M parameters."),Hd=l(),ja=n("li"),Vd=r("FP16 is not supported (help/ideas on this appreciated!)."),Kd=l(),Ma=n("li"),Jd=r("Summarizing xsum in fp32 takes about 400ms/sample, with default parameters on a v100 GPU."),Xd=l(),un=n("li"),Zd=r("Full replication results and correctly pre-processed data can be found in this "),hn=n("a"),Yd=r("Issue"),Qd=r("."),el=l(),no=n("li"),mn=n("a"),tl=r("Distilled checkpoints"),ol=r(" are described in this "),fn=n("a"),nl=r("paper"),sl=r("."),fi=l(),jt=n("h3"),so=n("a"),Ca=n("span"),v(gn.$$.fragment),al=l(),Aa=n("span"),rl=r("Examples"),gi=l(),vt=n("ul"),ao=n("li"),_n=n("a"),il=r("Script"),dl=r(` to fine-tune pegasus
on the XSUM dataset. Data download instructions at `),kn=n("a"),ll=r("examples/pytorch/summarization/"),cl=r("."),pl=l(),Sa=n("li"),ul=r("FP16 is not supported (help/ideas on this appreciated!)."),hl=l(),Ia=n("li"),ml=r("The adafactor optimizer is recommended for pegasus fine-tuning."),_i=l(),Mt=n("h2"),ro=n("a"),Oa=n("span"),v(yn.$$.fragment),fl=l(),Ga=n("span"),gl=r("Implementation Notes"),ki=l(),we=n("ul"),Na=n("li"),La=n("p"),_l=r("All models are transformer encoder-decoders with 16 layers in each component."),kl=l(),Da=n("li"),Xs=n("p"),yl=r("The implementation is completely inherited from "),Zs=n("a"),vl=r("BartForConditionalGeneration"),bl=l(),vn=n("li"),Ua=n("p"),Tl=r("Some key configuration differences:"),wl=l(),Ct=n("ul"),Wa=n("li"),$l=r("static, sinusoidal position embeddings"),Pl=l(),Ba=n("li"),xl=r("the model starts generating with pad_token_id (which has 0 token_embedding) as the prefix."),zl=l(),bn=n("li"),Fl=r("more beams are used ("),Ra=n("code"),ql=r("num_beams=8"),El=r(")"),jl=l(),Ha=n("li"),mt=n("p"),Ml=r("All pretrained pegasus checkpoints are the same besides three attributes: "),Va=n("code"),Cl=r("tokenizer.model_max_length"),Al=r(` (maximum
input size), `),Ka=n("code"),Sl=r("max_length"),Il=r(" (the maximum number of tokens to generate) and "),Ja=n("code"),Ol=r("length_penalty"),Gl=r("."),Nl=l(),Xa=n("li"),At=n("p"),Ll=r("The code to convert checkpoints trained in the author\u2019s "),Tn=n("a"),Dl=r("repo"),Ul=r(` can be
found in `),Za=n("code"),Wl=r("convert_pegasus_tf_to_pytorch.py"),Bl=r("."),yi=l(),St=n("h2"),io=n("a"),Ya=n("span"),v(wn.$$.fragment),Rl=l(),Qa=n("span"),Hl=r("Usage Example"),vi=l(),v($n.$$.fragment),bi=l(),It=n("h2"),lo=n("a"),er=n("span"),v(Pn.$$.fragment),Vl=l(),tr=n("span"),Kl=r("PegasusConfig"),Ti=l(),Se=n("div"),v(xn.$$.fragment),Jl=l(),Ot=n("p"),Xl=r("This is the configuration class to store the configuration of a "),Ys=n("a"),Zl=r("PegasusModel"),Yl=r(`. It is used to instantiate an
PEGASUS model according to the specified arguments, defining the model architecture. Instantiating a configuration
with the defaults will yield a similar configuration to that of the PEGASUS
`),zn=n("a"),Ql=r("google/pegasus-large"),ec=r(" architecture."),tc=l(),Gt=n("p"),oc=r("Configuration objects inherit from "),Qs=n("a"),nc=r("PretrainedConfig"),sc=r(` and can be used to control the model outputs. Read the
documentation from `),ea=n("a"),ac=r("PretrainedConfig"),rc=r(" for more information."),ic=l(),v(co.$$.fragment),wi=l(),Nt=n("h2"),po=n("a"),or=n("span"),v(Fn.$$.fragment),dc=l(),nr=n("span"),lc=r("PegasusTokenizer"),$i=l(),uo=n("p"),cc=r("warning: "),sr=n("code"),pc=r("add_tokens"),uc=r(" does not work at the moment."),Pi=l(),B=n("div"),v(qn.$$.fragment),hc=l(),En=n("p"),mc=r("Construct a PEGASUS tokenizer. Based on "),jn=n("a"),fc=r("SentencePiece"),gc=r("."),_c=l(),Mn=n("p"),kc=r("This tokenizer inherits from "),ta=n("a"),yc=r("PreTrainedTokenizer"),vc=r(` which contains most of the main methods. Users should refer to
this superclass for more information regarding those methods.`),bc=l(),Re=n("div"),v(Cn.$$.fragment),Tc=l(),An=n("p"),wc=r(`Build model inputs from a sequence or a pair of sequences for sequence classification tasks by concatenating
and adding special tokens. A PEGASUS sequence has the following format, where `),ar=n("code"),$c=r("X"),Pc=r(" represents the sequence:"),xc=l(),Sn=n("ul"),oa=n("li"),zc=r("single sequence: "),rr=n("code"),Fc=r("X </s>"),qc=l(),In=n("li"),Ec=r("pair of sequences: "),ir=n("code"),jc=r("A B </s>"),Mc=r(" (not intended use)"),Cc=l(),dr=n("p"),Ac=r(`BOS is never used. Pairs of sequences are not the expected use case, but they will be handled without a
separator.`),Sc=l(),ho=n("div"),v(On.$$.fragment),Ic=l(),lr=n("p"),Oc=r("Converts a sequence of tokens (string) in a single string."),Gc=l(),mo=n("div"),v(Gn.$$.fragment),Nc=l(),cr=n("p"),Lc=r("Get list where entries are [1] if a token is [eos] or [pad] else 0."),Dc=l(),fo=n("div"),v(Nn.$$.fragment),Uc=l(),pr=n("p"),Wc=r("Just EOS"),xi=l(),Lt=n("h2"),go=n("a"),ur=n("span"),v(Ln.$$.fragment),Bc=l(),hr=n("span"),Rc=r("PegasusTokenizerFast"),zi=l(),fe=n("div"),v(Dn.$$.fragment),Hc=l(),Dt=n("p"),Vc=r("Construct a \u201Cfast\u201D PEGASUS tokenizer (backed by HuggingFace\u2019s "),mr=n("em"),Kc=r("tokenizers"),Jc=r(` library). Based on
`),Un=n("a"),Xc=r("Unigram"),Zc=r("."),Yc=l(),Wn=n("p"),Qc=r("This tokenizer inherits from "),na=n("a"),ep=r("PreTrainedTokenizerFast"),tp=r(` which contains most of the main methods. Users should
refer to this superclass for more information regarding those methods.`),op=l(),bt=n("div"),v(Bn.$$.fragment),np=l(),fr=n("p"),sp=r("Build model inputs from a sequence by adding eos to the end. no bos token is added to the front."),ap=l(),Rn=n("ul"),sa=n("li"),rp=r("single sequence: "),gr=n("code"),ip=r("X </s>"),dp=l(),Hn=n("li"),lp=r("pair of sequences: "),_r=n("code"),cp=r("A B </s>"),pp=r(" (not intended use)"),up=l(),_o=n("div"),v(Vn.$$.fragment),hp=l(),kr=n("p"),mp=r("Get list where entries are [1] if a token is [eos] or [pad] else 0."),Fi=l(),Ut=n("h2"),ko=n("a"),yr=n("span"),v(Kn.$$.fragment),fp=l(),vr=n("span"),gp=r("PegasusModel"),qi=l(),Ie=n("div"),v(Jn.$$.fragment),_p=l(),Xn=n("p"),kp=r(`The bare PEGASUS Model outputting raw hidden-states without any specific head on top.
This model inherits from `),aa=n("a"),yp=r("PreTrainedModel"),vp=r(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),bp=l(),Zn=n("p"),Tp=r("This model is also a PyTorch "),Yn=n("a"),wp=r("torch.nn.Module"),$p=r(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),Pp=l(),He=n("div"),v(Qn.$$.fragment),xp=l(),Wt=n("p"),zp=r("The "),ra=n("a"),Fp=r("PegasusModel"),qp=r(" forward method, overrides the "),br=n("code"),Ep=r("__call__"),jp=r(" special method."),Mp=l(),v(yo.$$.fragment),Cp=l(),v(vo.$$.fragment),Ei=l(),Bt=n("h2"),bo=n("a"),Tr=n("span"),v(es.$$.fragment),Ap=l(),wr=n("span"),Sp=r("PegasusForConditionalGeneration"),ji=l(),Oe=n("div"),v(ts.$$.fragment),Ip=l(),os=n("p"),Op=r(`The PEGASUS Model with a language modeling head. Can be used for summarization.
This model inherits from `),ia=n("a"),Gp=r("PreTrainedModel"),Np=r(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Lp=l(),ns=n("p"),Dp=r("This model is also a PyTorch "),ss=n("a"),Up=r("torch.nn.Module"),Wp=r(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),Bp=l(),Ve=n("div"),v(as.$$.fragment),Rp=l(),Rt=n("p"),Hp=r("The "),da=n("a"),Vp=r("PegasusForConditionalGeneration"),Kp=r(" forward method, overrides the "),$r=n("code"),Jp=r("__call__"),Xp=r(" special method."),Zp=l(),v(To.$$.fragment),Yp=l(),v(wo.$$.fragment),Mi=l(),Ht=n("h2"),$o=n("a"),Pr=n("span"),v(rs.$$.fragment),Qp=l(),xr=n("span"),eu=r("PegasusForCausalLM"),Ci=l(),Vt=n("div"),v(is.$$.fragment),tu=l(),Po=n("div"),v(ds.$$.fragment),ou=l(),v(xo.$$.fragment),Ai=l(),Kt=n("h2"),zo=n("a"),zr=n("span"),v(ls.$$.fragment),nu=l(),Fr=n("span"),su=r("TFPegasusModel"),Si=l(),ge=n("div"),v(cs.$$.fragment),au=l(),ps=n("p"),ru=r(`The bare PEGASUS Model outputting raw hidden-states without any specific head on top.
This model inherits from `),la=n("a"),iu=r("TFPreTrainedModel"),du=r(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),lu=l(),us=n("p"),cu=r("This model is also a "),hs=n("a"),pu=r("tf.keras.Model"),uu=r(` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),hu=l(),v(Fo.$$.fragment),mu=l(),Ke=n("div"),v(ms.$$.fragment),fu=l(),Jt=n("p"),gu=r("The "),ca=n("a"),_u=r("TFPegasusModel"),ku=r(" forward method, overrides the "),qr=n("code"),yu=r("__call__"),vu=r(" special method."),bu=l(),v(qo.$$.fragment),Tu=l(),v(Eo.$$.fragment),Ii=l(),Xt=n("h2"),jo=n("a"),Er=n("span"),v(fs.$$.fragment),wu=l(),jr=n("span"),$u=r("TFPegasusForConditionalGeneration"),Oi=l(),_e=n("div"),v(gs.$$.fragment),Pu=l(),_s=n("p"),xu=r(`The PEGASUS Model with a language modeling head. Can be used for summarization.
This model inherits from `),pa=n("a"),zu=r("TFPreTrainedModel"),Fu=r(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),qu=l(),ks=n("p"),Eu=r("This model is also a "),ys=n("a"),ju=r("tf.keras.Model"),Mu=r(` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),Cu=l(),v(Mo.$$.fragment),Au=l(),Je=n("div"),v(vs.$$.fragment),Su=l(),Zt=n("p"),Iu=r("The "),ua=n("a"),Ou=r("TFPegasusForConditionalGeneration"),Gu=r(" forward method, overrides the "),Mr=n("code"),Nu=r("__call__"),Lu=r(" special method."),Du=l(),v(Co.$$.fragment),Uu=l(),v(Ao.$$.fragment),Gi=l(),Yt=n("h2"),So=n("a"),Cr=n("span"),v(bs.$$.fragment),Wu=l(),Ar=n("span"),Bu=r("FlaxPegasusModel"),Ni=l(),N=n("div"),v(Ts.$$.fragment),Ru=l(),ws=n("p"),Hu=r(`The bare Pegasus Model transformer outputting raw hidden-states without any specific head on top.
This model inherits from `),ha=n("a"),Vu=r("FlaxPreTrainedModel"),Ku=r(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Ju=l(),$s=n("p"),Xu=r(`This model is also a Flax Linen
`),Ps=n("a"),Zu=r("flax.nn.Module"),Yu=r(` subclass. Use it as a
regular Flax Module and refer to the Flax documentation for all matter related to general usage and behavior.`),Qu=l(),Sr=n("p"),eh=r("Finally, this model supports inherent JAX features such as:"),th=l(),ft=n("ul"),Ir=n("li"),xs=n("a"),oh=r("Just-In-Time (JIT) compilation"),nh=l(),Or=n("li"),zs=n("a"),sh=r("Automatic Differentiation"),ah=l(),Gr=n("li"),Fs=n("a"),rh=r("Vectorization"),ih=l(),Nr=n("li"),qs=n("a"),dh=r("Parallelization"),lh=l(),Xe=n("div"),v(Es.$$.fragment),ch=l(),Qt=n("p"),ph=r("The "),Lr=n("code"),uh=r("FlaxPegasusPreTrainedModel"),hh=r(" forward method, overrides the "),Dr=n("code"),mh=r("__call__"),fh=r(" special method."),gh=l(),v(Io.$$.fragment),_h=l(),v(Oo.$$.fragment),kh=l(),Go=n("div"),v(js.$$.fragment),yh=l(),v(No.$$.fragment),vh=l(),Lo=n("div"),v(Ms.$$.fragment),bh=l(),v(Do.$$.fragment),Li=l(),eo=n("h2"),Uo=n("a"),Ur=n("span"),v(Cs.$$.fragment),Th=l(),Wr=n("span"),wh=r("FlaxPegasusForConditionalGeneration"),Di=l(),L=n("div"),v(As.$$.fragment),$h=l(),Ss=n("p"),Ph=r(`The PEGASUS Model with a language modeling head. Can be used for summarization.
This model inherits from `),ma=n("a"),xh=r("FlaxPreTrainedModel"),zh=r(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Fh=l(),Is=n("p"),qh=r(`This model is also a Flax Linen
`),Os=n("a"),Eh=r("flax.nn.Module"),jh=r(` subclass. Use it as a
regular Flax Module and refer to the Flax documentation for all matter related to general usage and behavior.`),Mh=l(),Br=n("p"),Ch=r("Finally, this model supports inherent JAX features such as:"),Ah=l(),gt=n("ul"),Rr=n("li"),Gs=n("a"),Sh=r("Just-In-Time (JIT) compilation"),Ih=l(),Hr=n("li"),Ns=n("a"),Oh=r("Automatic Differentiation"),Gh=l(),Vr=n("li"),Ls=n("a"),Nh=r("Vectorization"),Lh=l(),Kr=n("li"),Ds=n("a"),Dh=r("Parallelization"),Uh=l(),$e=n("div"),v(Us.$$.fragment),Wh=l(),to=n("p"),Bh=r("The "),Jr=n("code"),Rh=r("FlaxPegasusPreTrainedModel"),Hh=r(" forward method, overrides the "),Xr=n("code"),Vh=r("__call__"),Kh=r(" special method."),Jh=l(),v(Wo.$$.fragment),Xh=l(),v(Bo.$$.fragment),Zh=l(),v(Ro.$$.fragment),Yh=l(),Ho=n("div"),v(Ws.$$.fragment),Qh=l(),v(Vo.$$.fragment),em=l(),Ko=n("div"),v(Bs.$$.fragment),tm=l(),v(Jo.$$.fragment),this.h()},l(o){const g=Dg('[data-svelte="svelte-1phssyn"]',document.head);u=s(g,"META",{name:!0,content:!0}),g.forEach(t),y=c(o),_=s(o,"H1",{class:!0});var Rs=a(_);m=s(Rs,"A",{id:!0,class:!0,href:!0});var Zr=a(m);k=s(Zr,"SPAN",{});var Yr=a(k);b(d.$$.fragment,Yr),Yr.forEach(t),Zr.forEach(t),h=c(Rs),q=s(Rs,"SPAN",{});var Qr=a(q);Ze=i(Qr,"Pegasus"),Qr.forEach(t),Rs.forEach(t),Le=c(o),O=s(o,"DIV",{class:!0});var Hs=a(O);ke=s(Hs,"A",{href:!0});var ei=a(ke);Z=s(ei,"IMG",{alt:!0,src:!0}),ei.forEach(t),Ye=c(Hs),R=s(Hs,"A",{href:!0});var ti=a(R);ye=s(ti,"IMG",{alt:!0,src:!0}),ti.forEach(t),Hs.forEach(t),Y=c(o),V=s(o,"P",{});var Xo=a(V);ze=s(Xo,"STRONG",{});var oi=a(ze);de=i(oi,"DISCLAIMER:"),oi.forEach(t),Qe=i(Xo," If you see something strange, file a "),le=s(Xo,"A",{href:!0,rel:!0});var ni=a(le);ce=i(ni,"Github Issue"),ni.forEach(t),et=i(Xo,`
and assign @patrickvonplaten.`),Xo.forEach(t),De=c(o),G=s(o,"H2",{class:!0});var Vs=a(G);Q=s(Vs,"A",{id:!0,class:!0,href:!0});var si=a(Q);Fe=s(si,"SPAN",{});var ai=a(Fe);b(K.$$.fragment,ai),ai.forEach(t),si.forEach(t),C=c(Vs),S=s(Vs,"SPAN",{});var ri=a(S);tt=i(ri,"Overview"),ri.forEach(t),Vs.forEach(t),ee=c(o),te=s(o,"P",{});var Ks=a(te);ot=i(Ks,"The Pegasus model was proposed in "),D=s(Ks,"A",{href:!0,rel:!0});var ii=a(D);nt=i(ii,"PEGASUS: Pre-training with Extracted Gap-sentences for Abstractive Summarization"),ii.forEach(t),st=i(Ks," by Jingqing Zhang, Yao Zhao, Mohammad Saleh and Peter J. Liu on Dec 18, 2019."),Ks.forEach(t),I=c(o),ve=s(o,"P",{});var di=a(ve);pe=i(di,"According to the abstract,"),di.forEach(t),Ue=c(o),oe=s(o,"UL",{});var Js=a(oe);J=s(Js,"LI",{});var li=a(J);at=i(li,`Pegasus\u2019 pretraining task is intentionally similar to summarization: important sentences are removed/masked from an
input document and are generated together as one output sequence from the remaining sentences, similar to an
extractive summary.`),li.forEach(t),rt=c(Js),U=s(Js,"LI",{});var ci=a(U);it=i(ci,"Pegasus achieves SOTA summarization performance on all 12 downstream tasks, as measured by ROUGE and human eval."),ci.forEach(t),Js.forEach(t),ne=c(o),H=s(o,"P",{});var oo=a(H);qe=i(oo,"This model was contributed by "),A=s(oo,"A",{href:!0,rel:!0});var am=a(A);dt=i(am,"sshleifer"),am.forEach(t),W=i(oo,". The Authors\u2019 code can be found "),ue=s(oo,"A",{href:!0,rel:!0});var rm=a(ue);lt=i(rm,"here"),rm.forEach(t),x=i(oo,"."),oo.forEach(t),E=c(o),We=s(o,"P",{});var im=a(We);Ee=i(im,"Tips:"),im.forEach(t),kt=c(o),Be=s(o,"UL",{});var dm=a(Be);j=s(dm,"LI",{});var Wi=a(j);ct=s(Wi,"P",{});var lm=a(ct);Ft=i(lm,"Sequence-to-sequence model with the same encoder-decoder model architecture as BART. Pegasus is pre-trained jointly on two self-supervised objective functions: Masked Language Modeling (MLM) and a novel summarization specific pretraining objective, called Gap Sentence Generation (GSG)."),lm.forEach(t),qt=c(Wi),je=s(Wi,"UL",{});var Bi=a(je);pt=s(Bi,"LI",{});var cm=a(pt);X=i(cm,"MLM: encoder input tokens are randomly replaced by a mask tokens and have to be predicted by the encoder (like in BERT)"),cm.forEach(t),he=c(Bi),ut=s(Bi,"LI",{});var pm=a(ut);Et=i(pm,"GSG: whole encoder input sentences are replaced by a second mask token and fed to the decoder, but which has a causal mask to hide the future words like a regular auto-regressive transformer decoder."),pm.forEach(t),Bi.forEach(t),Wi.forEach(t),dm.forEach(t),se=c(o),me=s(o,"H2",{class:!0});var Ri=a(me);be=s(Ri,"A",{id:!0,class:!0,href:!0});var um=a(be);Me=s(um,"SPAN",{});var hm=a(Me);b(Ce.$$.fragment,hm),hm.forEach(t),um.forEach(t),Ae=c(Ri),ht=s(Ri,"SPAN",{});var mm=a(ht);Nd=i(mm,"Checkpoints"),mm.forEach(t),Ri.forEach(t),hi=c(o),yt=s(o,"P",{});var fa=a(yt);Ld=i(fa,"All the "),pn=s(fa,"A",{href:!0,rel:!0});var fm=a(pn);Dd=i(fm,"checkpoints"),fm.forEach(t),Ud=i(fa,` are fine-tuned for summarization, besides
`),qa=s(fa,"EM",{});var gm=a(qa);Wd=i(gm,"pegasus-large"),gm.forEach(t),Bd=i(fa,", whence the other checkpoints are fine-tuned:"),fa.forEach(t),mi=c(o),Te=s(o,"UL",{});var Tt=a(Te);Ea=s(Tt,"LI",{});var _m=a(Ea);Rd=i(_m,"Each checkpoint is 2.2 GB on disk and 568M parameters."),_m.forEach(t),Hd=c(Tt),ja=s(Tt,"LI",{});var km=a(ja);Vd=i(km,"FP16 is not supported (help/ideas on this appreciated!)."),km.forEach(t),Kd=c(Tt),Ma=s(Tt,"LI",{});var ym=a(Ma);Jd=i(ym,"Summarizing xsum in fp32 takes about 400ms/sample, with default parameters on a v100 GPU."),ym.forEach(t),Xd=c(Tt),un=s(Tt,"LI",{});var Hi=a(un);Zd=i(Hi,"Full replication results and correctly pre-processed data can be found in this "),hn=s(Hi,"A",{href:!0,rel:!0});var vm=a(hn);Yd=i(vm,"Issue"),vm.forEach(t),Qd=i(Hi,"."),Hi.forEach(t),el=c(Tt),no=s(Tt,"LI",{});var pi=a(no);mn=s(pi,"A",{href:!0,rel:!0});var bm=a(mn);tl=i(bm,"Distilled checkpoints"),bm.forEach(t),ol=i(pi," are described in this "),fn=s(pi,"A",{href:!0,rel:!0});var Tm=a(fn);nl=i(Tm,"paper"),Tm.forEach(t),sl=i(pi,"."),pi.forEach(t),Tt.forEach(t),fi=c(o),jt=s(o,"H3",{class:!0});var Vi=a(jt);so=s(Vi,"A",{id:!0,class:!0,href:!0});var wm=a(so);Ca=s(wm,"SPAN",{});var $m=a(Ca);b(gn.$$.fragment,$m),$m.forEach(t),wm.forEach(t),al=c(Vi),Aa=s(Vi,"SPAN",{});var Pm=a(Aa);rl=i(Pm,"Examples"),Pm.forEach(t),Vi.forEach(t),gi=c(o),vt=s(o,"UL",{});var ga=a(vt);ao=s(ga,"LI",{});var ui=a(ao);_n=s(ui,"A",{href:!0,rel:!0});var xm=a(_n);il=i(xm,"Script"),xm.forEach(t),dl=i(ui,` to fine-tune pegasus
on the XSUM dataset. Data download instructions at `),kn=s(ui,"A",{href:!0,rel:!0});var zm=a(kn);ll=i(zm,"examples/pytorch/summarization/"),zm.forEach(t),cl=i(ui,"."),ui.forEach(t),pl=c(ga),Sa=s(ga,"LI",{});var Fm=a(Sa);ul=i(Fm,"FP16 is not supported (help/ideas on this appreciated!)."),Fm.forEach(t),hl=c(ga),Ia=s(ga,"LI",{});var qm=a(Ia);ml=i(qm,"The adafactor optimizer is recommended for pegasus fine-tuning."),qm.forEach(t),ga.forEach(t),_i=c(o),Mt=s(o,"H2",{class:!0});var Ki=a(Mt);ro=s(Ki,"A",{id:!0,class:!0,href:!0});var Em=a(ro);Oa=s(Em,"SPAN",{});var jm=a(Oa);b(yn.$$.fragment,jm),jm.forEach(t),Em.forEach(t),fl=c(Ki),Ga=s(Ki,"SPAN",{});var Mm=a(Ga);gl=i(Mm,"Implementation Notes"),Mm.forEach(t),Ki.forEach(t),ki=c(o),we=s(o,"UL",{});var wt=a(we);Na=s(wt,"LI",{});var Cm=a(Na);La=s(Cm,"P",{});var Am=a(La);_l=i(Am,"All models are transformer encoder-decoders with 16 layers in each component."),Am.forEach(t),Cm.forEach(t),kl=c(wt),Da=s(wt,"LI",{});var Sm=a(Da);Xs=s(Sm,"P",{});var om=a(Xs);yl=i(om,"The implementation is completely inherited from "),Zs=s(om,"A",{href:!0});var Im=a(Zs);vl=i(Im,"BartForConditionalGeneration"),Im.forEach(t),om.forEach(t),Sm.forEach(t),bl=c(wt),vn=s(wt,"LI",{});var Ji=a(vn);Ua=s(Ji,"P",{});var Om=a(Ua);Tl=i(Om,"Some key configuration differences:"),Om.forEach(t),wl=c(Ji),Ct=s(Ji,"UL",{});var _a=a(Ct);Wa=s(_a,"LI",{});var Gm=a(Wa);$l=i(Gm,"static, sinusoidal position embeddings"),Gm.forEach(t),Pl=c(_a),Ba=s(_a,"LI",{});var Nm=a(Ba);xl=i(Nm,"the model starts generating with pad_token_id (which has 0 token_embedding) as the prefix."),Nm.forEach(t),zl=c(_a),bn=s(_a,"LI",{});var Xi=a(bn);Fl=i(Xi,"more beams are used ("),Ra=s(Xi,"CODE",{});var Lm=a(Ra);ql=i(Lm,"num_beams=8"),Lm.forEach(t),El=i(Xi,")"),Xi.forEach(t),_a.forEach(t),Ji.forEach(t),jl=c(wt),Ha=s(wt,"LI",{});var Dm=a(Ha);mt=s(Dm,"P",{});var Zo=a(mt);Ml=i(Zo,"All pretrained pegasus checkpoints are the same besides three attributes: "),Va=s(Zo,"CODE",{});var Um=a(Va);Cl=i(Um,"tokenizer.model_max_length"),Um.forEach(t),Al=i(Zo,` (maximum
input size), `),Ka=s(Zo,"CODE",{});var Wm=a(Ka);Sl=i(Wm,"max_length"),Wm.forEach(t),Il=i(Zo," (the maximum number of tokens to generate) and "),Ja=s(Zo,"CODE",{});var Bm=a(Ja);Ol=i(Bm,"length_penalty"),Bm.forEach(t),Gl=i(Zo,"."),Zo.forEach(t),Dm.forEach(t),Nl=c(wt),Xa=s(wt,"LI",{});var Rm=a(Xa);At=s(Rm,"P",{});var ka=a(At);Ll=i(ka,"The code to convert checkpoints trained in the author\u2019s "),Tn=s(ka,"A",{href:!0,rel:!0});var Hm=a(Tn);Dl=i(Hm,"repo"),Hm.forEach(t),Ul=i(ka,` can be
found in `),Za=s(ka,"CODE",{});var Vm=a(Za);Wl=i(Vm,"convert_pegasus_tf_to_pytorch.py"),Vm.forEach(t),Bl=i(ka,"."),ka.forEach(t),Rm.forEach(t),wt.forEach(t),yi=c(o),St=s(o,"H2",{class:!0});var Zi=a(St);io=s(Zi,"A",{id:!0,class:!0,href:!0});var Km=a(io);Ya=s(Km,"SPAN",{});var Jm=a(Ya);b(wn.$$.fragment,Jm),Jm.forEach(t),Km.forEach(t),Rl=c(Zi),Qa=s(Zi,"SPAN",{});var Xm=a(Qa);Hl=i(Xm,"Usage Example"),Xm.forEach(t),Zi.forEach(t),vi=c(o),b($n.$$.fragment,o),bi=c(o),It=s(o,"H2",{class:!0});var Yi=a(It);lo=s(Yi,"A",{id:!0,class:!0,href:!0});var Zm=a(lo);er=s(Zm,"SPAN",{});var Ym=a(er);b(Pn.$$.fragment,Ym),Ym.forEach(t),Zm.forEach(t),Vl=c(Yi),tr=s(Yi,"SPAN",{});var Qm=a(tr);Kl=i(Qm,"PegasusConfig"),Qm.forEach(t),Yi.forEach(t),Ti=c(o),Se=s(o,"DIV",{class:!0});var Yo=a(Se);b(xn.$$.fragment,Yo),Jl=c(Yo),Ot=s(Yo,"P",{});var ya=a(Ot);Xl=i(ya,"This is the configuration class to store the configuration of a "),Ys=s(ya,"A",{href:!0});var ef=a(Ys);Zl=i(ef,"PegasusModel"),ef.forEach(t),Yl=i(ya,`. It is used to instantiate an
PEGASUS model according to the specified arguments, defining the model architecture. Instantiating a configuration
with the defaults will yield a similar configuration to that of the PEGASUS
`),zn=s(ya,"A",{href:!0,rel:!0});var tf=a(zn);Ql=i(tf,"google/pegasus-large"),tf.forEach(t),ec=i(ya," architecture."),ya.forEach(t),tc=c(Yo),Gt=s(Yo,"P",{});var va=a(Gt);oc=i(va,"Configuration objects inherit from "),Qs=s(va,"A",{href:!0});var of=a(Qs);nc=i(of,"PretrainedConfig"),of.forEach(t),sc=i(va,` and can be used to control the model outputs. Read the
documentation from `),ea=s(va,"A",{href:!0});var nf=a(ea);ac=i(nf,"PretrainedConfig"),nf.forEach(t),rc=i(va," for more information."),va.forEach(t),ic=c(Yo),b(co.$$.fragment,Yo),Yo.forEach(t),wi=c(o),Nt=s(o,"H2",{class:!0});var Qi=a(Nt);po=s(Qi,"A",{id:!0,class:!0,href:!0});var sf=a(po);or=s(sf,"SPAN",{});var af=a(or);b(Fn.$$.fragment,af),af.forEach(t),sf.forEach(t),dc=c(Qi),nr=s(Qi,"SPAN",{});var rf=a(nr);lc=i(rf,"PegasusTokenizer"),rf.forEach(t),Qi.forEach(t),$i=c(o),uo=s(o,"P",{});var ed=a(uo);cc=i(ed,"warning: "),sr=s(ed,"CODE",{});var df=a(sr);pc=i(df,"add_tokens"),df.forEach(t),uc=i(ed," does not work at the moment."),ed.forEach(t),Pi=c(o),B=s(o,"DIV",{class:!0});var Pe=a(B);b(qn.$$.fragment,Pe),hc=c(Pe),En=s(Pe,"P",{});var td=a(En);mc=i(td,"Construct a PEGASUS tokenizer. Based on "),jn=s(td,"A",{href:!0,rel:!0});var lf=a(jn);fc=i(lf,"SentencePiece"),lf.forEach(t),gc=i(td,"."),td.forEach(t),_c=c(Pe),Mn=s(Pe,"P",{});var od=a(Mn);kc=i(od,"This tokenizer inherits from "),ta=s(od,"A",{href:!0});var cf=a(ta);yc=i(cf,"PreTrainedTokenizer"),cf.forEach(t),vc=i(od,` which contains most of the main methods. Users should refer to
this superclass for more information regarding those methods.`),od.forEach(t),bc=c(Pe),Re=s(Pe,"DIV",{class:!0});var Qo=a(Re);b(Cn.$$.fragment,Qo),Tc=c(Qo),An=s(Qo,"P",{});var nd=a(An);wc=i(nd,`Build model inputs from a sequence or a pair of sequences for sequence classification tasks by concatenating
and adding special tokens. A PEGASUS sequence has the following format, where `),ar=s(nd,"CODE",{});var pf=a(ar);$c=i(pf,"X"),pf.forEach(t),Pc=i(nd," represents the sequence:"),nd.forEach(t),xc=c(Qo),Sn=s(Qo,"UL",{});var sd=a(Sn);oa=s(sd,"LI",{});var nm=a(oa);zc=i(nm,"single sequence: "),rr=s(nm,"CODE",{});var uf=a(rr);Fc=i(uf,"X </s>"),uf.forEach(t),nm.forEach(t),qc=c(sd),In=s(sd,"LI",{});var ad=a(In);Ec=i(ad,"pair of sequences: "),ir=s(ad,"CODE",{});var hf=a(ir);jc=i(hf,"A B </s>"),hf.forEach(t),Mc=i(ad," (not intended use)"),ad.forEach(t),sd.forEach(t),Cc=c(Qo),dr=s(Qo,"P",{});var mf=a(dr);Ac=i(mf,`BOS is never used. Pairs of sequences are not the expected use case, but they will be handled without a
separator.`),mf.forEach(t),Qo.forEach(t),Sc=c(Pe),ho=s(Pe,"DIV",{class:!0});var rd=a(ho);b(On.$$.fragment,rd),Ic=c(rd),lr=s(rd,"P",{});var ff=a(lr);Oc=i(ff,"Converts a sequence of tokens (string) in a single string."),ff.forEach(t),rd.forEach(t),Gc=c(Pe),mo=s(Pe,"DIV",{class:!0});var id=a(mo);b(Gn.$$.fragment,id),Nc=c(id),cr=s(id,"P",{});var gf=a(cr);Lc=i(gf,"Get list where entries are [1] if a token is [eos] or [pad] else 0."),gf.forEach(t),id.forEach(t),Dc=c(Pe),fo=s(Pe,"DIV",{class:!0});var dd=a(fo);b(Nn.$$.fragment,dd),Uc=c(dd),pr=s(dd,"P",{});var _f=a(pr);Wc=i(_f,"Just EOS"),_f.forEach(t),dd.forEach(t),Pe.forEach(t),xi=c(o),Lt=s(o,"H2",{class:!0});var ld=a(Lt);go=s(ld,"A",{id:!0,class:!0,href:!0});var kf=a(go);ur=s(kf,"SPAN",{});var yf=a(ur);b(Ln.$$.fragment,yf),yf.forEach(t),kf.forEach(t),Bc=c(ld),hr=s(ld,"SPAN",{});var vf=a(hr);Rc=i(vf,"PegasusTokenizerFast"),vf.forEach(t),ld.forEach(t),zi=c(o),fe=s(o,"DIV",{class:!0});var $t=a(fe);b(Dn.$$.fragment,$t),Hc=c($t),Dt=s($t,"P",{});var ba=a(Dt);Vc=i(ba,"Construct a \u201Cfast\u201D PEGASUS tokenizer (backed by HuggingFace\u2019s "),mr=s(ba,"EM",{});var bf=a(mr);Kc=i(bf,"tokenizers"),bf.forEach(t),Jc=i(ba,` library). Based on
`),Un=s(ba,"A",{href:!0,rel:!0});var Tf=a(Un);Xc=i(Tf,"Unigram"),Tf.forEach(t),Zc=i(ba,"."),ba.forEach(t),Yc=c($t),Wn=s($t,"P",{});var cd=a(Wn);Qc=i(cd,"This tokenizer inherits from "),na=s(cd,"A",{href:!0});var wf=a(na);ep=i(wf,"PreTrainedTokenizerFast"),wf.forEach(t),tp=i(cd,` which contains most of the main methods. Users should
refer to this superclass for more information regarding those methods.`),cd.forEach(t),op=c($t),bt=s($t,"DIV",{class:!0});var Ta=a(bt);b(Bn.$$.fragment,Ta),np=c(Ta),fr=s(Ta,"P",{});var $f=a(fr);sp=i($f,"Build model inputs from a sequence by adding eos to the end. no bos token is added to the front."),$f.forEach(t),ap=c(Ta),Rn=s(Ta,"UL",{});var pd=a(Rn);sa=s(pd,"LI",{});var sm=a(sa);rp=i(sm,"single sequence: "),gr=s(sm,"CODE",{});var Pf=a(gr);ip=i(Pf,"X </s>"),Pf.forEach(t),sm.forEach(t),dp=c(pd),Hn=s(pd,"LI",{});var ud=a(Hn);lp=i(ud,"pair of sequences: "),_r=s(ud,"CODE",{});var xf=a(_r);cp=i(xf,"A B </s>"),xf.forEach(t),pp=i(ud," (not intended use)"),ud.forEach(t),pd.forEach(t),Ta.forEach(t),up=c($t),_o=s($t,"DIV",{class:!0});var hd=a(_o);b(Vn.$$.fragment,hd),hp=c(hd),kr=s(hd,"P",{});var zf=a(kr);mp=i(zf,"Get list where entries are [1] if a token is [eos] or [pad] else 0."),zf.forEach(t),hd.forEach(t),$t.forEach(t),Fi=c(o),Ut=s(o,"H2",{class:!0});var md=a(Ut);ko=s(md,"A",{id:!0,class:!0,href:!0});var Ff=a(ko);yr=s(Ff,"SPAN",{});var qf=a(yr);b(Kn.$$.fragment,qf),qf.forEach(t),Ff.forEach(t),fp=c(md),vr=s(md,"SPAN",{});var Ef=a(vr);gp=i(Ef,"PegasusModel"),Ef.forEach(t),md.forEach(t),qi=c(o),Ie=s(o,"DIV",{class:!0});var en=a(Ie);b(Jn.$$.fragment,en),_p=c(en),Xn=s(en,"P",{});var fd=a(Xn);kp=i(fd,`The bare PEGASUS Model outputting raw hidden-states without any specific head on top.
This model inherits from `),aa=s(fd,"A",{href:!0});var jf=a(aa);yp=i(jf,"PreTrainedModel"),jf.forEach(t),vp=i(fd,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),fd.forEach(t),bp=c(en),Zn=s(en,"P",{});var gd=a(Zn);Tp=i(gd,"This model is also a PyTorch "),Yn=s(gd,"A",{href:!0,rel:!0});var Mf=a(Yn);wp=i(Mf,"torch.nn.Module"),Mf.forEach(t),$p=i(gd,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),gd.forEach(t),Pp=c(en),He=s(en,"DIV",{class:!0});var tn=a(He);b(Qn.$$.fragment,tn),xp=c(tn),Wt=s(tn,"P",{});var wa=a(Wt);zp=i(wa,"The "),ra=s(wa,"A",{href:!0});var Cf=a(ra);Fp=i(Cf,"PegasusModel"),Cf.forEach(t),qp=i(wa," forward method, overrides the "),br=s(wa,"CODE",{});var Af=a(br);Ep=i(Af,"__call__"),Af.forEach(t),jp=i(wa," special method."),wa.forEach(t),Mp=c(tn),b(yo.$$.fragment,tn),Cp=c(tn),b(vo.$$.fragment,tn),tn.forEach(t),en.forEach(t),Ei=c(o),Bt=s(o,"H2",{class:!0});var _d=a(Bt);bo=s(_d,"A",{id:!0,class:!0,href:!0});var Sf=a(bo);Tr=s(Sf,"SPAN",{});var If=a(Tr);b(es.$$.fragment,If),If.forEach(t),Sf.forEach(t),Ap=c(_d),wr=s(_d,"SPAN",{});var Of=a(wr);Sp=i(Of,"PegasusForConditionalGeneration"),Of.forEach(t),_d.forEach(t),ji=c(o),Oe=s(o,"DIV",{class:!0});var on=a(Oe);b(ts.$$.fragment,on),Ip=c(on),os=s(on,"P",{});var kd=a(os);Op=i(kd,`The PEGASUS Model with a language modeling head. Can be used for summarization.
This model inherits from `),ia=s(kd,"A",{href:!0});var Gf=a(ia);Gp=i(Gf,"PreTrainedModel"),Gf.forEach(t),Np=i(kd,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),kd.forEach(t),Lp=c(on),ns=s(on,"P",{});var yd=a(ns);Dp=i(yd,"This model is also a PyTorch "),ss=s(yd,"A",{href:!0,rel:!0});var Nf=a(ss);Up=i(Nf,"torch.nn.Module"),Nf.forEach(t),Wp=i(yd,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),yd.forEach(t),Bp=c(on),Ve=s(on,"DIV",{class:!0});var nn=a(Ve);b(as.$$.fragment,nn),Rp=c(nn),Rt=s(nn,"P",{});var $a=a(Rt);Hp=i($a,"The "),da=s($a,"A",{href:!0});var Lf=a(da);Vp=i(Lf,"PegasusForConditionalGeneration"),Lf.forEach(t),Kp=i($a," forward method, overrides the "),$r=s($a,"CODE",{});var Df=a($r);Jp=i(Df,"__call__"),Df.forEach(t),Xp=i($a," special method."),$a.forEach(t),Zp=c(nn),b(To.$$.fragment,nn),Yp=c(nn),b(wo.$$.fragment,nn),nn.forEach(t),on.forEach(t),Mi=c(o),Ht=s(o,"H2",{class:!0});var vd=a(Ht);$o=s(vd,"A",{id:!0,class:!0,href:!0});var Uf=a($o);Pr=s(Uf,"SPAN",{});var Wf=a(Pr);b(rs.$$.fragment,Wf),Wf.forEach(t),Uf.forEach(t),Qp=c(vd),xr=s(vd,"SPAN",{});var Bf=a(xr);eu=i(Bf,"PegasusForCausalLM"),Bf.forEach(t),vd.forEach(t),Ci=c(o),Vt=s(o,"DIV",{class:!0});var bd=a(Vt);b(is.$$.fragment,bd),tu=c(bd),Po=s(bd,"DIV",{class:!0});var Td=a(Po);b(ds.$$.fragment,Td),ou=c(Td),b(xo.$$.fragment,Td),Td.forEach(t),bd.forEach(t),Ai=c(o),Kt=s(o,"H2",{class:!0});var wd=a(Kt);zo=s(wd,"A",{id:!0,class:!0,href:!0});var Rf=a(zo);zr=s(Rf,"SPAN",{});var Hf=a(zr);b(ls.$$.fragment,Hf),Hf.forEach(t),Rf.forEach(t),nu=c(wd),Fr=s(wd,"SPAN",{});var Vf=a(Fr);su=i(Vf,"TFPegasusModel"),Vf.forEach(t),wd.forEach(t),Si=c(o),ge=s(o,"DIV",{class:!0});var Pt=a(ge);b(cs.$$.fragment,Pt),au=c(Pt),ps=s(Pt,"P",{});var $d=a(ps);ru=i($d,`The bare PEGASUS Model outputting raw hidden-states without any specific head on top.
This model inherits from `),la=s($d,"A",{href:!0});var Kf=a(la);iu=i(Kf,"TFPreTrainedModel"),Kf.forEach(t),du=i($d,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),$d.forEach(t),lu=c(Pt),us=s(Pt,"P",{});var Pd=a(us);cu=i(Pd,"This model is also a "),hs=s(Pd,"A",{href:!0,rel:!0});var Jf=a(hs);pu=i(Jf,"tf.keras.Model"),Jf.forEach(t),uu=i(Pd,` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),Pd.forEach(t),hu=c(Pt),b(Fo.$$.fragment,Pt),mu=c(Pt),Ke=s(Pt,"DIV",{class:!0});var sn=a(Ke);b(ms.$$.fragment,sn),fu=c(sn),Jt=s(sn,"P",{});var Pa=a(Jt);gu=i(Pa,"The "),ca=s(Pa,"A",{href:!0});var Xf=a(ca);_u=i(Xf,"TFPegasusModel"),Xf.forEach(t),ku=i(Pa," forward method, overrides the "),qr=s(Pa,"CODE",{});var Zf=a(qr);yu=i(Zf,"__call__"),Zf.forEach(t),vu=i(Pa," special method."),Pa.forEach(t),bu=c(sn),b(qo.$$.fragment,sn),Tu=c(sn),b(Eo.$$.fragment,sn),sn.forEach(t),Pt.forEach(t),Ii=c(o),Xt=s(o,"H2",{class:!0});var xd=a(Xt);jo=s(xd,"A",{id:!0,class:!0,href:!0});var Yf=a(jo);Er=s(Yf,"SPAN",{});var Qf=a(Er);b(fs.$$.fragment,Qf),Qf.forEach(t),Yf.forEach(t),wu=c(xd),jr=s(xd,"SPAN",{});var eg=a(jr);$u=i(eg,"TFPegasusForConditionalGeneration"),eg.forEach(t),xd.forEach(t),Oi=c(o),_e=s(o,"DIV",{class:!0});var xt=a(_e);b(gs.$$.fragment,xt),Pu=c(xt),_s=s(xt,"P",{});var zd=a(_s);xu=i(zd,`The PEGASUS Model with a language modeling head. Can be used for summarization.
This model inherits from `),pa=s(zd,"A",{href:!0});var tg=a(pa);zu=i(tg,"TFPreTrainedModel"),tg.forEach(t),Fu=i(zd,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),zd.forEach(t),qu=c(xt),ks=s(xt,"P",{});var Fd=a(ks);Eu=i(Fd,"This model is also a "),ys=s(Fd,"A",{href:!0,rel:!0});var og=a(ys);ju=i(og,"tf.keras.Model"),og.forEach(t),Mu=i(Fd,` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),Fd.forEach(t),Cu=c(xt),b(Mo.$$.fragment,xt),Au=c(xt),Je=s(xt,"DIV",{class:!0});var an=a(Je);b(vs.$$.fragment,an),Su=c(an),Zt=s(an,"P",{});var xa=a(Zt);Iu=i(xa,"The "),ua=s(xa,"A",{href:!0});var ng=a(ua);Ou=i(ng,"TFPegasusForConditionalGeneration"),ng.forEach(t),Gu=i(xa," forward method, overrides the "),Mr=s(xa,"CODE",{});var sg=a(Mr);Nu=i(sg,"__call__"),sg.forEach(t),Lu=i(xa," special method."),xa.forEach(t),Du=c(an),b(Co.$$.fragment,an),Uu=c(an),b(Ao.$$.fragment,an),an.forEach(t),xt.forEach(t),Gi=c(o),Yt=s(o,"H2",{class:!0});var qd=a(Yt);So=s(qd,"A",{id:!0,class:!0,href:!0});var ag=a(So);Cr=s(ag,"SPAN",{});var rg=a(Cr);b(bs.$$.fragment,rg),rg.forEach(t),ag.forEach(t),Wu=c(qd),Ar=s(qd,"SPAN",{});var ig=a(Ar);Bu=i(ig,"FlaxPegasusModel"),ig.forEach(t),qd.forEach(t),Ni=c(o),N=s(o,"DIV",{class:!0});var ae=a(N);b(Ts.$$.fragment,ae),Ru=c(ae),ws=s(ae,"P",{});var Ed=a(ws);Hu=i(Ed,`The bare Pegasus Model transformer outputting raw hidden-states without any specific head on top.
This model inherits from `),ha=s(Ed,"A",{href:!0});var dg=a(ha);Vu=i(dg,"FlaxPreTrainedModel"),dg.forEach(t),Ku=i(Ed,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Ed.forEach(t),Ju=c(ae),$s=s(ae,"P",{});var jd=a($s);Xu=i(jd,`This model is also a Flax Linen
`),Ps=s(jd,"A",{href:!0,rel:!0});var lg=a(Ps);Zu=i(lg,"flax.nn.Module"),lg.forEach(t),Yu=i(jd,` subclass. Use it as a
regular Flax Module and refer to the Flax documentation for all matter related to general usage and behavior.`),jd.forEach(t),Qu=c(ae),Sr=s(ae,"P",{});var cg=a(Sr);eh=i(cg,"Finally, this model supports inherent JAX features such as:"),cg.forEach(t),th=c(ae),ft=s(ae,"UL",{});var rn=a(ft);Ir=s(rn,"LI",{});var pg=a(Ir);xs=s(pg,"A",{href:!0,rel:!0});var ug=a(xs);oh=i(ug,"Just-In-Time (JIT) compilation"),ug.forEach(t),pg.forEach(t),nh=c(rn),Or=s(rn,"LI",{});var hg=a(Or);zs=s(hg,"A",{href:!0,rel:!0});var mg=a(zs);sh=i(mg,"Automatic Differentiation"),mg.forEach(t),hg.forEach(t),ah=c(rn),Gr=s(rn,"LI",{});var fg=a(Gr);Fs=s(fg,"A",{href:!0,rel:!0});var gg=a(Fs);rh=i(gg,"Vectorization"),gg.forEach(t),fg.forEach(t),ih=c(rn),Nr=s(rn,"LI",{});var _g=a(Nr);qs=s(_g,"A",{href:!0,rel:!0});var kg=a(qs);dh=i(kg,"Parallelization"),kg.forEach(t),_g.forEach(t),rn.forEach(t),lh=c(ae),Xe=s(ae,"DIV",{class:!0});var dn=a(Xe);b(Es.$$.fragment,dn),ch=c(dn),Qt=s(dn,"P",{});var za=a(Qt);ph=i(za,"The "),Lr=s(za,"CODE",{});var yg=a(Lr);uh=i(yg,"FlaxPegasusPreTrainedModel"),yg.forEach(t),hh=i(za," forward method, overrides the "),Dr=s(za,"CODE",{});var vg=a(Dr);mh=i(vg,"__call__"),vg.forEach(t),fh=i(za," special method."),za.forEach(t),gh=c(dn),b(Io.$$.fragment,dn),_h=c(dn),b(Oo.$$.fragment,dn),dn.forEach(t),kh=c(ae),Go=s(ae,"DIV",{class:!0});var Md=a(Go);b(js.$$.fragment,Md),yh=c(Md),b(No.$$.fragment,Md),Md.forEach(t),vh=c(ae),Lo=s(ae,"DIV",{class:!0});var Cd=a(Lo);b(Ms.$$.fragment,Cd),bh=c(Cd),b(Do.$$.fragment,Cd),Cd.forEach(t),ae.forEach(t),Li=c(o),eo=s(o,"H2",{class:!0});var Ad=a(eo);Uo=s(Ad,"A",{id:!0,class:!0,href:!0});var bg=a(Uo);Ur=s(bg,"SPAN",{});var Tg=a(Ur);b(Cs.$$.fragment,Tg),Tg.forEach(t),bg.forEach(t),Th=c(Ad),Wr=s(Ad,"SPAN",{});var wg=a(Wr);wh=i(wg,"FlaxPegasusForConditionalGeneration"),wg.forEach(t),Ad.forEach(t),Di=c(o),L=s(o,"DIV",{class:!0});var re=a(L);b(As.$$.fragment,re),$h=c(re),Ss=s(re,"P",{});var Sd=a(Ss);Ph=i(Sd,`The PEGASUS Model with a language modeling head. Can be used for summarization.
This model inherits from `),ma=s(Sd,"A",{href:!0});var $g=a(ma);xh=i($g,"FlaxPreTrainedModel"),$g.forEach(t),zh=i(Sd,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Sd.forEach(t),Fh=c(re),Is=s(re,"P",{});var Id=a(Is);qh=i(Id,`This model is also a Flax Linen
`),Os=s(Id,"A",{href:!0,rel:!0});var Pg=a(Os);Eh=i(Pg,"flax.nn.Module"),Pg.forEach(t),jh=i(Id,` subclass. Use it as a
regular Flax Module and refer to the Flax documentation for all matter related to general usage and behavior.`),Id.forEach(t),Mh=c(re),Br=s(re,"P",{});var xg=a(Br);Ch=i(xg,"Finally, this model supports inherent JAX features such as:"),xg.forEach(t),Ah=c(re),gt=s(re,"UL",{});var ln=a(gt);Rr=s(ln,"LI",{});var zg=a(Rr);Gs=s(zg,"A",{href:!0,rel:!0});var Fg=a(Gs);Sh=i(Fg,"Just-In-Time (JIT) compilation"),Fg.forEach(t),zg.forEach(t),Ih=c(ln),Hr=s(ln,"LI",{});var qg=a(Hr);Ns=s(qg,"A",{href:!0,rel:!0});var Eg=a(Ns);Oh=i(Eg,"Automatic Differentiation"),Eg.forEach(t),qg.forEach(t),Gh=c(ln),Vr=s(ln,"LI",{});var jg=a(Vr);Ls=s(jg,"A",{href:!0,rel:!0});var Mg=a(Ls);Nh=i(Mg,"Vectorization"),Mg.forEach(t),jg.forEach(t),Lh=c(ln),Kr=s(ln,"LI",{});var Cg=a(Kr);Ds=s(Cg,"A",{href:!0,rel:!0});var Ag=a(Ds);Dh=i(Ag,"Parallelization"),Ag.forEach(t),Cg.forEach(t),ln.forEach(t),Uh=c(re),$e=s(re,"DIV",{class:!0});var zt=a($e);b(Us.$$.fragment,zt),Wh=c(zt),to=s(zt,"P",{});var Fa=a(to);Bh=i(Fa,"The "),Jr=s(Fa,"CODE",{});var Sg=a(Jr);Rh=i(Sg,"FlaxPegasusPreTrainedModel"),Sg.forEach(t),Hh=i(Fa," forward method, overrides the "),Xr=s(Fa,"CODE",{});var Ig=a(Xr);Vh=i(Ig,"__call__"),Ig.forEach(t),Kh=i(Fa," special method."),Fa.forEach(t),Jh=c(zt),b(Wo.$$.fragment,zt),Xh=c(zt),b(Bo.$$.fragment,zt),Zh=c(zt),b(Ro.$$.fragment,zt),zt.forEach(t),Yh=c(re),Ho=s(re,"DIV",{class:!0});var Od=a(Ho);b(Ws.$$.fragment,Od),Qh=c(Od),b(Vo.$$.fragment,Od),Od.forEach(t),em=c(re),Ko=s(re,"DIV",{class:!0});var Gd=a(Ko);b(Bs.$$.fragment,Gd),tm=c(Gd),b(Jo.$$.fragment,Gd),Gd.forEach(t),re.forEach(t),this.h()},h(){p(u,"name","hf:doc:metadata"),p(u,"content",JSON.stringify(p_)),p(m,"id","pegasus"),p(m,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),p(m,"href","#pegasus"),p(_,"class","relative group"),p(Z,"alt","Models"),Og(Z.src,F="https://img.shields.io/badge/All_model_pages-pegasus-blueviolet")||p(Z,"src",F),p(ke,"href","https://huggingface.co/models?filter=pegasus"),p(ye,"alt","Spaces"),Og(ye.src,_t="https://img.shields.io/badge/%F0%9F%A4%97%20Hugging%20Face-Spaces-blue")||p(ye,"src",_t),p(R,"href","https://huggingface.co/spaces/docs-demos/pegasus_paraphrase"),p(O,"class","flex flex-wrap space-x-1"),p(le,"href","https://github.com/huggingface/transformers/issues/new?assignees=sshleifer&labels=&template=bug-report.md&title"),p(le,"rel","nofollow"),p(Q,"id","overview"),p(Q,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),p(Q,"href","#overview"),p(G,"class","relative group"),p(D,"href","https://arxiv.org/pdf/1912.08777.pdf"),p(D,"rel","nofollow"),p(A,"href","https://huggingface.co/sshleifer"),p(A,"rel","nofollow"),p(ue,"href","https://github.com/google-research/pegasus"),p(ue,"rel","nofollow"),p(be,"id","checkpoints"),p(be,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),p(be,"href","#checkpoints"),p(me,"class","relative group"),p(pn,"href","https://huggingface.co/models?search=pegasus"),p(pn,"rel","nofollow"),p(hn,"href","https://github.com/huggingface/transformers/issues/6844#issue-689259666"),p(hn,"rel","nofollow"),p(mn,"href","https://huggingface.co/models?search=distill-pegasus"),p(mn,"rel","nofollow"),p(fn,"href","https://arxiv.org/abs/2010.13002"),p(fn,"rel","nofollow"),p(so,"id","examples"),p(so,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),p(so,"href","#examples"),p(jt,"class","relative group"),p(_n,"href","https://github.com/huggingface/transformers/tree/main/examples/research_projects/seq2seq-distillation/finetune_pegasus_xsum.sh"),p(_n,"rel","nofollow"),p(kn,"href","https://github.com/huggingface/transformers/tree/main/examples/pytorch/summarization/README.md"),p(kn,"rel","nofollow"),p(ro,"id","implementation-notes"),p(ro,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),p(ro,"href","#implementation-notes"),p(Mt,"class","relative group"),p(Zs,"href","/docs/transformers/main/en/model_doc/bart#transformers.BartForConditionalGeneration"),p(Tn,"href","https://github.com/google-research/pegasus"),p(Tn,"rel","nofollow"),p(io,"id","usage-example"),p(io,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),p(io,"href","#usage-example"),p(St,"class","relative group"),p(lo,"id","transformers.PegasusConfig"),p(lo,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),p(lo,"href","#transformers.PegasusConfig"),p(It,"class","relative group"),p(Ys,"href","/docs/transformers/main/en/model_doc/pegasus#transformers.PegasusModel"),p(zn,"href","https://huggingface.co/google/pegasus-large"),p(zn,"rel","nofollow"),p(Qs,"href","/docs/transformers/main/en/main_classes/configuration#transformers.PretrainedConfig"),p(ea,"href","/docs/transformers/main/en/main_classes/configuration#transformers.PretrainedConfig"),p(Se,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(po,"id","transformers.PegasusTokenizer"),p(po,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),p(po,"href","#transformers.PegasusTokenizer"),p(Nt,"class","relative group"),p(jn,"href","https://github.com/google/sentencepiece"),p(jn,"rel","nofollow"),p(ta,"href","/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer"),p(Re,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(ho,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(mo,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(fo,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(B,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(go,"id","transformers.PegasusTokenizerFast"),p(go,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),p(go,"href","#transformers.PegasusTokenizerFast"),p(Lt,"class","relative group"),p(Un,"href","https://huggingface.co/docs/tokenizers/python/latest/components.html?highlight=unigram#models"),p(Un,"rel","nofollow"),p(na,"href","/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast"),p(bt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(_o,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(fe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(ko,"id","transformers.PegasusModel"),p(ko,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),p(ko,"href","#transformers.PegasusModel"),p(Ut,"class","relative group"),p(aa,"href","/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel"),p(Yn,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),p(Yn,"rel","nofollow"),p(ra,"href","/docs/transformers/main/en/model_doc/pegasus#transformers.PegasusModel"),p(He,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(Ie,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(bo,"id","transformers.PegasusForConditionalGeneration"),p(bo,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),p(bo,"href","#transformers.PegasusForConditionalGeneration"),p(Bt,"class","relative group"),p(ia,"href","/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel"),p(ss,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),p(ss,"rel","nofollow"),p(da,"href","/docs/transformers/main/en/model_doc/pegasus#transformers.PegasusForConditionalGeneration"),p(Ve,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(Oe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p($o,"id","transformers.PegasusForCausalLM"),p($o,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),p($o,"href","#transformers.PegasusForCausalLM"),p(Ht,"class","relative group"),p(Po,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(Vt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(zo,"id","transformers.TFPegasusModel"),p(zo,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),p(zo,"href","#transformers.TFPegasusModel"),p(Kt,"class","relative group"),p(la,"href","/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel"),p(hs,"href","https://www.tensorflow.org/api_docs/python/tf/keras/Model"),p(hs,"rel","nofollow"),p(ca,"href","/docs/transformers/main/en/model_doc/pegasus#transformers.TFPegasusModel"),p(Ke,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(ge,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(jo,"id","transformers.TFPegasusForConditionalGeneration"),p(jo,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),p(jo,"href","#transformers.TFPegasusForConditionalGeneration"),p(Xt,"class","relative group"),p(pa,"href","/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel"),p(ys,"href","https://www.tensorflow.org/api_docs/python/tf/keras/Model"),p(ys,"rel","nofollow"),p(ua,"href","/docs/transformers/main/en/model_doc/pegasus#transformers.TFPegasusForConditionalGeneration"),p(Je,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(_e,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(So,"id","transformers.FlaxPegasusModel"),p(So,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),p(So,"href","#transformers.FlaxPegasusModel"),p(Yt,"class","relative group"),p(ha,"href","/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel"),p(Ps,"href","https://flax.readthedocs.io/en/latest/_autosummary/flax.nn.module.html"),p(Ps,"rel","nofollow"),p(xs,"href","https://jax.readthedocs.io/en/latest/jax.html#just-in-time-compilation-jit"),p(xs,"rel","nofollow"),p(zs,"href","https://jax.readthedocs.io/en/latest/jax.html#automatic-differentiation"),p(zs,"rel","nofollow"),p(Fs,"href","https://jax.readthedocs.io/en/latest/jax.html#vectorization-vmap"),p(Fs,"rel","nofollow"),p(qs,"href","https://jax.readthedocs.io/en/latest/jax.html#parallelization-pmap"),p(qs,"rel","nofollow"),p(Xe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(Go,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(Lo,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(N,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(Uo,"id","transformers.FlaxPegasusForConditionalGeneration"),p(Uo,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),p(Uo,"href","#transformers.FlaxPegasusForConditionalGeneration"),p(eo,"class","relative group"),p(ma,"href","/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel"),p(Os,"href","https://flax.readthedocs.io/en/latest/_autosummary/flax.nn.module.html"),p(Os,"rel","nofollow"),p(Gs,"href","https://jax.readthedocs.io/en/latest/jax.html#just-in-time-compilation-jit"),p(Gs,"rel","nofollow"),p(Ns,"href","https://jax.readthedocs.io/en/latest/jax.html#automatic-differentiation"),p(Ns,"rel","nofollow"),p(Ls,"href","https://jax.readthedocs.io/en/latest/jax.html#vectorization-vmap"),p(Ls,"rel","nofollow"),p(Ds,"href","https://jax.readthedocs.io/en/latest/jax.html#parallelization-pmap"),p(Ds,"rel","nofollow"),p($e,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(Ho,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(Ko,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(L,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(o,g){e(document.head,u),f(o,y,g),f(o,_,g),e(_,m),e(m,k),T(d,k,null),e(_,h),e(_,q),e(q,Ze),f(o,Le,g),f(o,O,g),e(O,ke),e(ke,Z),e(O,Ye),e(O,R),e(R,ye),f(o,Y,g),f(o,V,g),e(V,ze),e(ze,de),e(V,Qe),e(V,le),e(le,ce),e(V,et),f(o,De,g),f(o,G,g),e(G,Q),e(Q,Fe),T(K,Fe,null),e(G,C),e(G,S),e(S,tt),f(o,ee,g),f(o,te,g),e(te,ot),e(te,D),e(D,nt),e(te,st),f(o,I,g),f(o,ve,g),e(ve,pe),f(o,Ue,g),f(o,oe,g),e(oe,J),e(J,at),e(oe,rt),e(oe,U),e(U,it),f(o,ne,g),f(o,H,g),e(H,qe),e(H,A),e(A,dt),e(H,W),e(H,ue),e(ue,lt),e(H,x),f(o,E,g),f(o,We,g),e(We,Ee),f(o,kt,g),f(o,Be,g),e(Be,j),e(j,ct),e(ct,Ft),e(j,qt),e(j,je),e(je,pt),e(pt,X),e(je,he),e(je,ut),e(ut,Et),f(o,se,g),f(o,me,g),e(me,be),e(be,Me),T(Ce,Me,null),e(me,Ae),e(me,ht),e(ht,Nd),f(o,hi,g),f(o,yt,g),e(yt,Ld),e(yt,pn),e(pn,Dd),e(yt,Ud),e(yt,qa),e(qa,Wd),e(yt,Bd),f(o,mi,g),f(o,Te,g),e(Te,Ea),e(Ea,Rd),e(Te,Hd),e(Te,ja),e(ja,Vd),e(Te,Kd),e(Te,Ma),e(Ma,Jd),e(Te,Xd),e(Te,un),e(un,Zd),e(un,hn),e(hn,Yd),e(un,Qd),e(Te,el),e(Te,no),e(no,mn),e(mn,tl),e(no,ol),e(no,fn),e(fn,nl),e(no,sl),f(o,fi,g),f(o,jt,g),e(jt,so),e(so,Ca),T(gn,Ca,null),e(jt,al),e(jt,Aa),e(Aa,rl),f(o,gi,g),f(o,vt,g),e(vt,ao),e(ao,_n),e(_n,il),e(ao,dl),e(ao,kn),e(kn,ll),e(ao,cl),e(vt,pl),e(vt,Sa),e(Sa,ul),e(vt,hl),e(vt,Ia),e(Ia,ml),f(o,_i,g),f(o,Mt,g),e(Mt,ro),e(ro,Oa),T(yn,Oa,null),e(Mt,fl),e(Mt,Ga),e(Ga,gl),f(o,ki,g),f(o,we,g),e(we,Na),e(Na,La),e(La,_l),e(we,kl),e(we,Da),e(Da,Xs),e(Xs,yl),e(Xs,Zs),e(Zs,vl),e(we,bl),e(we,vn),e(vn,Ua),e(Ua,Tl),e(vn,wl),e(vn,Ct),e(Ct,Wa),e(Wa,$l),e(Ct,Pl),e(Ct,Ba),e(Ba,xl),e(Ct,zl),e(Ct,bn),e(bn,Fl),e(bn,Ra),e(Ra,ql),e(bn,El),e(we,jl),e(we,Ha),e(Ha,mt),e(mt,Ml),e(mt,Va),e(Va,Cl),e(mt,Al),e(mt,Ka),e(Ka,Sl),e(mt,Il),e(mt,Ja),e(Ja,Ol),e(mt,Gl),e(we,Nl),e(we,Xa),e(Xa,At),e(At,Ll),e(At,Tn),e(Tn,Dl),e(At,Ul),e(At,Za),e(Za,Wl),e(At,Bl),f(o,yi,g),f(o,St,g),e(St,io),e(io,Ya),T(wn,Ya,null),e(St,Rl),e(St,Qa),e(Qa,Hl),f(o,vi,g),T($n,o,g),f(o,bi,g),f(o,It,g),e(It,lo),e(lo,er),T(Pn,er,null),e(It,Vl),e(It,tr),e(tr,Kl),f(o,Ti,g),f(o,Se,g),T(xn,Se,null),e(Se,Jl),e(Se,Ot),e(Ot,Xl),e(Ot,Ys),e(Ys,Zl),e(Ot,Yl),e(Ot,zn),e(zn,Ql),e(Ot,ec),e(Se,tc),e(Se,Gt),e(Gt,oc),e(Gt,Qs),e(Qs,nc),e(Gt,sc),e(Gt,ea),e(ea,ac),e(Gt,rc),e(Se,ic),T(co,Se,null),f(o,wi,g),f(o,Nt,g),e(Nt,po),e(po,or),T(Fn,or,null),e(Nt,dc),e(Nt,nr),e(nr,lc),f(o,$i,g),f(o,uo,g),e(uo,cc),e(uo,sr),e(sr,pc),e(uo,uc),f(o,Pi,g),f(o,B,g),T(qn,B,null),e(B,hc),e(B,En),e(En,mc),e(En,jn),e(jn,fc),e(En,gc),e(B,_c),e(B,Mn),e(Mn,kc),e(Mn,ta),e(ta,yc),e(Mn,vc),e(B,bc),e(B,Re),T(Cn,Re,null),e(Re,Tc),e(Re,An),e(An,wc),e(An,ar),e(ar,$c),e(An,Pc),e(Re,xc),e(Re,Sn),e(Sn,oa),e(oa,zc),e(oa,rr),e(rr,Fc),e(Sn,qc),e(Sn,In),e(In,Ec),e(In,ir),e(ir,jc),e(In,Mc),e(Re,Cc),e(Re,dr),e(dr,Ac),e(B,Sc),e(B,ho),T(On,ho,null),e(ho,Ic),e(ho,lr),e(lr,Oc),e(B,Gc),e(B,mo),T(Gn,mo,null),e(mo,Nc),e(mo,cr),e(cr,Lc),e(B,Dc),e(B,fo),T(Nn,fo,null),e(fo,Uc),e(fo,pr),e(pr,Wc),f(o,xi,g),f(o,Lt,g),e(Lt,go),e(go,ur),T(Ln,ur,null),e(Lt,Bc),e(Lt,hr),e(hr,Rc),f(o,zi,g),f(o,fe,g),T(Dn,fe,null),e(fe,Hc),e(fe,Dt),e(Dt,Vc),e(Dt,mr),e(mr,Kc),e(Dt,Jc),e(Dt,Un),e(Un,Xc),e(Dt,Zc),e(fe,Yc),e(fe,Wn),e(Wn,Qc),e(Wn,na),e(na,ep),e(Wn,tp),e(fe,op),e(fe,bt),T(Bn,bt,null),e(bt,np),e(bt,fr),e(fr,sp),e(bt,ap),e(bt,Rn),e(Rn,sa),e(sa,rp),e(sa,gr),e(gr,ip),e(Rn,dp),e(Rn,Hn),e(Hn,lp),e(Hn,_r),e(_r,cp),e(Hn,pp),e(fe,up),e(fe,_o),T(Vn,_o,null),e(_o,hp),e(_o,kr),e(kr,mp),f(o,Fi,g),f(o,Ut,g),e(Ut,ko),e(ko,yr),T(Kn,yr,null),e(Ut,fp),e(Ut,vr),e(vr,gp),f(o,qi,g),f(o,Ie,g),T(Jn,Ie,null),e(Ie,_p),e(Ie,Xn),e(Xn,kp),e(Xn,aa),e(aa,yp),e(Xn,vp),e(Ie,bp),e(Ie,Zn),e(Zn,Tp),e(Zn,Yn),e(Yn,wp),e(Zn,$p),e(Ie,Pp),e(Ie,He),T(Qn,He,null),e(He,xp),e(He,Wt),e(Wt,zp),e(Wt,ra),e(ra,Fp),e(Wt,qp),e(Wt,br),e(br,Ep),e(Wt,jp),e(He,Mp),T(yo,He,null),e(He,Cp),T(vo,He,null),f(o,Ei,g),f(o,Bt,g),e(Bt,bo),e(bo,Tr),T(es,Tr,null),e(Bt,Ap),e(Bt,wr),e(wr,Sp),f(o,ji,g),f(o,Oe,g),T(ts,Oe,null),e(Oe,Ip),e(Oe,os),e(os,Op),e(os,ia),e(ia,Gp),e(os,Np),e(Oe,Lp),e(Oe,ns),e(ns,Dp),e(ns,ss),e(ss,Up),e(ns,Wp),e(Oe,Bp),e(Oe,Ve),T(as,Ve,null),e(Ve,Rp),e(Ve,Rt),e(Rt,Hp),e(Rt,da),e(da,Vp),e(Rt,Kp),e(Rt,$r),e($r,Jp),e(Rt,Xp),e(Ve,Zp),T(To,Ve,null),e(Ve,Yp),T(wo,Ve,null),f(o,Mi,g),f(o,Ht,g),e(Ht,$o),e($o,Pr),T(rs,Pr,null),e(Ht,Qp),e(Ht,xr),e(xr,eu),f(o,Ci,g),f(o,Vt,g),T(is,Vt,null),e(Vt,tu),e(Vt,Po),T(ds,Po,null),e(Po,ou),T(xo,Po,null),f(o,Ai,g),f(o,Kt,g),e(Kt,zo),e(zo,zr),T(ls,zr,null),e(Kt,nu),e(Kt,Fr),e(Fr,su),f(o,Si,g),f(o,ge,g),T(cs,ge,null),e(ge,au),e(ge,ps),e(ps,ru),e(ps,la),e(la,iu),e(ps,du),e(ge,lu),e(ge,us),e(us,cu),e(us,hs),e(hs,pu),e(us,uu),e(ge,hu),T(Fo,ge,null),e(ge,mu),e(ge,Ke),T(ms,Ke,null),e(Ke,fu),e(Ke,Jt),e(Jt,gu),e(Jt,ca),e(ca,_u),e(Jt,ku),e(Jt,qr),e(qr,yu),e(Jt,vu),e(Ke,bu),T(qo,Ke,null),e(Ke,Tu),T(Eo,Ke,null),f(o,Ii,g),f(o,Xt,g),e(Xt,jo),e(jo,Er),T(fs,Er,null),e(Xt,wu),e(Xt,jr),e(jr,$u),f(o,Oi,g),f(o,_e,g),T(gs,_e,null),e(_e,Pu),e(_e,_s),e(_s,xu),e(_s,pa),e(pa,zu),e(_s,Fu),e(_e,qu),e(_e,ks),e(ks,Eu),e(ks,ys),e(ys,ju),e(ks,Mu),e(_e,Cu),T(Mo,_e,null),e(_e,Au),e(_e,Je),T(vs,Je,null),e(Je,Su),e(Je,Zt),e(Zt,Iu),e(Zt,ua),e(ua,Ou),e(Zt,Gu),e(Zt,Mr),e(Mr,Nu),e(Zt,Lu),e(Je,Du),T(Co,Je,null),e(Je,Uu),T(Ao,Je,null),f(o,Gi,g),f(o,Yt,g),e(Yt,So),e(So,Cr),T(bs,Cr,null),e(Yt,Wu),e(Yt,Ar),e(Ar,Bu),f(o,Ni,g),f(o,N,g),T(Ts,N,null),e(N,Ru),e(N,ws),e(ws,Hu),e(ws,ha),e(ha,Vu),e(ws,Ku),e(N,Ju),e(N,$s),e($s,Xu),e($s,Ps),e(Ps,Zu),e($s,Yu),e(N,Qu),e(N,Sr),e(Sr,eh),e(N,th),e(N,ft),e(ft,Ir),e(Ir,xs),e(xs,oh),e(ft,nh),e(ft,Or),e(Or,zs),e(zs,sh),e(ft,ah),e(ft,Gr),e(Gr,Fs),e(Fs,rh),e(ft,ih),e(ft,Nr),e(Nr,qs),e(qs,dh),e(N,lh),e(N,Xe),T(Es,Xe,null),e(Xe,ch),e(Xe,Qt),e(Qt,ph),e(Qt,Lr),e(Lr,uh),e(Qt,hh),e(Qt,Dr),e(Dr,mh),e(Qt,fh),e(Xe,gh),T(Io,Xe,null),e(Xe,_h),T(Oo,Xe,null),e(N,kh),e(N,Go),T(js,Go,null),e(Go,yh),T(No,Go,null),e(N,vh),e(N,Lo),T(Ms,Lo,null),e(Lo,bh),T(Do,Lo,null),f(o,Li,g),f(o,eo,g),e(eo,Uo),e(Uo,Ur),T(Cs,Ur,null),e(eo,Th),e(eo,Wr),e(Wr,wh),f(o,Di,g),f(o,L,g),T(As,L,null),e(L,$h),e(L,Ss),e(Ss,Ph),e(Ss,ma),e(ma,xh),e(Ss,zh),e(L,Fh),e(L,Is),e(Is,qh),e(Is,Os),e(Os,Eh),e(Is,jh),e(L,Mh),e(L,Br),e(Br,Ch),e(L,Ah),e(L,gt),e(gt,Rr),e(Rr,Gs),e(Gs,Sh),e(gt,Ih),e(gt,Hr),e(Hr,Ns),e(Ns,Oh),e(gt,Gh),e(gt,Vr),e(Vr,Ls),e(Ls,Nh),e(gt,Lh),e(gt,Kr),e(Kr,Ds),e(Ds,Dh),e(L,Uh),e(L,$e),T(Us,$e,null),e($e,Wh),e($e,to),e(to,Bh),e(to,Jr),e(Jr,Rh),e(to,Hh),e(to,Xr),e(Xr,Vh),e(to,Kh),e($e,Jh),T(Wo,$e,null),e($e,Xh),T(Bo,$e,null),e($e,Zh),T(Ro,$e,null),e(L,Yh),e(L,Ho),T(Ws,Ho,null),e(Ho,Qh),T(Vo,Ho,null),e(L,em),e(L,Ko),T(Bs,Ko,null),e(Ko,tm),T(Jo,Ko,null),Ui=!0},p(o,[g]){const Rs={};g&2&&(Rs.$$scope={dirty:g,ctx:o}),co.$set(Rs);const Zr={};g&2&&(Zr.$$scope={dirty:g,ctx:o}),yo.$set(Zr);const Yr={};g&2&&(Yr.$$scope={dirty:g,ctx:o}),vo.$set(Yr);const Qr={};g&2&&(Qr.$$scope={dirty:g,ctx:o}),To.$set(Qr);const Hs={};g&2&&(Hs.$$scope={dirty:g,ctx:o}),wo.$set(Hs);const ei={};g&2&&(ei.$$scope={dirty:g,ctx:o}),xo.$set(ei);const ti={};g&2&&(ti.$$scope={dirty:g,ctx:o}),Fo.$set(ti);const Xo={};g&2&&(Xo.$$scope={dirty:g,ctx:o}),qo.$set(Xo);const oi={};g&2&&(oi.$$scope={dirty:g,ctx:o}),Eo.$set(oi);const ni={};g&2&&(ni.$$scope={dirty:g,ctx:o}),Mo.$set(ni);const Vs={};g&2&&(Vs.$$scope={dirty:g,ctx:o}),Co.$set(Vs);const si={};g&2&&(si.$$scope={dirty:g,ctx:o}),Ao.$set(si);const ai={};g&2&&(ai.$$scope={dirty:g,ctx:o}),Io.$set(ai);const ri={};g&2&&(ri.$$scope={dirty:g,ctx:o}),Oo.$set(ri);const Ks={};g&2&&(Ks.$$scope={dirty:g,ctx:o}),No.$set(Ks);const ii={};g&2&&(ii.$$scope={dirty:g,ctx:o}),Do.$set(ii);const di={};g&2&&(di.$$scope={dirty:g,ctx:o}),Wo.$set(di);const Js={};g&2&&(Js.$$scope={dirty:g,ctx:o}),Bo.$set(Js);const li={};g&2&&(li.$$scope={dirty:g,ctx:o}),Ro.$set(li);const ci={};g&2&&(ci.$$scope={dirty:g,ctx:o}),Vo.$set(ci);const oo={};g&2&&(oo.$$scope={dirty:g,ctx:o}),Jo.$set(oo)},i(o){Ui||(w(d.$$.fragment,o),w(K.$$.fragment,o),w(Ce.$$.fragment,o),w(gn.$$.fragment,o),w(yn.$$.fragment,o),w(wn.$$.fragment,o),w($n.$$.fragment,o),w(Pn.$$.fragment,o),w(xn.$$.fragment,o),w(co.$$.fragment,o),w(Fn.$$.fragment,o),w(qn.$$.fragment,o),w(Cn.$$.fragment,o),w(On.$$.fragment,o),w(Gn.$$.fragment,o),w(Nn.$$.fragment,o),w(Ln.$$.fragment,o),w(Dn.$$.fragment,o),w(Bn.$$.fragment,o),w(Vn.$$.fragment,o),w(Kn.$$.fragment,o),w(Jn.$$.fragment,o),w(Qn.$$.fragment,o),w(yo.$$.fragment,o),w(vo.$$.fragment,o),w(es.$$.fragment,o),w(ts.$$.fragment,o),w(as.$$.fragment,o),w(To.$$.fragment,o),w(wo.$$.fragment,o),w(rs.$$.fragment,o),w(is.$$.fragment,o),w(ds.$$.fragment,o),w(xo.$$.fragment,o),w(ls.$$.fragment,o),w(cs.$$.fragment,o),w(Fo.$$.fragment,o),w(ms.$$.fragment,o),w(qo.$$.fragment,o),w(Eo.$$.fragment,o),w(fs.$$.fragment,o),w(gs.$$.fragment,o),w(Mo.$$.fragment,o),w(vs.$$.fragment,o),w(Co.$$.fragment,o),w(Ao.$$.fragment,o),w(bs.$$.fragment,o),w(Ts.$$.fragment,o),w(Es.$$.fragment,o),w(Io.$$.fragment,o),w(Oo.$$.fragment,o),w(js.$$.fragment,o),w(No.$$.fragment,o),w(Ms.$$.fragment,o),w(Do.$$.fragment,o),w(Cs.$$.fragment,o),w(As.$$.fragment,o),w(Us.$$.fragment,o),w(Wo.$$.fragment,o),w(Bo.$$.fragment,o),w(Ro.$$.fragment,o),w(Ws.$$.fragment,o),w(Vo.$$.fragment,o),w(Bs.$$.fragment,o),w(Jo.$$.fragment,o),Ui=!0)},o(o){$(d.$$.fragment,o),$(K.$$.fragment,o),$(Ce.$$.fragment,o),$(gn.$$.fragment,o),$(yn.$$.fragment,o),$(wn.$$.fragment,o),$($n.$$.fragment,o),$(Pn.$$.fragment,o),$(xn.$$.fragment,o),$(co.$$.fragment,o),$(Fn.$$.fragment,o),$(qn.$$.fragment,o),$(Cn.$$.fragment,o),$(On.$$.fragment,o),$(Gn.$$.fragment,o),$(Nn.$$.fragment,o),$(Ln.$$.fragment,o),$(Dn.$$.fragment,o),$(Bn.$$.fragment,o),$(Vn.$$.fragment,o),$(Kn.$$.fragment,o),$(Jn.$$.fragment,o),$(Qn.$$.fragment,o),$(yo.$$.fragment,o),$(vo.$$.fragment,o),$(es.$$.fragment,o),$(ts.$$.fragment,o),$(as.$$.fragment,o),$(To.$$.fragment,o),$(wo.$$.fragment,o),$(rs.$$.fragment,o),$(is.$$.fragment,o),$(ds.$$.fragment,o),$(xo.$$.fragment,o),$(ls.$$.fragment,o),$(cs.$$.fragment,o),$(Fo.$$.fragment,o),$(ms.$$.fragment,o),$(qo.$$.fragment,o),$(Eo.$$.fragment,o),$(fs.$$.fragment,o),$(gs.$$.fragment,o),$(Mo.$$.fragment,o),$(vs.$$.fragment,o),$(Co.$$.fragment,o),$(Ao.$$.fragment,o),$(bs.$$.fragment,o),$(Ts.$$.fragment,o),$(Es.$$.fragment,o),$(Io.$$.fragment,o),$(Oo.$$.fragment,o),$(js.$$.fragment,o),$(No.$$.fragment,o),$(Ms.$$.fragment,o),$(Do.$$.fragment,o),$(Cs.$$.fragment,o),$(As.$$.fragment,o),$(Us.$$.fragment,o),$(Wo.$$.fragment,o),$(Bo.$$.fragment,o),$(Ro.$$.fragment,o),$(Ws.$$.fragment,o),$(Vo.$$.fragment,o),$(Bs.$$.fragment,o),$(Jo.$$.fragment,o),Ui=!1},d(o){t(u),o&&t(y),o&&t(_),P(d),o&&t(Le),o&&t(O),o&&t(Y),o&&t(V),o&&t(De),o&&t(G),P(K),o&&t(ee),o&&t(te),o&&t(I),o&&t(ve),o&&t(Ue),o&&t(oe),o&&t(ne),o&&t(H),o&&t(E),o&&t(We),o&&t(kt),o&&t(Be),o&&t(se),o&&t(me),P(Ce),o&&t(hi),o&&t(yt),o&&t(mi),o&&t(Te),o&&t(fi),o&&t(jt),P(gn),o&&t(gi),o&&t(vt),o&&t(_i),o&&t(Mt),P(yn),o&&t(ki),o&&t(we),o&&t(yi),o&&t(St),P(wn),o&&t(vi),P($n,o),o&&t(bi),o&&t(It),P(Pn),o&&t(Ti),o&&t(Se),P(xn),P(co),o&&t(wi),o&&t(Nt),P(Fn),o&&t($i),o&&t(uo),o&&t(Pi),o&&t(B),P(qn),P(Cn),P(On),P(Gn),P(Nn),o&&t(xi),o&&t(Lt),P(Ln),o&&t(zi),o&&t(fe),P(Dn),P(Bn),P(Vn),o&&t(Fi),o&&t(Ut),P(Kn),o&&t(qi),o&&t(Ie),P(Jn),P(Qn),P(yo),P(vo),o&&t(Ei),o&&t(Bt),P(es),o&&t(ji),o&&t(Oe),P(ts),P(as),P(To),P(wo),o&&t(Mi),o&&t(Ht),P(rs),o&&t(Ci),o&&t(Vt),P(is),P(ds),P(xo),o&&t(Ai),o&&t(Kt),P(ls),o&&t(Si),o&&t(ge),P(cs),P(Fo),P(ms),P(qo),P(Eo),o&&t(Ii),o&&t(Xt),P(fs),o&&t(Oi),o&&t(_e),P(gs),P(Mo),P(vs),P(Co),P(Ao),o&&t(Gi),o&&t(Yt),P(bs),o&&t(Ni),o&&t(N),P(Ts),P(Es),P(Io),P(Oo),P(js),P(No),P(Ms),P(Do),o&&t(Li),o&&t(eo),P(Cs),o&&t(Di),o&&t(L),P(As),P(Us),P(Wo),P(Bo),P(Ro),P(Ws),P(Vo),P(Bs),P(Jo)}}}const p_={local:"pegasus",sections:[{local:"overview",title:"Overview"},{local:"checkpoints",sections:[{local:"examples",title:"Examples"}],title:"Checkpoints"},{local:"implementation-notes",title:"Implementation Notes"},{local:"usage-example",title:"Usage Example"},{local:"transformers.PegasusConfig",title:"PegasusConfig"},{local:"transformers.PegasusTokenizer",title:"PegasusTokenizer"},{local:"transformers.PegasusTokenizerFast",title:"PegasusTokenizerFast"},{local:"transformers.PegasusModel",title:"PegasusModel"},{local:"transformers.PegasusForConditionalGeneration",title:"PegasusForConditionalGeneration"},{local:"transformers.PegasusForCausalLM",title:"PegasusForCausalLM"},{local:"transformers.TFPegasusModel",title:"TFPegasusModel"},{local:"transformers.TFPegasusForConditionalGeneration",title:"TFPegasusForConditionalGeneration"},{local:"transformers.FlaxPegasusModel",title:"FlaxPegasusModel"},{local:"transformers.FlaxPegasusForConditionalGeneration",title:"FlaxPegasusForConditionalGeneration"}],title:"Pegasus"};function u_(z){return Ug(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class y_ extends Gg{constructor(u){super();Ng(this,u,u_,c_,Lg,{})}}export{y_ as default,p_ as metadata};
